commit openssl-1_1_0 for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package openssl-1_1_0 for openSUSE:Factory 
checked in at 2017-07-22 02:32:19

Comparing /work/SRC/openSUSE:Factory/openssl-1_1_0 (Old)
 and  /work/SRC/openSUSE:Factory/.openssl-1_1_0.new (New)


Package is "openssl-1_1_0"

Sat Jul 22 02:32:19 2017 rev:4 rq:511204 version:1.1.0f

Changes:

--- /work/SRC/openSUSE:Factory/openssl-1_1_0/openssl-1_1_0.changes  
2017-07-01 14:05:26.237004563 +0200
+++ /work/SRC/openSUSE:Factory/.openssl-1_1_0.new/openssl-1_1_0.changes 
2017-07-22 02:32:20.700357134 +0200
@@ -1,0 +2,12 @@
+Tue Jul 18 11:06:41 UTC 2017 - vci...@suse.com
+
+- Fix a race condition in tests to make the package build reliably
+  * https://github.com/openssl/openssl/issues/3562
+  * 0001-Fix-a-TLSProxy-race-condition.patch
+
+---
+Tue Jul 18 05:50:05 UTC 2017 - ji...@boombatower.com
+
+- Add Provides and Conflicts for -devel package in baselibs.conf.
+
+---

New:

  0001-Fix-a-TLSProxy-race-condition.patch



Other differences:
--
++ openssl-1_1_0.spec ++
--- /var/tmp/diff_new_pack.iO8gyG/_old  2017-07-22 02:32:21.588231627 +0200
+++ /var/tmp/diff_new_pack.iO8gyG/_new  2017-07-22 02:32:21.592231061 +0200
@@ -66,6 +66,7 @@
 Patch59:openssl-fips-clearerror.patch
 Patch60:openssl-fips-dont-fall-back-to-default-digest.patch
 Patch61:openssl-disable_rsa_keygen_tests_with_small_modulus.patch
+Patch62:0001-Fix-a-TLSProxy-race-condition.patch
 BuildRequires:  bc
 BuildRequires:  ed
 BuildRequires:  pkgconfig
@@ -200,7 +201,6 @@
 %check
 export MALLOC_CHECK_=3
 export MALLOC_PERTURB_=$(($RANDOM % 255 + 1))
-#2017-04-26: Tests fail on SLE-12 because of glibc bug bsc#1035445
 LD_LIBRARY_PATH=`pwd` make test -j1 HARNESS_VERBOSE=yes
 # show cyphers
 gcc -o showciphers %{optflags} -I%{buildroot}%{_includedir} %{SOURCE99} 
-L%{buildroot}%{_libdir} -lssl -lcrypto

++ 0001-Fix-a-TLSProxy-race-condition.patch ++
>From b72668a0d3586ee2560f0536c43e18991a4cfc6f Mon Sep 17 00:00:00 2001
From: Matt Caswell 
Date: Fri, 26 May 2017 13:06:08 +0100
Subject: [PATCH] Fix a Proxy race condition

Issue #3562 describes a problem where a race condition can occur in the
Proxy such that a test "ok" line can appear in the middle of other text
causing the test harness to miss it. The issue is that we do not wait for
the client process to finish after the test is complete, so that process may
continue to write data to stdout/stderr at the same time that the test
harness does.

This commit fixes TLSProxy so that we always wait for the client process to
finish before continuing.

Fixes #3562

Reviewed-by: Richard Levitte 
(Merged from https://github.com/openssl/openssl/pull/3567)
---
 util/TLSProxy/Proxy.pm | 15 +++
 1 file changed, 15 insertions(+)

Index: openssl-1.1.0f/util/TLSProxy/Proxy.pm
===
--- openssl-1.1.0f.orig/util/TLSProxy/Proxy.pm  2017-07-18 13:48:24.282938212 
+0200
+++ openssl-1.1.0f/util/TLSProxy/Proxy.pm   2017-07-18 13:49:22.03552 
+0200
@@ -42,6 +42,7 @@ sub new
 clientflags => "",
 serverconnects => 1,
 serverpid => 0,
+clientpid => 0,
 reneg => 0,
 
 #Public read
@@ -104,6 +105,7 @@ sub clearClient
 $self->{record_list} = [];
 $self->{message_list} = [];
 $self->{clientflags} = "";
+$self->{clientpid} = 0;
 
 TLSProxy::Message->clear();
 TLSProxy::Record->clear();
@@ -225,6 +227,7 @@ sub clientstart
 }
 exec($execcmd);
 }
+$self->clientpid($pid);
 }
 
 # Wait for incoming connection from client
@@ -315,6 +318,10 @@ sub clientstart
 waitpid( $self->serverpid, 0);
 die "exit code $? from server process\n" if $? != 0;
 }
+die "clientpid is zero\n" if $self->clientpid == 0;
+print "Waiting for client process to close: ".$self->clientpid."\n";
+waitpid($self->clientpid, 0);
+
 return 1;
 }
 
@@ -508,6 +515,14 @@ sub serverpid
 }
 return $self->{serverpid};
 }
+sub clientpid
+{
+my $self = shift;
+if (@_) {
+$self->{clientpid} = shift;
+}
+return $self->{clientpid};
+}
 
 sub fill_known_data
 {
++ baselibs.conf ++
--- /var/tmp/diff_new_pack.iO8gyG/_old  2017-07-22 02:32:21.660221451 +0200
+++ /var/tmp/diff_new_pack.iO8gyG/_new  2017-07-22 02:32:21.660221451 +0200
@@ -1,6 +1,8 @@
 openssl-1_1_0
 libopenssl1_1_0
 libopenssl-1_1_0-devel
+  provides "libopenssl-devel- = "
+  conflicts "otherproviders(libopenssl-devel-)"
   requires 

commit 000product for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2017-07-22 02:32:25

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Sat Jul 22 02:32:25 2017 rev:20 rq: version:unknown
Sat Jul 22 02:32:24 2017 rev:19 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-Lang-cd-cd-x86_64.kiwi: same change
_service:product_converter:openSUSE-Addon-Lang-release.spec: same change
_service:product_converter:openSUSE-Addon-NonOss-cd-addon-nonoss-i586_x86_64.kiwi:
 same change
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
++ _service:product_converter:openSUSE-Kubic-dvd5-DVD-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.Y4og6s/_old  2017-07-22 02:32:32.090747030 +0200
+++ /var/tmp/diff_new_pack.Y4og6s/_new  2017-07-22 02:32:32.094746466 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -34,9 +34,9 @@
   true
   -x -2
   openSUSE
-  20170721
+  20170722
   11
-  cpe:/o:opensuse:opensuse-kubic:20170721,openSUSE 
Kubic
+  cpe:/o:opensuse:opensuse-kubic:20170722,openSUSE 
Kubic
   en_US 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ _service:product_converter:openSUSE-Kubic-release.spec ++
--- /var/tmp/diff_new_pack.Y4og6s/_old  2017-07-22 02:32:32.114743638 +0200
+++ /var/tmp/diff_new_pack.Y4og6s/_new  2017-07-22 02:32:32.118743073 +0200
@@ -20,7 +20,7 @@
 Summary:openSUSE Kubic 
 License:GPL-2.0+
 Group:  System/Fhs
-Version:    20170721
+Version:20170722
 Release:0
 BuildRequires:  skelcd-openSUSE
 Recommends: branding
@@ -31,9 +31,9 @@
 
 Provides:   %name-%version
 Provides:   product() = openSUSE-Kubic
-Provides:   product(openSUSE-Kubic) = 20170721-0
+Provides:   product(openSUSE-Kubic) = 20170722-0
 Provides:   product-label() = openSUSE%20Kubic
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dkubic%3A20170721
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dkubic%3A20170722
 Provides:   product-url(releasenotes) = 
https%3A%2F%2Fwww.suse.com%2Freleasenotes%2F%{_target_cpu}%2FSUSE%2DCAASP%2F1.0%2Frelease%2Dnotes%2Dcaasp.rpm
 Provides:   product-endoflife()
 
@@ -90,7 +90,7 @@
 PRETTY_NAME="openSUSE Kubic"
 ID="opensuse-kubic"
 ANSI_COLOR="0;32"
-CPE_NAME="cpe:/o:opensuse:opensuse-kubic:20170721"
+CPE_NAME="cpe:/o:opensuse:opensuse-kubic:20170722"
 EOF
 
 
@@ -100,11 +100,11 @@
 
   openSUSE
   openSUSE-Kubic
-  20170721
+  20170722
   0
   
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-kubic:20170721
+  cpe:/o:opensuse:opensuse-kubic:20170722
   openSUSE-Kubic
   
 

++ _service:product_converter:openSUSE-cd-mini-i586.kiwi ++
--- /var/tmp/diff_new_pack.Y4og6s/_old  2017-07-22 02:32:32.142739681 +0200
+++ /var/tmp/diff_new_pack.Y4og6s/_new  2017-07-22 02:32:32.146739116 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -31,9 +31,9 @@
   true
   -x -2
   openSUSE
-  20170721
+  20170722
   11
-  cpe:/o:opensuse:opensuse:20170721,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20170722,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-i586.kiwi: same change
++ _service:product_converter:openSUSE-dvd5-dvd-promo-i586.kiwi ++
--- /var/tmp/diff_new_pack.Y4og6s/_old  2017-07-22 02:32:32.218728940 +0200
+++ /var/tmp/diff_new_pack.Y4og6s/_new  2017-07-22 02:32:32.222728374 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -32,9 +32,9 @@
   true
   -x -2
   openSUSE
-  20170721
+  20170722
   11
-  cpe:/o:opensuse:opensuse:20170721,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20170722,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

_service:product_converter:openSUSE-dvd5-dvd-promo-x86_64.kiwi: same change
++ _service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.Y4og6s/_old  2017-07-22 02:32:32.274721025 +0200
+++ /var/

commit yast2 for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package yast2 for openSUSE:Factory checked 
in at 2017-07-22 02:32:02

Comparing /work/SRC/openSUSE:Factory/yast2 (Old)
 and  /work/SRC/openSUSE:Factory/.yast2.new (New)


Package is "yast2"

Sat Jul 22 02:32:02 2017 rev:408 rq:511883 version:3.3.4

Changes:

--- /work/SRC/openSUSE:Factory/yast2/yast2.changes  2017-07-17 
10:31:24.873508492 +0200
+++ /work/SRC/openSUSE:Factory/.yast2.new/yast2.changes 2017-07-22 
02:32:04.474650749 +0200
@@ -1,0 +2,21 @@
+Fri Jul 21 14:18:57 UTC 2017 - lsle...@suse.cz
+
+- cwm/rspec.rb: added tests in "CWM::RadioButtons" group for
+  optional #hspacing and #vspacing methods
+
+---
+Thu Jul 20 08:17:41 UTC 2017 - jreidin...@suse.com
+
+- CWM::WrapperWidget#cwm_defintion: also include widget id,
+  otherwise the widget would not show in a Pager, eg. Tabs
+  (bsc#1049595)
+- 3.3.4
+
+---
+Tue Jul 18 10:14:07 UTC 2017 - igonzalezs...@suse.com
+
+- Add YaST2 logs to the default list of files for System Log browser
+  (bsc#1049138)
+- 3.3.3
+
+---

Old:

  yast2-3.3.2.tar.bz2

New:

  yast2-3.3.4.tar.bz2



Other differences:
--
++ yast2.spec ++
--- /var/tmp/diff_new_pack.NL90IS/_old  2017-07-22 02:32:05.070566512 +0200
+++ /var/tmp/diff_new_pack.NL90IS/_new  2017-07-22 02:32:05.070566512 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2
-Version:3.3.2
+Version:3.3.4
 Release:0
 Summary:YaST2 - Main Package
 License:GPL-2.0

++ yast2-3.3.2.tar.bz2 -> yast2-3.3.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-3.3.2/library/cwm/src/lib/cwm/rspec.rb 
new/yast2-3.3.4/library/cwm/src/lib/cwm/rspec.rb
--- old/yast2-3.3.2/library/cwm/src/lib/cwm/rspec.rb2017-07-13 
14:12:05.456949739 +0200
+++ new/yast2-3.3.4/library/cwm/src/lib/cwm/rspec.rb2017-07-21 
16:47:07.716722812 +0200
@@ -88,9 +88,26 @@
   include_examples "CWM::AbstractWidget"
 end
 
+RSpec.shared_examples "CWM spacing" do |method|
+  describe "##{method}" do
+it "returns and Integer or a Float number if defined" do
+  if subject.respond_to?(method)
+expect(subject.send(method)).to be_an(Integer).or be_a(Float)
+  end
+end
+
+it "returns a positive number or zero if defined" do
+  expect(subject.send(method)).to be >= 0 if subject.respond_to?(method)
+end
+  end
+end
+
 RSpec.shared_examples "CWM::RadioButtons" do
   include_examples "CWM::AbstractWidget"
   include_examples "CWM::ItemsSelection"
+
+  include_examples "CWM spacing", :hspacing
+  include_examples "CWM spacing", :vspacing
 end
 
 RSpec.shared_examples "CWM::ValueBasedWidget" do
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-3.3.2/library/cwm/src/lib/cwm/wrapper_widget.rb 
new/yast2-3.3.4/library/cwm/src/lib/cwm/wrapper_widget.rb
--- old/yast2-3.3.2/library/cwm/src/lib/cwm/wrapper_widget.rb   2017-07-13 
14:12:05.456949739 +0200
+++ new/yast2-3.3.4/library/cwm/src/lib/cwm/wrapper_widget.rb   2017-07-21 
16:47:07.732722812 +0200
@@ -25,7 +25,7 @@
 
 # returns given hash specification
 def cwm_definition
-  @content
+  @content.merge("_cwm_key" => widget_id)
 end
 
 def handle_all_events
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-3.3.2/library/cwm/test/wrapper_widget_test.rb 
new/yast2-3.3.4/library/cwm/test/wrapper_widget_test.rb
--- old/yast2-3.3.2/library/cwm/test/wrapper_widget_test.rb 2017-07-13 
14:12:05.460949739 +0200
+++ new/yast2-3.3.4/library/cwm/test/wrapper_widget_test.rb 2017-07-21 
16:47:07.768722812 +0200
@@ -7,15 +7,20 @@
 describe CWM::WrapperWidget do
   describe "#cwm_definition" do
 it "returns passed hash content" do
-  content = { "test" => "test" }
-  expect(described_class.new(content).cwm_definition).to eq content
+  content = { "test" => "value" }
+  expect(described_class.new(content).cwm_definition["test"]).to eq "value"
+end
+
+it "return hash that has _cwm_key key with widget id" do
+  content = { "test" => "value" }
+  expect(described_class.new(content, id: 
"wid").cwm_definition["_cwm_key"]).to eq "wid"
 end
   end
 
   describe "#widget_id" do
 it "returns passed widget id" do
-  content = { "test" => "test" }
-  expect(described_class.new(content, id: "test").widget_id).to eq "test"
+  content = { "test" => "value" }
+  expect(described_class.new(content, id: 

commit yast2-packager for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package yast2-packager for openSUSE:Factory 
checked in at 2017-07-22 02:31:55

Comparing /work/SRC/openSUSE:Factory/yast2-packager (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-packager.new (New)


Package is "yast2-packager"

Sat Jul 22 02:31:55 2017 rev:337 rq:511637 version:3.3.0

Changes:

--- /work/SRC/openSUSE:Factory/yast2-packager/yast2-packager.changes
2017-07-17 10:31:07.455964064 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-packager.new/yast2-packager.changes   
2017-07-22 02:31:59.147403795 +0200
@@ -1,0 +2,7 @@
+Thu Jul 20 06:44:42 UTC 2017 - lsle...@suse.cz
+
+- Less strict low memory detection, there might be some rounding
+  in the hwinfo memory size detection (bsc#1045915)
+- 3.3.0
+
+---

Old:

  yast2-packager-3.2.24.tar.bz2

New:

  yast2-packager-3.3.0.tar.bz2



Other differences:
--
++ yast2-packager.spec ++
--- /var/tmp/diff_new_pack.mTZms5/_old  2017-07-22 02:32:00.035278287 +0200
+++ /var/tmp/diff_new_pack.mTZms5/_new  2017-07-22 02:32:00.039277722 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-packager
-Version:3.2.24
+Version:3.3.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-packager-3.2.24.tar.bz2 -> yast2-packager-3.3.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-packager-3.2.24/package/yast2-packager.changes 
new/yast2-packager-3.3.0/package/yast2-packager.changes
--- old/yast2-packager-3.2.24/package/yast2-packager.changes2017-07-11 
18:27:19.967423519 +0200
+++ new/yast2-packager-3.3.0/package/yast2-packager.changes 2017-07-20 
13:40:44.767976013 +0200
@@ -1,4 +1,11 @@
 ---
+Thu Jul 20 06:44:42 UTC 2017 - lsle...@suse.cz
+
+- Less strict low memory detection, there might be some rounding
+  in the hwinfo memory size detection (bsc#1045915)
+- 3.3.0
+
+---
 Tue Jul 11 14:41:58 UTC 2017 - lsle...@suse.cz
 
 - Properly handle multiple product renames (bsc#1048141)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-packager-3.2.24/package/yast2-packager.spec 
new/yast2-packager-3.3.0/package/yast2-packager.spec
--- old/yast2-packager-3.2.24/package/yast2-packager.spec   2017-07-11 
18:27:19.967423519 +0200
+++ new/yast2-packager-3.3.0/package/yast2-packager.spec2017-07-20 
13:40:44.767976013 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-packager
-Version:3.2.24
+Version:3.3.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-packager-3.2.24/src/clients/inst_productsources.rb 
new/yast2-packager-3.3.0/src/clients/inst_productsources.rb
--- old/yast2-packager-3.2.24/src/clients/inst_productsources.rb
2017-07-11 18:27:19.991423519 +0200
+++ new/yast2-packager-3.3.0/src/clients/inst_productsources.rb 2017-07-20 
13:40:44.807976013 +0200
@@ -1736,8 +1736,9 @@
 # display a warning when online repositories are used on a system
 # with low memory (the installer may crash or freeze, see bnc#854755)
 def check_memory_size
-  # less than LOW_MEMORY_MIB RAM
-  if Mode.installation && Yast2::HwDetection.memory < (LOW_MEMORY_MIB << 
20)
+  # less than LOW_MEMORY_MIB RAM, the 64MiB buffer is for possible
+  # rounding in hwinfo memory detection (bsc#1045915)
+  if Mode.installation && Yast2::HwDetection.memory < ((LOW_MEMORY_MIB - 
64) << 20)
 Report.Warning(_("Low memory detected.\n\nUsing online repositories " +
   "during initial installation with less than\n" +
   "%dMiB system memory is not recommended.\n\n" +




commit yast2-vm for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package yast2-vm for openSUSE:Factory 
checked in at 2017-07-22 02:31:32

Comparing /work/SRC/openSUSE:Factory/yast2-vm (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-vm.new (New)


Package is "yast2-vm"

Sat Jul 22 02:31:32 2017 rev:75 rq:511435 version:3.2.2

Changes:

--- /work/SRC/openSUSE:Factory/yast2-vm/yast2-vm.changes2017-04-12 
17:08:48.934119818 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-vm.new/yast2-vm.changes   2017-07-22 
02:31:33.70700 +0200
@@ -1,0 +2,6 @@
+Wed Jul 19 12:36:51 UTC 2017 - jreidin...@suse.com
+
+- add proper dependency on yast2-bootloader (bsc#1048759)
+- 3.2.2
+
+---

Old:

  yast2-vm-3.2.1.tar.bz2

New:

  yast2-vm-3.2.2.tar.bz2



Other differences:
--
++ yast2-vm.spec ++
--- /var/tmp/diff_new_pack.6ViD6p/_old  2017-07-22 02:31:34.838840005 +0200
+++ /var/tmp/diff_new_pack.6ViD6p/_new  2017-07-22 02:31:34.842839439 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-vm
-Version:3.2.1
+Version:3.2.2
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -28,8 +28,9 @@
 BuildRequires:  update-desktop-files
 BuildRequires:  yast2
 BuildRequires:  yast2-bootloader >= 3.1.35
-BuildRequires:  yast2-devtools >= 3.1.10
 BuildRequires:  yast2-testsuite
+Requires:   yast2-bootloader >= 3.1.35
+BuildRequires:  yast2-devtools >= 3.1.10
 
 # OSRelease
 Requires:   yast2 >= 3.0.4

++ yast2-vm-3.2.1.tar.bz2 -> yast2-vm-3.2.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-vm-3.2.1/package/yast2-vm.changes 
new/yast2-vm-3.2.2/package/yast2-vm.changes
--- old/yast2-vm-3.2.1/package/yast2-vm.changes 2017-03-30 12:37:57.962434455 
+0200
+++ new/yast2-vm-3.2.2/package/yast2-vm.changes 2017-07-19 16:34:47.259185694 
+0200
@@ -1,4 +1,10 @@
 ---
+Wed Jul 19 12:36:51 UTC 2017 - jreidin...@suse.com
+
+- add proper dependency on yast2-bootloader (bsc#1048759)
+- 3.2.2
+
+---
 Wed Mar 29 10:24:09 UTC 2017 - mfi...@suse.com
 
 - bnc#1026027
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-vm-3.2.1/package/yast2-vm.spec 
new/yast2-vm-3.2.2/package/yast2-vm.spec
--- old/yast2-vm-3.2.1/package/yast2-vm.spec2017-03-30 12:37:57.962434455 
+0200
+++ new/yast2-vm-3.2.2/package/yast2-vm.spec2017-07-19 16:34:47.259185694 
+0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-vm
-Version:3.2.1
+Version:3.2.2
 Release:0
 Group: System/YaST
 
@@ -27,6 +27,7 @@
 ExclusiveArch:  aarch64 %ix86 x86_64 s390x
 BuildRequires: perl-XML-Writer update-desktop-files yast2 yast2-testsuite
 BuildRequires:  yast2-bootloader >= 3.1.35
+Requires:   yast2-bootloader >= 3.1.35
 BuildRequires:  yast2-devtools >= 3.1.10
 License:GPL-2.0
 




commit yast2-xml for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package yast2-xml for openSUSE:Factory 
checked in at 2017-07-22 02:31:39

Comparing /work/SRC/openSUSE:Factory/yast2-xml (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-xml.new (New)


Package is "yast2-xml"

Sat Jul 22 02:31:39 2017 rev:22 rq:511436 version:3.3.0

Changes:

--- /work/SRC/openSUSE:Factory/yast2-xml/yast2-xml.changes  2013-11-18 
14:59:44.0 +0100
+++ /work/SRC/openSUSE:Factory/.yast2-xml.new/yast2-xml.changes 2017-07-22 
02:31:41.005968229 +0200
@@ -1,0 +2,6 @@
+Wed Jul 19 09:35:03 UTC 2017 - mvid...@suse.com
+
+- Omit libxml2 memory cleanup to prevent a crash (bsc#1047449).
+- 3.3.0
+
+---

Old:

  yast2-xml-3.1.1.tar.bz2

New:

  yast2-xml-3.3.0.tar.bz2



Other differences:
--
++ yast2-xml.spec ++
--- /var/tmp/diff_new_pack.evIhl2/_old  2017-07-22 02:31:41.573887949 +0200
+++ /var/tmp/diff_new_pack.evIhl2/_new  2017-07-22 02:31:41.577887384 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package yast2-xml
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-xml
-Version:3.1.1
+Version:3.3.0
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -28,7 +28,7 @@
 BuildRequires:  libtool
 BuildRequires:  libxml2-devel
 BuildRequires:  yast2-core-devel
-BuildRequires:  yast2-devtools >= 3.0.6
+BuildRequires:  yast2-devtools >= 3.1.10
 Summary:YaST2 - XML Agent
 License:GPL-2.0+
 Group:  System/YaST

++ yast2-xml-3.1.1.tar.bz2 -> yast2-xml-3.3.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-xml-3.1.1/.travis.yml 
new/yast2-xml-3.3.0/.travis.yml
--- old/yast2-xml-3.1.1/.travis.yml 1970-01-01 01:00:00.0 +0100
+++ new/yast2-xml-3.3.0/.travis.yml 2017-07-19 16:35:44.415185694 +0200
@@ -0,0 +1,11 @@
+sudo: required
+language: bash
+services:
+  - docker
+
+before_install:
+  - docker build -t yast-xml-image .
+script:
+  # the "yast-travis-cpp" script is included in the base yastdevel/cpp image
+  # see https://github.com/yast/docker-yast-cpp/blob/master/yast-travis-cpp
+  - docker run -it yast-xml-image yast-travis-cpp
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-xml-3.1.1/CONTRIBUTING.md 
new/yast2-xml-3.3.0/CONTRIBUTING.md
--- old/yast2-xml-3.1.1/CONTRIBUTING.md 2013-11-04 17:46:50.25600 +0100
+++ new/yast2-xml-3.3.0/CONTRIBUTING.md 2017-07-19 16:35:44.415185694 +0200
@@ -3,7 +3,7 @@
 
 YaST is an open source project and as such it welcomes all kinds of
 contributions. If you decide to contribute, please follow these guidelines to
-ensure the process is effective and pleasant both for you and YaST maintainers.
+ensure the process is effective and pleasant both for you and the YaST 
maintainers.
 
 There are two main forms of contribution: reporting bugs and performing code
 changes.
@@ -12,18 +12,16 @@
 ---
 
 If you find a problem, please report it either using
-[Bugzilla](https://bugzilla.novell.com/enter_bug.cgi?format=guided=openSUSE+Factory=YaST2)
+[Bugzilla](https://bugzilla.suse.com/enter_bug.cgi?format=guided=openSUSE+Factory=YaST2)
 or [GitHub issues](../../issues). (For Bugzilla, use the [simplified
 
registration](https://secure-www.novell.com/selfreg/jsp/createSimpleAccount.jsp)
 if you don't have an account yet.)
 
-If you find a problem, please report it either using
-[Bugzilla](https://bugzilla.novell.com/) or GitHub issues. We can't guarantee
-that every bug will be fixed, but we'll try.
-
 When creating a bug report, please follow our [bug reporting
 guidelines](http://en.opensuse.org/openSUSE:Report_a_YaST_bug).
 
+We can't guarantee that every bug will be fixed, but we'll try.
+
 Code Changes
 
 
@@ -44,15 +42,22 @@
  to the [Ruby style
  guide](https://github.com/SUSE/style-guides/blob/master/Ruby.md).
 
-  4. Make sure your change didn't break anything by building the RPM package
+  4. Update the package version (in `packages/*.spec`, usually by
+ `rake version:bump`) and add a new entry to the `package/*.changes` file
+ (by `osc vc package`).  
+ For bigger changes or changes which need longer discussion it is advised 
to
+ add this as a separate last commit so it can be easily updated when 
another
+ change is merged in the meantime.
+
+  5. Make sure your change didn't 

commit 000product for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2017-07-21 22:50:55

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Fri Jul 21 22:50:55 2017 rev:18 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-Lang-cd-cd-x86_64.kiwi: same change
_service:product_converter:openSUSE-Addon-Lang-release.spec: same change
_service:product_converter:openSUSE-Addon-NonOss-cd-addon-nonoss-i586_x86_64.kiwi:
 same change
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
_service:product_converter:openSUSE-Kubic-dvd5-DVD-x86_64.kiwi: same change
_service:product_converter:openSUSE-Kubic-release.spec: same change
++ _service:product_converter:openSUSE-cd-mini-i586.kiwi ++
--- /var/tmp/diff_new_pack.ETlnIf/_old  2017-07-21 22:51:08.377997910 +0200
+++ /var/tmp/diff_new_pack.ETlnIf/_new  2017-07-21 22:51:08.377997910 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -31,9 +31,9 @@
   true
   -x -2
   openSUSE
-  20170719
+  20170721
   11
-  cpe:/o:opensuse:opensuse:20170719,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20170721,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-i586.kiwi: same change
++ _service:product_converter:openSUSE-dvd5-dvd-promo-i586.kiwi ++
--- /var/tmp/diff_new_pack.ETlnIf/_old  2017-07-21 22:51:08.437989438 +0200
+++ /var/tmp/diff_new_pack.ETlnIf/_new  2017-07-21 22:51:08.437989438 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -32,9 +32,9 @@
   true
   -x -2
   openSUSE
-  20170719
+  20170721
   11
-  cpe:/o:opensuse:opensuse:20170719,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20170721,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

_service:product_converter:openSUSE-dvd5-dvd-promo-x86_64.kiwi: same change
++ _service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.ETlnIf/_old  2017-07-21 22:51:08.481983224 +0200
+++ /var/tmp/diff_new_pack.ETlnIf/_new  2017-07-21 22:51:08.481983224 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -34,9 +34,9 @@
   true
   -x -2
   openSUSE
-  20170719
+  20170721
   11
-  cpe:/o:opensuse:opensuse:20170719,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20170721,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ _service:product_converter:openSUSE-dvd9-dvd-biarch-i586_x86_64.kiwi 
++
--- /var/tmp/diff_new_pack.ETlnIf/_old  2017-07-21 22:51:08.501980400 +0200
+++ /var/tmp/diff_new_pack.ETlnIf/_new  2017-07-21 22:51:08.501980400 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -36,9 +36,9 @@
   true
   -x -2
   openSUSE
-  20170719
+  20170721
   11
-  cpe:/o:opensuse:opensuse:20170719,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20170721,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ _service:product_converter:openSUSE-ftp-ftp-i586_x86_64.kiwi ++
--- /var/tmp/diff_new_pack.ETlnIf/_old  2017-07-21 22:51:08.521977577 +0200
+++ /var/tmp/diff_new_pack.ETlnIf/_new  2017-07-21 22:51:08.521977577 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -23,7 +23,7 @@
 
   openSUSE
   ftp
-  openSUSE-20170719-i586-x86_64
+  openSUSE-20170721-i586-x86_64
   true
   /
   $DISTNAME-$FLAVOR
@@ -34,9 +34,9 @@
   true
   -x -2
   openSUSE
-  20170719
+  20170721
   11
-  cpe:/o:opensuse:opensuse:20170719,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20170721,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   2

++ _service:product_converter:openSUSE-re

commit 000product for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2017-07-21 22:50:54

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Fri Jul 21 22:50:54 2017 rev:17 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-Lang-cd-cd-x86_64.kiwi: same change
_service:product_converter:openSUSE-Addon-Lang-release.spec: same change
_service:product_converter:openSUSE-Addon-NonOss-cd-addon-nonoss-i586_x86_64.kiwi:
 same change
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
++ _service:product_converter:openSUSE-Kubic-dvd5-DVD-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.u2S6z8/_old  2017-07-21 22:51:06.598249215 +0200
+++ /var/tmp/diff_new_pack.u2S6z8/_new  2017-07-21 22:51:06.598249215 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -34,9 +34,9 @@
   true
   -x -2
   openSUSE
-  20170719
+  20170721
   11
-  cpe:/o:opensuse:opensuse-kubic:20170719,openSUSE 
Kubic
+  cpe:/o:opensuse:opensuse-kubic:20170721,openSUSE 
Kubic
   en_US 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ _service:product_converter:openSUSE-Kubic-release.spec ++
--- /var/tmp/diff_new_pack.u2S6z8/_old  2017-07-21 22:51:06.618246393 +0200
+++ /var/tmp/diff_new_pack.u2S6z8/_new  2017-07-21 22:51:06.622245829 +0200
@@ -20,7 +20,7 @@
 Summary:openSUSE Kubic 
 License:GPL-2.0+
 Group:  System/Fhs
-Version:20170719
+Version:    20170721
 Release:0
 BuildRequires:  skelcd-openSUSE
 Recommends: branding
@@ -31,9 +31,9 @@
 
 Provides:   %name-%version
 Provides:   product() = openSUSE-Kubic
-Provides:   product(openSUSE-Kubic) = 20170719-0
+Provides:   product(openSUSE-Kubic) = 20170721-0
 Provides:   product-label() = openSUSE%20Kubic
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dkubic%3A20170719
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dkubic%3A20170721
 Provides:   product-url(releasenotes) = 
https%3A%2F%2Fwww.suse.com%2Freleasenotes%2F%{_target_cpu}%2FSUSE%2DCAASP%2F1.0%2Frelease%2Dnotes%2Dcaasp.rpm
 Provides:   product-endoflife()
 
@@ -90,7 +90,7 @@
 PRETTY_NAME="openSUSE Kubic"
 ID="opensuse-kubic"
 ANSI_COLOR="0;32"
-CPE_NAME="cpe:/o:opensuse:opensuse-kubic:20170719"
+CPE_NAME="cpe:/o:opensuse:opensuse-kubic:20170721"
 EOF
 
 
@@ -100,11 +100,11 @@
 
   openSUSE
   openSUSE-Kubic
-  20170719
+  20170721
   0
   
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-kubic:20170719
+  cpe:/o:opensuse:opensuse-kubic:20170721
   openSUSE-Kubic
   
 

_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-i586.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-promo-i586.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-promo-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd9-dvd-biarch-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-ftp-ftp-i586_x86_64.kiwi: same change
_service:product_converter:openSUSE-release.spec: same change
openSUSE-Kubic-release.spec: same change
openSUSE-release.spec: same change
++ openSUSE-Kubic.product ++
--- /var/tmp/diff_new_pack.u2S6z8/_old  2017-07-21 22:51:07.058184303 +0200
+++ /var/tmp/diff_new_pack.u2S6z8/_new  2017-07-21 22:51:07.058184303 +0200
@@ -6,7 +6,7 @@
   openSUSE-Kubic
   openSUSE-Kubic-release
   
-  20170719
+  20170721
   
   0
   openSUSE-Kubic




commit python-openqa_review for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-openqa_review for 
openSUSE:Factory checked in at 2017-07-21 22:50:49

Comparing /work/SRC/openSUSE:Factory/python-openqa_review (Old)
 and  /work/SRC/openSUSE:Factory/.python-openqa_review.new (New)


Package is "python-openqa_review"

Fri Jul 21 22:50:49 2017 rev:12 rq:511845 version:1.7.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-openqa_review/python-openqa_review.changes
2017-03-16 09:51:58.802010660 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-openqa_review.new/python-openqa_review.changes
   2017-07-21 22:50:51.896323101 +0200
@@ -1,0 +2,36 @@
+Fri Jul 21 12:09:25 UTC 2017 - ok...@suse.com
+
+- Update to version 1.7.0:
+  * Skip error on writing reminder comments gracefully
+  * Get bugref details for softfails as well
+  * Split big 'bugrefs' test into more subtests
+  * Remove not used variables (#70)
+
+---
+Sun Jul 16 07:02:54 UTC 2017 - ok...@suse.com
+
+- Update to version 1.6.8:
+  * .gitignore: Also exclude pycharm
+  * Extract reading reference report in test for simpler ref report updating
+  * Fix 'interesting_states' not really filtering out STABLE results
+  * Use lowercase 'todo' dict key for easier distinction from TODO in source 
code comments
+  * Tiny duplication removal in tox.ini
+  * Fix potential wrong import of not-backported configparser within py27 tests
+  * Delete again configparser2 reference which is another module
+  * Simplify handling of results/results_by_bugref dicts
+  * Delete obsolete test data entry for soft-failed with failed modules
+  * Use newer python3.6 as in openSUSE Tumbleweed for testing
+  * Also include 'IMPROVED' in soft fail states
+  * Simplify 'soft-fail' calculation within IssueEntry
+  * Delete some redundant soft-fails for easier testing
+
+---
+Wed Jun 14 14:20:39 UTC 2017 - ok...@suse.com
+
+- Update to version 1.6.6:
+  * Add CLOSED to issue states for non-open tickets (#61)
+  * Fix broken HTML
+  * Fix doc-strings issue D401, not imperative mood
+  * Retry download in case of 502
+
+---

Old:

  python-openqa_review-1.6.4.tar.gz

New:

  python-openqa_review-1.7.0.tar.gz



Other differences:
--
++ python-openqa_review.spec ++
--- /var/tmp/diff_new_pack.lnEJ0w/_old  2017-07-21 22:50:52.624220422 +0200
+++ /var/tmp/diff_new_pack.lnEJ0w/_new  2017-07-21 22:50:52.624220422 +0200
@@ -18,7 +18,7 @@
 
 %define short_name openqa_review
 Name:   python-%{short_name}
-Version:1.6.4
+Version:1.7.0
 Release:0
 Summary:A review helper script for openQA
 License:MIT

++ _update.sh ++
--- /var/tmp/diff_new_pack.lnEJ0w/_old  2017-07-21 22:50:52.684211959 +0200
+++ /var/tmp/diff_new_pack.lnEJ0w/_new  2017-07-21 22:50:52.684211959 +0200
@@ -1,4 +1,5 @@
 #!/bin/sh -e
+osc up
 osc service disabledrun
 version=$(osc diff | sed -n 's/^.*Update to version \([0-9.]\+\):/\1/p')
 sed -i -e "s/^\(Version:\s*\)[0-9.]\+/\1$version/g" python-openqa_review.spec

++ python-openqa_review-1.6.4.tar.gz -> python-openqa_review-1.7.0.tar.gz 
++
 2277 lines of diff (skipped)




commit sbd for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package sbd for openSUSE:Factory checked in 
at 2017-07-21 22:50:51

Comparing /work/SRC/openSUSE:Factory/sbd (Old)
 and  /work/SRC/openSUSE:Factory/.sbd.new (New)


Package is "sbd"

Fri Jul 21 22:50:51 2017 rev:18 rq:511847 version:1.3.0

Changes:

--- /work/SRC/openSUSE:Factory/sbd/sbd.changes  2017-07-17 09:11:38.703822774 
+0200
+++ /work/SRC/openSUSE:Factory/.sbd.new/sbd.changes 2017-07-21 
22:50:53.148146516 +0200
@@ -1,0 +2,14 @@
+Fri Jul 21 09:06:51 UTC 2017 - y...@suse.com
+
+- Fix node name parameter in manpage
+- Don't reboot if off is requested
+
+- sbd-inquisitor: cleanup_servant_by_pid() should be static
+  * Drop sbd-cleanup_servant_by_pid-static.patch which has been merged upstream
+
+- sbd.sh: Use a more obvious variable on parsing devices (bsc#1033934)
+- sbd-inquisitor: Do not create duplicate servants (bsc#1033934)
+- sbd-inquisitor: Correctly look up servant by device name (bsc#1033934)
+- Upstream version cs: 11262fbc80364f2993a9876a2be82f4170c41e4e
+
+---

Old:

  sbd-1.3.0+20170530.a0bc43b.tar.bz2
  sbd-cleanup_servant_by_pid-static.patch

New:

  sbd-1.3.0+20170624.11262fb.tar.bz2



Other differences:
--
++ sbd.spec ++
--- /var/tmp/diff_new_pack.m4C2XC/_old  2017-07-21 22:50:53.836049478 +0200
+++ /var/tmp/diff_new_pack.m4C2XC/_new  2017-07-21 22:50:53.840048914 +0200
@@ -17,7 +17,7 @@
 #
 
 
-%global commit 1.3.0+20170530.a0bc43b
+%global commit 1.3.0+20170624.11262fb
 
 Name:   sbd
 Version:1.3.0
@@ -27,10 +27,9 @@
 Group:  Productivity/Clustering/HA
 Url:https://github.com/ClusterLabs/sbd
 Source: %{name}-%{commit}.tar.bz2
-Patch1: sbd-cleanup_servant_by_pid-static.patch
-Patch2: bug-1047372_sbd-SBD_WATCHDOG-compatibility.patch
-Patch3: bug-1046421_sbd-enable-pacemaker-integration-by-default.patch
-Patch4: bug-1047376_sbd-not-use-watchdog-conflicting-options.patch
+Patch1: bug-1047372_sbd-SBD_WATCHDOG-compatibility.patch
+Patch2: bug-1046421_sbd-enable-pacemaker-integration-by-default.patch
+Patch3: bug-1047376_sbd-not-use-watchdog-conflicting-options.patch
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  e2fsprogs-devel

++ _servicedata ++
--- /var/tmp/diff_new_pack.m4C2XC/_old  2017-07-21 22:50:53.876043837 +0200
+++ /var/tmp/diff_new_pack.m4C2XC/_new  2017-07-21 22:50:53.880043273 +0200
@@ -1,6 +1,6 @@
 
   
 https://github.com/ClusterLabs/sbd.git
-a0bc43b17fcb997fe4c09731db2126ab350cfb50
+11262fbc80364f2993a9876a2be82f4170c41e4e
   
 

++ sbd-1.3.0+20170530.a0bc43b.tar.bz2 -> sbd-1.3.0+20170624.11262fb.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/sbd-1.3.0+20170530.a0bc43b/.git_info 
new/sbd-1.3.0+20170624.11262fb/.git_info
--- old/sbd-1.3.0+20170530.a0bc43b/.git_info2017-06-02 10:53:19.188935542 
+0200
+++ new/sbd-1.3.0+20170624.11262fb/.git_info2017-07-21 10:57:11.525946369 
+0200
@@ -1 +1 @@
-v1.3.0-6-ga0bc43b
+v1.3.0-15-g11262fb
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/sbd-1.3.0+20170530.a0bc43b/man/sbd.8.pod 
new/sbd-1.3.0+20170624.11262fb/man/sbd.8.pod
--- old/sbd-1.3.0+20170530.a0bc43b/man/sbd.8.pod2017-05-31 
01:07:27.0 +0200
+++ new/sbd-1.3.0+20170624.11262fb/man/sbd.8.pod2017-06-24 
06:29:09.0 +0200
@@ -62,7 +62,7 @@
 
 Display a concise summary of C options.
 
-=item B<-c> I
+=item B<-n> I
 
 Set local node name; defaults to C. This should not need to be
 set.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/sbd-1.3.0+20170530.a0bc43b/src/sbd-common.c 
new/sbd-1.3.0+20170624.11262fb/src/sbd-common.c
--- old/sbd-1.3.0+20170530.a0bc43b/src/sbd-common.c 2017-05-31 
01:07:27.0 +0200
+++ new/sbd-1.3.0+20170624.11262fb/src/sbd-common.c 2017-06-24 
06:29:09.0 +0200
@@ -487,8 +487,10 @@
 } else {
 watchdog_close(false);
 sysrq_trigger(kind);
-if(reboot(RB_AUTOBOOT) < 0) {
-cl_perror("Reboot failed");
+if (kind != 'o') {
+if(reboot(RB_AUTOBOOT) < 0) {
+cl_perror("Reboot failed");
+}
 }
 }
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/sbd-1.3.0+20170530.a0bc43b/src/sbd-inquisitor.c 
new/sbd-1.3.0+20170624.11262fb/src/sbd-inquisitor.c
--- old/sbd-1.3.0+20170530.a0bc43b/src/sbd-inquisitor.c 2017-05-31 
01:07:27.0 +0200
+++ new/sbd-1.3.0+20170624.11262fb/src/sbd-inquisitor.c 

commit nextcloud-client for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package nextcloud-client for 
openSUSE:Factory checked in at 2017-07-21 22:50:46

Comparing /work/SRC/openSUSE:Factory/nextcloud-client (Old)
 and  /work/SRC/openSUSE:Factory/.nextcloud-client.new (New)


Package is "nextcloud-client"

Fri Jul 21 22:50:46 2017 rev:7 rq:511839 version:2.3.2

Changes:

--- /work/SRC/openSUSE:Factory/nextcloud-client/nextcloud-client.changes
2017-06-15 11:26:00.969184067 +0200
+++ /work/SRC/openSUSE:Factory/.nextcloud-client.new/nextcloud-client.changes   
2017-07-21 22:50:48.256836495 +0200
@@ -1,0 +2,14 @@
+Fri Jul 21 07:17:00 UTC 2017 - ec...@opensuse.org
+
+- update to 2.3.2
+  * Fix more crashes (thanks to everyone submitting to our crash 
+reporter!)
+  * Improve compatibility with server 10.0 (5691, X-OC-Total-Size)
+  * Share dialog: UI improvements, Bring to front on tray click
+  * owncloudcmd: Align process return value with sync return value 
+(3936)
+  * Fix disk free check on Windows when opening the local DB
+- insert Requires: %{soname}%{sover} = %{version} because lib
+  does not up- or downgrade by up- or downgrade from client itself.
+
+---

Old:

  nextcloud-client_2.3.1.orig.tar.bz2

New:

  nextcloud-client_2.3.2.orig.tar.bz2



Other differences:
--
++ nextcloud-client.spec ++
--- /var/tmp/diff_new_pack.AGKlM2/_old  2017-07-21 22:50:51.580367670 +0200
+++ /var/tmp/diff_new_pack.AGKlM2/_new  2017-07-21 22:50:51.584367106 +0200
@@ -19,7 +19,7 @@
 %define soname  libnextcloudsync
 %define sover   0
 Name:   nextcloud-client
-Version:2.3.1
+Version:2.3.2
 Release:0
 Summary:Nextcloud desktop synchronisation client
 License:GPL-2.0+ and LGPL-3.0+
@@ -75,6 +75,7 @@
 BuildRequires:  python3-Sphinx
 Suggests:   %{name}-doc = %{version}
 %endif
+Requires:   %{soname}%{sover} = %{version}
 
 %description
 The Nextcloud Desktop Client is a tool to synchronise files from

++ nextcloud-client_2.3.1.orig.tar.bz2 -> 
nextcloud-client_2.3.2.orig.tar.bz2 ++
/work/SRC/openSUSE:Factory/nextcloud-client/nextcloud-client_2.3.1.orig.tar.bz2 
/work/SRC/openSUSE:Factory/.nextcloud-client.new/nextcloud-client_2.3.2.orig.tar.bz2
 differ: char 11, line 1




commit perl-Mojo-SQLite for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Mojo-SQLite for 
openSUSE:Factory checked in at 2017-07-21 22:50:39

Comparing /work/SRC/openSUSE:Factory/perl-Mojo-SQLite (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Mojo-SQLite.new (New)


Package is "perl-Mojo-SQLite"

Fri Jul 21 22:50:39 2017 rev:6 rq:511755 version:3.000

Changes:

--- /work/SRC/openSUSE:Factory/perl-Mojo-SQLite/perl-Mojo-SQLite.changes
2017-06-07 09:56:33.317086128 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Mojo-SQLite.new/perl-Mojo-SQLite.changes   
2017-07-21 22:50:40.377947910 +0200
@@ -1,0 +2,17 @@
+Fri Jul 21 05:50:16 UTC 2017 - co...@suse.com
+
+- updated to 3.000
+   see /usr/share/doc/packages/perl-Mojo-SQLite/Changes
+
+  3.000 2017-07-20 01:16:50 EDT
+- Changed default for max_connections attribute to 1.
+- Added support for sharing the database connection cache between multiple
+  Mojo::SQLite objects. (based on Mojo::Pg 4.0)
+- Added parent attribute to Mojo::SQLite.
+- Fixed database connection leak with automatic migrations.
+- Removed deprecated Mojo::SQLite::PubSub and associated methods and 
attributes.
+  SQLite's serverless nature means it does not have the ability to support
+  client notifications, so it is not possible to implement an efficient
+  pubsub system as in for example PostgreSQL, Redis, or websockets.
+
+---

Old:

  Mojo-SQLite-2.002.tar.gz

New:

  Mojo-SQLite-3.000.tar.gz



Other differences:
--
++ perl-Mojo-SQLite.spec ++
--- /var/tmp/diff_new_pack.3HMY20/_old  2017-07-21 22:50:41.153838461 +0200
+++ /var/tmp/diff_new_pack.3HMY20/_new  2017-07-21 22:50:41.157837896 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Mojo-SQLite
-Version:2.002
+Version:3.000
 Release:0
 %define cpan_name Mojo-SQLite
 Summary:Tiny Mojolicious Wrapper for Sqlite
@@ -34,7 +34,7 @@
 BuildRequires:  perl(DBI) >= 1.627
 BuildRequires:  perl(Module::Build::Tiny) >= 0.034
 BuildRequires:  perl(Module::Metadata)
-BuildRequires:  perl(Mojolicious) >= 7.15
+BuildRequires:  perl(Mojolicious) >= 7.32
 BuildRequires:  perl(SQL::Abstract) >= 1.81
 BuildRequires:  perl(Test::More) >= 0.88
 BuildRequires:  perl(URI) >= 1.69
@@ -42,7 +42,7 @@
 BuildRequires:  perl(URI::file) >= 4.21
 Requires:   perl(DBD::SQLite) >= 1.50
 Requires:   perl(DBI) >= 1.627
-Requires:   perl(Mojolicious) >= 7.15
+Requires:   perl(Mojolicious) >= 7.32
 Requires:   perl(SQL::Abstract) >= 1.81
 Requires:   perl(URI) >= 1.69
 Requires:   perl(URI::db) >= 0.15
@@ -52,7 +52,9 @@
 %description
 Mojo::SQLite is a tiny wrapper around DBD::SQLite that makes at
 https://www.sqlite.org/ a lot of fun to use with the at https://mojolico.us
-real-time web framework.
+real-time web framework. Use all at http://sqlite.org/lang.html SQLite has
+to offer, generate CRUD queries from data structures, and manage your
+database schema with migrations.
 
 Database and statement handles are cached automatically, so they can be
 reused transparently to increase performance. And you can handle connection
@@ -84,7 +86,10 @@
 Log" journal is enabled for all connections, allowing multiple processes to
 read and write concurrently to the same database file (but only one can
 write at a time). You can prevent this mode from being enabled by passing
-the option 'no_wal'. See http://sqlite.org/wal.html for more information.
+the option 'no_wal', but note that this is incompatible with SQLite
+databases that have already had WAL mode enabled. See
+http://sqlite.org/wal.html and DBD::SQLite/"journal_mode" for more
+information.
 
   # Performed concurrently
   my $pid = fork || die $!;

++ Mojo-SQLite-2.002.tar.gz -> Mojo-SQLite-3.000.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mojo-SQLite-2.002/Build.PL 
new/Mojo-SQLite-3.000/Build.PL
--- old/Mojo-SQLite-2.002/Build.PL  2017-06-01 20:16:36.0 +0200
+++ new/Mojo-SQLite-3.000/Build.PL  2017-07-20 07:16:52.0 +0200
@@ -84,7 +84,7 @@
 "Dan Book "
   ],
   "dist_name" => "Mojo-SQLite",
-  "dist_version" => "2.002",
+  "dist_version" => "3.000",
   "license" => "artistic_2",
   "module_name" => "Mojo::SQLite",
   "recursive_test_files" => 1,
@@ -94,7 +94,7 @@
 "DBI" => "1.627",
 "File::Spec::Functions" => 0,
 "File::Temp" => 0,
-"Mojolicious" => "7.15",
+"Mojolicious" => "7.32",
 "SQL::Abstract" => "1.81",
 "Scalar::Util" => 0,
 "URI" => "1.69",
diff -urN '--exclude=CVS' '--exclude=.cvsignore' 

commit perl-Mojo-Pg for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Mojo-Pg for openSUSE:Factory 
checked in at 2017-07-21 22:50:34

Comparing /work/SRC/openSUSE:Factory/perl-Mojo-Pg (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Mojo-Pg.new (New)


Package is "perl-Mojo-Pg"

Fri Jul 21 22:50:34 2017 rev:6 rq:511754 version:4.01

Changes:

--- /work/SRC/openSUSE:Factory/perl-Mojo-Pg/perl-Mojo-Pg.changes
2017-07-08 12:35:50.462253730 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Mojo-Pg.new/perl-Mojo-Pg.changes   
2017-07-21 22:50:38.266245790 +0200
@@ -1,0 +2,9 @@
+Fri Jul 21 05:49:57 UTC 2017 - co...@suse.com
+
+- updated to 4.01
+   see /usr/share/doc/packages/perl-Mojo-Pg/Changes
+
+  4.01  2017-07-20
+- Decreased default max_connections from 5 to 1 in Mojo::Pg.
+
+---

Old:

  Mojo-Pg-4.0.tar.gz

New:

  Mojo-Pg-4.01.tar.gz



Other differences:
--
++ perl-Mojo-Pg.spec ++
--- /var/tmp/diff_new_pack.mW9yI6/_old  2017-07-21 22:50:38.782173013 +0200
+++ /var/tmp/diff_new_pack.mW9yI6/_new  2017-07-21 22:50:38.786172449 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Mojo-Pg
-Version:4.0
+Version:4.01
 Release:0
 %define cpan_name Mojo-Pg
 Summary:Mojolicious ♥ PostgreSQL

++ Mojo-Pg-4.0.tar.gz -> Mojo-Pg-4.01.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mojo-Pg-4.0/Changes new/Mojo-Pg-4.01/Changes
--- old/Mojo-Pg-4.0/Changes 2017-07-06 23:41:13.0 +0200
+++ new/Mojo-Pg-4.01/Changes2017-07-20 18:00:20.0 +0200
@@ -1,4 +1,7 @@
 
+4.01  2017-07-20
+  - Decreased default max_connections from 5 to 1 in Mojo::Pg.
+
 4.0  2017-07-06
   - Added support for sharing the database connection cache between multiple
 Mojo::Pg objects.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mojo-Pg-4.0/META.json new/Mojo-Pg-4.01/META.json
--- old/Mojo-Pg-4.0/META.json   2017-07-06 23:45:43.0 +0200
+++ new/Mojo-Pg-4.01/META.json  2017-07-20 18:01:43.0 +0200
@@ -57,6 +57,6 @@
   },
   "x_IRC" : "irc://irc.perl.org/#mojo"
},
-   "version" : "4.0",
+   "version" : "4.01",
"x_serialization_backend" : "JSON::PP version 2.94"
 }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mojo-Pg-4.0/META.yml new/Mojo-Pg-4.01/META.yml
--- old/Mojo-Pg-4.0/META.yml2017-07-06 23:45:42.0 +0200
+++ new/Mojo-Pg-4.01/META.yml   2017-07-20 18:01:42.0 +0200
@@ -30,5 +30,5 @@
   homepage: http://mojolicious.org
   license: http://www.opensource.org/licenses/artistic-license-2.0
   repository: https://github.com/kraih/mojo-pg.git
-version: '4.0'
+version: '4.01'
 x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mojo-Pg-4.0/lib/Mojo/Pg.pm 
new/Mojo-Pg-4.01/lib/Mojo/Pg.pm
--- old/Mojo-Pg-4.0/lib/Mojo/Pg.pm  2017-07-06 23:36:51.0 +0200
+++ new/Mojo-Pg-4.01/lib/Mojo/Pg.pm 2017-07-20 17:52:53.0 +0200
@@ -16,7 +16,7 @@
 has [qw(auto_migrate parent search_path)];
 has database_class  => 'Mojo::Pg::Database';
 has dsn => 'dbi:Pg:';
-has max_connections => 5;
+has max_connections => 1;
 has migrations  => sub {
   my $migrations = Mojo::Pg::Migrations->new(pg => shift);
   weaken $migrations->{pg};
@@ -38,7 +38,7 @@
   return $pubsub;
 };
 
-our $VERSION = '4.0';
+our $VERSION = '4.01';
 
 sub db { $_[0]->database_class->new(dbh => $_[0]->_prepare, pg => $_[0]) }
 
@@ -368,7 +368,7 @@
   $pg = $pg->max_connections(3);
 
 Maximum number of idle database handles to cache for future use, defaults to
-C<5>.
+C<1>.
 
 =head2 migrations
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mojo-Pg-4.0/t/database.t 
new/Mojo-Pg-4.01/t/database.t
--- old/Mojo-Pg-4.0/t/database.t2017-07-06 19:58:59.0 +0200
+++ new/Mojo-Pg-4.01/t/database.t   2017-07-20 17:57:16.0 +0200
@@ -9,6 +9,7 @@
 use Mojo::IOLoop;
 use Mojo::JSON 'true';
 use Mojo::Pg;
+use Scalar::Util 'refaddr';
 
 # Connected
 my $pg = Mojo::Pg->new($ENV{TEST_ONLINE});
@@ -87,9 +88,11 @@
 is_deeply $result, [{one => 1}, {one => 1}, {two => 2}], 'right structure';
 
 # Connection cache
-is $pg->max_connections, 5, 'right default';
-my @dbhs = map { $_->dbh } $pg->db, $pg->db, $pg->db, $pg->db, $pg->db;
-is_deeply \@dbhs, [map { $_->dbh } $pg->db, $pg->db, $pg->db, $pg->db, 
$pg->db],
+is $pg->max_connections, 1, 'right default';
+$pg->max_connections(5);
+my @dbhs = map { refaddr $_->dbh } $pg->db, $pg->db, $pg->db, 

commit GraphicsMagick for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package GraphicsMagick for openSUSE:Factory 
checked in at 2017-07-21 22:50:45

Comparing /work/SRC/openSUSE:Factory/GraphicsMagick (Old)
 and  /work/SRC/openSUSE:Factory/.GraphicsMagick.new (New)


Package is "GraphicsMagick"

Fri Jul 21 22:50:45 2017 rev:58 rq:511779 version:1.3.26

Changes:

--- /work/SRC/openSUSE:Factory/GraphicsMagick/GraphicsMagick.changes
2017-07-01 14:06:35.167304852 +0200
+++ /work/SRC/openSUSE:Factory/.GraphicsMagick.new/GraphicsMagick.changes   
2017-07-21 22:50:46.669060471 +0200
@@ -1,0 +2,79 @@
+Fri Jul 21 08:47:35 UTC 2017 - tchva...@suse.com
+
+- Drop patches not meintioned in the changelog ever:
+  * GraphicsMagick-debian-fixed.patch
+  * GraphicsMagick-include.patch
+  * GraphicsMagick-perl-link.patch
+  * The package builds just fine without them and there is no
+refference explaining it
+- Convert the deps to pkgconfig variants where possible.
+
+---
+Fri Jul 21 08:29:03 UTC 2017 - tchva...@suse.com
+
+- Version update to 1.3.26:
+  * DPX: Fix excessive use of memory (DOS issue) due to file header
+claiming large image dimensions but insufficient backing
+data. (CVE-2017-10799 bsc#1047054).
+  * JNG: Fix memory leak when reading invalid JNG image (CVE-2017-8350).
+  * MAT: Fix excessive use of memory (DOS issue) due to continuing
+processing with insufficient data and claimed large image
+size. Verify each file extent to make sure that it is within range
+of file size. (CVE-2017-10800 bsc#1047044).
+  * META: Fix heap overflow while parsing 8BIM chunk (CVE-2016-7800).
+  * PCX: Fix denial of service issue.
+  * RLE: Fix abnomally slow operation (denial of service issue) with
+intentionally corrupt colormapped file.
+  * PICT: Fix possible buffer overflow vulnerability given suitably
+truncated input file.
+  * PNG: Enforce spec requirement that the dimensions of the JPEG
+embedded in a JDAT chunk must match the JHDR dimensions
+(CVE-2016-9830).
+  * PNG: Avoid NULL dereference when MAGN chunk processing fails.
+  * SCT: Fix stack-buffer read overflow (underflow?) while reading SCT
+header.
+  * SGI: Fix denial of service issues.  Delay large memory allocations
+until file header has fully passed sanity checks.
+  * TIFF: Fix out of bounds read when reading CMYKA TIFF which claims to
+have only 2 samples per pixel (CVE-2017-6335 bsc#1027255).
+  * TIFF: Fix out of bounds read when reading RGB TIFF which claims to
+have only 1 sample per pixel (CVE-2017-10794).
+  * WPG: Fix heap overflow (CVE-2016-7996).  Fix assertion crash
+(CVE-2016-7997).
+  * DifferenceImage(): Fix Fix all-black difference image if an input
+file is colormapped.
+  * EXIF orientation was not being properly detected for some files.
+  * -frame: The `import` command -frame handling was improperly
+implemented and was using already freed data.
+  * GIF: Fixes for "Excessive LZW string data" problem.
+  * Magick++: Bug fixes to PathSmoothCurvetoRel::operator() and
+PathSmoothCurvetoRel::operator().
+  * PAM: Support writing GRAYSCALE PAM format.
+  * PNG: Fix memory leaks.
+  * SVG: Fixed a memory leak.  Fixed a possible null pointer dereference.
+  * TclMagick: Problem that TkMagick could not resolve functions from
+TclMagick under Linux is fixed.
+  * TclMagick: Fix parser validatation in magickCmd() to avoid crash
+given a syntax error.
+  * TIFF: Fix for reading old JPEG files (avoids "Improper call to JPEG
+library in state 0. (LibJpeg).").
+  * TXT: Fixed memory leak.
+  * XCF: Error checking is improved.
+  * EXIF rotation: Support is added such that the EXIF orientation tag
+is updated when the image is rotated.
+  * MAT: Now support reading multiple images from Matlab V4 format.
+  * Magick++: Orientation method now updates orientation in EXIF
+profile, if it exists.
+  * Magick++: Added Image attribute method which accepts a 'char *'
+argument, and will remove the attribute if the value argument is
+NULL.
+  * -orient: The -orient command line option now also updates the
+orientation in the EXIF profile, if it exists.
+  * PGX: Support PGX JPEG 2000 format for reading and writing (within
+the bounds of what JasPer supports).
+  * Wand API: Added MagickAutoOrientImage(),
+MagickGetImageOrientation(), MagickSetImageOrientation(),
+MagickRemoveImageOption(), and MagickClearException().
+- Drop merged patch GraphicsMagick-CVE-2017-8350.patch
+
+---

Old:

  GraphicsMagick-1.3.25.tar.bz2
  GraphicsMagick-CVE-2017-8350.patch
  GraphicsMagick-debian-fixed.patch
  GraphicsMagick-include.patch
  GraphicsMagick-perl-link.patch

New:

  

commit xf86-video-siliconmotion for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package xf86-video-siliconmotion for 
openSUSE:Factory checked in at 2017-07-21 22:50:32

Comparing /work/SRC/openSUSE:Factory/xf86-video-siliconmotion (Old)
 and  /work/SRC/openSUSE:Factory/.xf86-video-siliconmotion.new (New)


Package is "xf86-video-siliconmotion"

Fri Jul 21 22:50:32 2017 rev:15 rq:511746 version:1.7.9

Changes:

--- 
/work/SRC/openSUSE:Factory/xf86-video-siliconmotion/xf86-video-siliconmotion.changes
2017-04-14 13:41:47.556865053 +0200
+++ 
/work/SRC/openSUSE:Factory/.xf86-video-siliconmotion.new/xf86-video-siliconmotion.changes
   2017-07-21 22:50:34.738743388 +0200
@@ -1,0 +2,5 @@
+Thu Jul 20 14:46:33 UTC 2017 - stefan.bru...@rwth-aachen.de
+
+- Add aarch64 to ExcludeArch, build fails due to unsupported outb
+
+---



Other differences:
--
++ xf86-video-siliconmotion.spec ++
--- /var/tmp/diff_new_pack.idmhta/_old  2017-07-21 22:50:35.430645787 +0200
+++ /var/tmp/diff_new_pack.idmhta/_new  2017-07-21 22:50:35.430645787 +0200
@@ -41,7 +41,7 @@
 # This was part of the xorg-x11-driver-video package up to version 7.6
 Conflicts:  xorg-x11-driver-video <= 7.6
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-ExcludeArch:s390 s390x
+ExcludeArch:s390 s390x aarch64
 %x11_abi_videodrv_req
 
 %description





commit ucode-intel for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package ucode-intel for openSUSE:Factory 
checked in at 2017-07-21 22:50:07

Comparing /work/SRC/openSUSE:Factory/ucode-intel (Old)
 and  /work/SRC/openSUSE:Factory/.ucode-intel.new (New)


Package is "ucode-intel"

Fri Jul 21 22:50:07 2017 rev:29 rq:511622 version:20170707

Changes:

--- /work/SRC/openSUSE:Factory/ucode-intel/ucode-intel.changes  2017-07-19 
12:22:16.701612461 +0200
+++ /work/SRC/openSUSE:Factory/.ucode-intel.new/ucode-intel.changes 
2017-07-21 22:50:08.566435315 +0200
@@ -1,0 +2,6 @@
+Wed Jul 19 15:04:28 UTC 2017 - astie...@suse.com
+
+- Remove code in intel-microcode2ucode.c that refers to 
+  GenuineIntel.bin , previously in binary blob package.
+
+---



Other differences:
--
++ intel-microcode2ucode.c ++
--- /var/tmp/diff_new_pack.7dB1hL/_old  2017-07-21 22:50:10.110217546 +0200
+++ /var/tmp/diff_new_pack.7dB1hL/_new  2017-07-21 22:50:10.110217546 +0200
@@ -85,13 +85,6 @@
   bufsize,
   bufsize / 1024,
   count);
-   
-f = fopen("GenuineIntel.bin", "w");
-if (!f)
-return perror("Couldn't open GenuineIntel.bin"), EXIT_FAILURE;
-
-if(fwrite(buf, sizeof(int), count, f) != count || fclose(f))
-return perror("Couldn't write GenuineIntel.bin"), EXIT_FAILURE;
 
if (bufsize < sizeof(struct microcode_header_intel))
goto out;




commit tcmu-runner for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package tcmu-runner for openSUSE:Factory 
checked in at 2017-07-21 22:50:24

Comparing /work/SRC/openSUSE:Factory/tcmu-runner (Old)
 and  /work/SRC/openSUSE:Factory/.tcmu-runner.new (New)


Package is "tcmu-runner"

Fri Jul 21 22:50:24 2017 rev:3 rq:511671 version:1.2.0

Changes:

--- /work/SRC/openSUSE:Factory/tcmu-runner/tcmu-runner.changes  2017-05-17 
10:54:22.842603393 +0200
+++ /work/SRC/openSUSE:Factory/.tcmu-runner.new/tcmu-runner.changes 
2017-07-21 22:50:27.479767357 +0200
@@ -1,0 +2,19 @@
+Thu Jul 20 01:53:01 UTC 2017 - ldun...@suse.com
+
+- One more update from Security Audit, adding one more patch:
+  - removed-all-check_config-callback-implementations-to-avoid-security-issues
+(bsc#1049491)
+
+---
+Thu Jul 20 01:18:42 UTC 2017 - ldun...@suse.com
+
+- Updates based on Security Audit, adding 4 patches:
+  * glfs-discard-glfs_check_config (bsc#1049485)
+  * 
fixed-local-dos-when-unregisterhandler-was-called-for-a-not-existing-handler
+(bsc#1049488)
+  * 
only-allow-dynamic-unregisterhandler-for-external-handlers-thereby-fixing-dos
+(bsc#1049489)
+  * fixed-a-number-of-memory-leaks-with-deregistering-of-dbus-handlers
+(bsc#1049490)
+
+---

New:

  fixed-a-number-of-memory-leaks-with-deregistering-of-dbus-handlers
  fixed-local-dos-when-unregisterhandler-was-called-for-a-not-existing-handler
  glfs-discard-glfs_check_config
  only-allow-dynamic-unregisterhandler-for-external-handlers-thereby-fixing-dos
  removed-all-check_config-callback-implementations-to-avoid-security-issues



Other differences:
--
++ tcmu-runner.spec ++
--- /var/tmp/diff_new_pack.0SUu8b/_old  2017-07-21 22:50:28.359643239 +0200
+++ /var/tmp/diff_new_pack.0SUu8b/_new  2017-07-21 22:50:28.363642675 +0200
@@ -35,6 +35,11 @@
 Url:https://github.com/agrover/%{name}
 Source: %{name}-%{version}.tar.gz
 Patch1: %{name}-handler_file-add-libtcmu.patch
+Patch2: glfs-discard-glfs_check_config
+Patch3: 
fixed-local-dos-when-unregisterhandler-was-called-for-a-not-existing-handler
+Patch4: 
only-allow-dynamic-unregisterhandler-for-external-handlers-thereby-fixing-dos
+Patch5: 
fixed-a-number-of-memory-leaks-with-deregistering-of-dbus-handlers
+Patch6: 
removed-all-check_config-callback-implementations-to-avoid-security-issues
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  cmake
 BuildRequires:  glib2-devel
@@ -123,6 +128,11 @@
 %prep
 %setup
 %patch1 -p1
+%patch2 -p1
+%patch3 -p1
+%patch4 -p1
+%patch5 -p1
+%patch6 -p1
 
 %build
 CMAKE_OPTIONS="\

++ fixed-a-number-of-memory-leaks-with-deregistering-of-dbus-handlers ++
From: Matthias Gerstner 
Date: Fri, 14 Jul 2017 16:17:09 +0200
Subject: fixed a number of memory leaks with (de)registering of dbus handlers
Git-commit: 7a78eda52d973d3edc06fea84ad874678d6055f0
References: bsc#1049490

A number of dynamic memory leaks that could be triggered by any user
with access to DBus have been fixed:

- deregistering a previously registered dbus handler failed to free the
dynamically allocated handler data
- trying to register a dbus handler that doesn't exist failed to free
the dynamically allocated handler data
- trying to register a dbus handler with an invalid name (e.g. starting
with a number like "0memory" caused the g_bus_watch_name() call to fail,
the callback never came in, no response was ever sent to the requestor
o

Example:

dbus-send --system --print-reply --dest=org.kernel.TCMUService1 
/org/kernel/TCMUService1/HandlerManager1 
org.kernel.TCMUService1.HandlerManager1.RegisterHandler string:0memory 
string:stuff

These bugs can all lead to a kind of local DoS, wasting memory in the
tcmu-runner daemon, which can be triggered by any local user with access
to the system bus.

Acked-by: Lee Duncan 
---
 main.c |   27 ++-
 1 file changed, 22 insertions(+), 5 deletions(-)

--- a/main.c
+++ b/main.c
@@ -102,6 +102,14 @@ bool tcmur_unregister_handler(struct tcm
return false;
 }
 
+static void free_dbus_handler(struct tcmur_handler *handler)
+{
+   g_free((char*)handler->opaque);
+   g_free((char*)handler->subtype);
+   g_free((char*)handler->cfg_desc);
+   g_free(handler);
+}
+
 static bool tcmur_unregister_dbus_handler(struct tcmur_handler *handler)
 {
bool ret = false;
@@ -109,6 +117,10 @@ static bool tcmur_unregister_dbus_handle
 
ret = tcmur_unregister_handler(handler);
 
+   if (ret == true) {
+   

commit libvmime for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package libvmime for openSUSE:Factory 
checked in at 2017-07-21 22:50:27

Comparing /work/SRC/openSUSE:Factory/libvmime (Old)
 and  /work/SRC/openSUSE:Factory/.libvmime.new (New)


Package is "libvmime"

Fri Jul 21 22:50:27 2017 rev:20 rq:511678 version:0.9.2

Changes:

--- /work/SRC/openSUSE:Factory/libvmime/libvmime.changes2017-04-07 
14:19:30.217475235 +0200
+++ /work/SRC/openSUSE:Factory/.libvmime.new/libvmime.changes   2017-07-21 
22:50:29.179527584 +0200
@@ -1,0 +2,10 @@
+Thu Jul 13 14:11:54 UTC 2017 - jeng...@inai.de
+
+- Update description
+
+---
+Thu Jul 13 11:48:42 UTC 2017 - o...@aepfle.de
+
+- Remove openssl because gnutls is preferd already
+
+---



Other differences:
--
++ libvmime.spec ++
--- /var/tmp/diff_new_pack.aTvKpf/_old  2017-07-21 22:50:29.931421520 +0200
+++ /var/tmp/diff_new_pack.aTvKpf/_new  2017-07-21 22:50:29.931421520 +0200
@@ -40,7 +40,6 @@
 %if !0%{?sle_version}
 BuildRequires:  libgsasl-devel
 %endif
-BuildRequires:  libopenssl-devel
 BuildRequires:  pkg-config
 %if 0%{?suse_version} >= 1130
 %define with_pdf 1
@@ -59,40 +58,38 @@
 BuildRequires:  xz
 
 %description
-VMime is a powerful C++ class library for working with MIME messages
-and Internet messaging services like IMAP, POP or SMTP.
-
-With VMime you can parse, generate and modify messages, and also
-connect to store and transport services to receive or send messages
-over the Internet. The library offers all the features to build a
-complete mail client.
+VMime is a C++ class library for working with RFC2822 and
+MIME-conforming messages (RFC2045–2049), as well as Internet
+messaging services like IMAP, POP or SMTP.
+
+VMime can parse, generate and modify messages, and also connect to
+store and transport services to receive or send messages over the
+Internet. The library offers features to build a mail client.
 
 %package -n %lname
 Summary:Library for working with MIME messages and IMAP/POP/SMTP
 Group:  System/Libraries
 
 %description -n %lname
-VMime is a powerful C++ class library for working with MIME messages
-and Internet messaging services like IMAP, POP or SMTP.
-
-With VMime you can parse, generate and modify messages, and also
-connect to store and transport services to receive or send messages
-over the Internet. The library offers all the features to build a
-complete mail client.
+VMime is a C++ class library for working with RFC2822 and
+MIME-conforming messages (RFC2045–2049), as well as Internet
+messaging services like IMAP, POP or SMTP.
+
+VMime can parse, generate and modify messages, and also connect to
+store and transport services to receive or send messages over the
+Internet. The library offers features to build a mail client.
 
 %package devel
-Summary:Library for working with MIME messages and IMAP/POP/SMTP
+Summary:Development files for vmime, an e-mail message library
 Group:  Development/Libraries/C and C++
 Requires:   %lname = %version
 
 %description devel
-VMime is a powerful C++ class library for working with MIME messages
-and Internet messaging services like IMAP, POP or SMTP.
+VMime is a C++ class library for working with RFC2822 and
+MIME-conforming messages (RFC2045–2049), as well as Internet
+messaging services like IMAP, POP or SMTP.
 
-With VMime you can parse, generate and modify messages, and also
-connect to store and transport services to receive or send messages
-over the Internet. The library offers all the features to build a
-complete mail client.
+This subpackage contains the headers for the library's API.
 
 %prep
 %setup -qn vmime-%version




commit python-argcomplete for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-argcomplete for 
openSUSE:Factory checked in at 2017-07-21 22:50:43

Comparing /work/SRC/openSUSE:Factory/python-argcomplete (Old)
 and  /work/SRC/openSUSE:Factory/.python-argcomplete.new (New)


Package is "python-argcomplete"

Fri Jul 21 22:50:43 2017 rev:7 rq:511764 version:1.8.2

Changes:

--- /work/SRC/openSUSE:Factory/python-argcomplete/python-argcomplete.changes
2016-11-14 20:14:35.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-argcomplete.new/python-argcomplete.changes   
2017-07-21 22:50:43.857457082 +0200
@@ -1,0 +2,6 @@
+Thu Jul 20 09:48:53 UTC 2017 - sebix+novell@sebix.at
+
+- update to 1.8.2
+- add patch skip_tcsh_tests.patch to skip broken tcsh tests
+
+---

Old:

  argcomplete-1.0.0.tar.gz

New:

  argcomplete-1.8.2.tar.gz
  skip_tcsh_tests.patch



Other differences:
--
++ python-argcomplete.spec ++
--- /var/tmp/diff_new_pack.zKxSIq/_old  2017-07-21 22:50:44.421377534 +0200
+++ /var/tmp/diff_new_pack.zKxSIq/_new  2017-07-21 22:50:44.425376969 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-argcomplete
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2013 Darin Perusich.
 #
 # All modifications and additions to the file contributed by third parties
@@ -17,22 +17,30 @@
 #
 
 
+%{!?license: %global license %doc}
 Name:   python-argcomplete
-Version:1.0.0
+Version:1.8.2
 Release:0
 Summary:Bash tab completion for argparse
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://github.com/kislyuk/argcomplete
-Source: 
http://pypi.python.org/packages/source/a/argcomplete/argcomplete-%{version}.tar.gz
+Source: 
https://files.pythonhosted.org/packages/source/a/argcomplete/argcomplete-%{version}.tar.gz
+Patch0: skip_tcsh_tests.patch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+# SECTION tests
+BuildRequires:  python-coverage
+BuildRequires:  python-flake8
+BuildRequires:  python-pexpect
+BuildRequires:  python-wheel
+# END SECTIONS tests
+Requires:   python-wheel
+Requires(post):   update-alternatives
+Requires(postun):  update-alternatives
 BuildArch:  noarch
 
 %description
-argcomplete - Bash completion for argparse
-
 Argcomplete provides easy, extensible command line tab completion of
 arguments for your Python script.
 
@@ -48,6 +56,7 @@
 
 %prep
 %setup -q -n argcomplete-%{version}
+%patch0
 
 %build
 python setup.py build
@@ -55,15 +64,19 @@
 %install
 python setup.py install --prefix=%{_prefix} --root=%{buildroot}
 rm -rf %{buildroot}%{python_sitelib}/test
-rm %{buildroot}/usr/bin/activate-global-python-argcomplete
-rm %{buildroot}/usr/bin/register-python-argcomplete
-mv %{buildroot}/usr/bin/python-argcomplete-check-easy-install-script \
-%{buildroot}/usr/bin/python-argcomplete-check-easy-install-script-%{py_ver}
+rm %{buildroot}%{_bindir}/activate-global-python-argcomplete
+rm %{buildroot}%{_bindir}/register-python-argcomplete
+mv %{buildroot}%{_bindir}/python-argcomplete-check-easy-install-script \
+
%{buildroot}%{_bindir}/python-argcomplete-check-easy-install-script-%{python_version}
 mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
 ln -sf %{_sysconfdir}/alternatives/python-argcomplete.sh 
%{buildroot}%{_sysconfdir}/bash_completion.d/
 ln -sf 
%{_sysconfdir}/alternatives/python-argcomplete-check-easy-install-script 
%{buildroot}%{_bindir}/python-argcomplete-check-easy-install-script
+# tcsh support is broken
+rm %{buildroot}%{_bindir}/python-argcomplete-tcsh
+sed -i 's/^#!\/usr\/bin\/python$/#!\/usr\/bin\/python2/' 
%{buildroot}%{_bindir}/python-argcomplete-check-easy-install-script-%{python_version}
 
 %check
+export LANG=en_US.UTF-8
 python setup.py test
 
 %post
@@ -75,8 +88,8 @@
   %{_bindir}/python-argcomplete-check-easy-install-script-%{py_ver}
 
 %files
-%defattr(-,root,root,-)
-%doc LICENSE.rst README.rst
+%doc README.rst
+%license LICENSE.rst
 %ghost %{_bindir}/python-argcomplete-check-easy-install-script
 %{_bindir}/python-argcomplete-check-easy-install-script-%{py_ver}
 %{python_sitelib}/argcomplete-%{version}-py%{py_ver}.egg-info

++ argcomplete-1.0.0.tar.gz -> argcomplete-1.8.2.tar.gz ++
 2747 lines of diff (skipped)

++ skip_tcsh_tests.patch ++
--- test/test.py2017-01-26 21:58:24.0 +0100
+++ test/test.py2017-07-20 11:36:11.820934599 +0200
@@ -1041,6 +1041,7 @@
 

commit CharLS for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package CharLS for openSUSE:Factory checked 
in at 2017-07-21 22:50:30

Comparing /work/SRC/openSUSE:Factory/CharLS (Old)
 and  /work/SRC/openSUSE:Factory/.CharLS.new (New)


Package is "CharLS"

Fri Jul 21 22:50:30 2017 rev:10 rq:511701 version:2.0.0

Changes:

--- /work/SRC/openSUSE:Factory/CharLS/CharLS.changes2017-07-11 
08:28:18.602588899 +0200
+++ /work/SRC/openSUSE:Factory/.CharLS.new/CharLS.changes   2017-07-21 
22:50:31.327224625 +0200
@@ -1,0 +2,5 @@
+Thu Jul 13 18:26:54 UTC 2017 - o...@aepfle.de
+
+- Build with gcc6, fix build failure for Leap
+
+---



Other differences:
--
++ CharLS.spec ++
--- /var/tmp/diff_new_pack.DtFVLu/_old  2017-07-21 22:50:32.039124203 +0200
+++ /var/tmp/diff_new_pack.DtFVLu/_new  2017-07-21 22:50:32.043123639 +0200
@@ -27,7 +27,13 @@
 Url:https://github.com/team-charls/charls/
 Source0:
https://github.com/team-charls/charls/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
 BuildRequires:  cmake
-BuildRequires:  gcc-c++ >= 5.0
+%if 0%{?suse_version} > 1320
+BuildRequires:  gcc-c++
+%else
+# Leap 42.2+ / SLE12SP2Backports
+BuildRequires:  gcc6-c++
+#!Buildignore:  libgcc_s1
+%endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -60,6 +66,12 @@
 sed -i 's/\r$//' License.txt
 
 %build
+test -x "$(type -p gcc-5)" && export CC=gcc-5
+test -x "$(type -p g++-5)" && export CXX=g++-5
+test -x "$(type -p gcc-6)" && export CC=gcc-6
+test -x "$(type -p g++-6)" && export CXX=g++-6
+test -x "$(type -p gcc-7)" && export CC=gcc-7
+test -x "$(type -p g++-7)" && export CXX=g++-7
 %cmake \
  -DBUILD_SHARED_LIBS=ON \
  -DBUILD_TESTING=ON




commit proftpd for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package proftpd for openSUSE:Factory checked 
in at 2017-07-21 22:50:41

Comparing /work/SRC/openSUSE:Factory/proftpd (Old)
 and  /work/SRC/openSUSE:Factory/.proftpd.new (New)


Package is "proftpd"

Fri Jul 21 22:50:41 2017 rev:30 rq:511756 version:1.3.5d

Changes:

--- /work/SRC/openSUSE:Factory/proftpd/proftpd.changes  2017-06-20 
09:41:00.322907538 +0200
+++ /work/SRC/openSUSE:Factory/.proftpd.new/proftpd.changes 2017-07-21 
22:50:42.317674287 +0200
@@ -1,0 +2,5 @@
+Fri Jul 21 04:43:44 UTC 2017 - bwiedem...@suse.com
+
+- Sort SHARED_MODS list to fix build compare (boo#1041090)
+
+---



Other differences:
--
++ proftpd.spec ++
--- /var/tmp/diff_new_pack.XBWtsZ/_old  2017-07-21 22:50:43.553499959 +0200
+++ /var/tmp/diff_new_pack.XBWtsZ/_new  2017-07-21 22:50:43.557499394 +0200
@@ -159,7 +159,7 @@
 
 %build
 rm contrib/mod_wrap.c
-PROFTPD_SHARED_MODS="$(for spec_mod in $(find contrib -name mod_\*.c); do echo 
"$(basename ${spec_mod%%.c})"; done | tr '\n' ':' | sed -e 's|:$||')"
+PROFTPD_SHARED_MODS="$(for spec_mod in $(find contrib -name mod_\*.c|sort); do 
echo "$(basename ${spec_mod%%.c})"; done | tr '\n' ':' | sed -e 's|:$||')"
 export CFLAGS="%{optflags} -D_GNU_SOURCE -DLDAP_DEPRECATED"
 export CXXFLAGS="$CFLAGS"
 %configure --disable-static \





commit blobwars for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package blobwars for openSUSE:Factory 
checked in at 2017-07-21 22:50:13

Comparing /work/SRC/openSUSE:Factory/blobwars (Old)
 and  /work/SRC/openSUSE:Factory/.blobwars.new (New)


Package is "blobwars"

Fri Jul 21 22:50:13 2017 rev:3 rq:511640 version:2.00

Changes:

--- /work/SRC/openSUSE:Factory/blobwars/blobwars.changes2015-11-28 
15:19:23.0 +0100
+++ /work/SRC/openSUSE:Factory/.blobwars.new/blobwars.changes   2017-07-21 
22:50:15.453463815 +0200
@@ -1,0 +2,5 @@
+Thu Jul 20 09:08:53 UTC 2017 - bwiedem...@suse.com
+
+- Add reproducible.patch to sort file list to fix build-compare (boo#1041090)
+
+---

New:

  reproducible.patch



Other differences:
--
++ blobwars.spec ++
--- /var/tmp/diff_new_pack.nG6Fuz/_old  2017-07-21 22:50:19.252927853 +0200
+++ /var/tmp/diff_new_pack.nG6Fuz/_new  2017-07-21 22:50:19.252927853 +0200
@@ -27,6 +27,8 @@
 Source1:%{name}.appdata.xml
 # PATCH-FIX-OPENSUSE - blobwars-icons_blobwars.desktop.patch -- Add 
GenericName and Category
 Patch0: %{name}-icons_blobwars.desktop.patch
+# PATCH-FIX-UPSTREAM https://sourceforge.net/p/blobwars/patches/8/
+Patch1: reproducible.patch
 %if 0%{?suse_version}
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  update-desktop-files
@@ -56,6 +58,7 @@
 %prep
 %setup -q
 %patch0
+%patch1 -p1
 
 # Correct Permissions
 chmod 0644 Makefile*

++ reproducible.patch ++
https://sourceforge.net/p/blobwars/patches/8/ (boo#1041090)

When building blobwars packages for openSUSE, we do so in disposable VMs, which 
means every build has a new filesystem and thus ordering of files differs for 
the readdir call in src/pak.cpp

See https://reproducible-builds.org for why this matters.
Index: blobwars-2.00/src/pak.cpp
===
--- blobwars-2.00.orig/src/pak.cpp
+++ blobwars-2.00/src/pak.cpp
@@ -76,7 +76,9 @@ void countFiles(const char *dirName)
 
 void recurseDirectory(const char *dirName)
 {
-   DIR *dirp, *dirp2;
+   DIR *dirp2;
+   int n;
+   struct dirent **namelist;
dirent *dfile;
gzFile fp;
FILE *infile;
@@ -85,9 +87,9 @@ void recurseDirectory(const char *dirNam
uLongf cSize = 0;
uLongf fSize = 0;
 
-   dirp = opendir(dirName);
+   n = scandir(dirName, , NULL, alphasort);
 
-   if (dirp == NULL)
+   if (n == -1)
{
printf("%s: Directory does not exist or is not accessable\n", 
dirName);
return;
@@ -96,10 +98,12 @@ void recurseDirectory(const char *dirNam
float percentage;
long filesize;
 
-   while ((dfile = readdir(dirp)))
+   while (n--)
{
+   dfile = namelist[n];
if (dfile->d_name[0] == '.')
{
+   free(dfile);
continue;
}
 
@@ -118,7 +122,6 @@ void recurseDirectory(const char *dirNam
if (!infile)
{
printf("Couldn't open %s for reading!\n", 
filename);
-   closedir(dirp);
fclose(pak);
exit(1);
}
@@ -140,7 +143,6 @@ void recurseDirectory(const char *dirNam
if (!fp)
{
printf("Couldn't open %s for reading!\n", 
filename);
-   closedir(dirp);
fclose(pak);
exit(1);
}
@@ -171,9 +173,10 @@ void recurseDirectory(const char *dirNam
fflush(stdout);
}
}
+   free(dfile);
}
 
-   closedir(dirp);
+   free(namelist);
 
dirs++;
 }



commit openmpi2 for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package openmpi2 for openSUSE:Factory 
checked in at 2017-07-21 22:50:02

Comparing /work/SRC/openSUSE:Factory/openmpi2 (Old)
 and  /work/SRC/openSUSE:Factory/.openmpi2.new (New)


Package is "openmpi2"

Fri Jul 21 22:50:02 2017 rev:2 rq:511600 version:2.1.1

Changes:

--- /work/SRC/openSUSE:Factory/openmpi2/openmpi2-testsuite.changes  
2017-07-19 11:20:18.314620791 +0200
+++ /work/SRC/openSUSE:Factory/.openmpi2.new/openmpi2-testsuite.changes 
2017-07-21 22:50:04.143059287 +0200
@@ -1,0 +2,18 @@
+Wed Jul 19 15:18:49 UTC 2017 - nmoreychaisemar...@suse.com
+
+- Fix module file name
+
+---
+Wed Jul 12 08:02:32 UTC 2017 - nmoreychaisemar...@suse.com
+
+- Add pml-ob1-do-not-access-fragment-after-calling-btl-rget.patch and
+  btl-vader-work-around-ob1-pending-fragment-bug.patch
+  to fix upstream bug https://github.com/open-mpi/ompi/issues/3821
+  which causes openmpi2 to fail the IMB test suite
+
+---
+Tue Jul 11 09:44:34 UTC 2017 - nmoreychaisemar...@suse.com
+
+- Do not require openucx libs for suse_version < 1320
+
+---
openmpi2.changes: same change

New:

  btl-vader-work-around-ob1-pending-fragment-bug.patch
  pml-ob1-do-not-access-fragment-after-calling-btl-rget.patch



Other differences:
--
++ openmpi2-testsuite.spec ++
--- /var/tmp/diff_new_pack.aFIicu/_old  2017-07-21 22:50:05.970801462 +0200
+++ /var/tmp/diff_new_pack.aFIicu/_new  2017-07-21 22:50:05.970801462 +0200
@@ -46,9 +46,11 @@
 %define modulefile_path /usr/share/modules
 %define modulefile_subdir gnu-openmpi2
 
+%if 0%{?suse_version} >= 1320
 %ifnarch s390 armv7hl %{ix86}
 %define with_ucx 1
 %endif
+%endif
 
 #
 #
@@ -66,6 +68,8 @@
 Source0:openmpi-%{version}.tar.bz2
 Source1:baselibs.conf
 Source2:openmpi2-rpmlintrc
+Patch0: pml-ob1-do-not-access-fragment-after-calling-btl-rget.patch
+Patch1: btl-vader-work-around-ob1-pending-fragment-bug.patch
 Provides:   mpi
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  Modules
@@ -237,6 +241,8 @@
 #
 %prep
 %setup -q -n openmpi-%{version}
+%patch0
+%patch1
 
 #
 #
@@ -301,7 +307,7 @@
 # First, the modulefile
 
 mkdir -p "%{buildroot}/%{modulefile_path}/%{modulefile_subdir}"
-cat <"%{buildroot}/%{modulefile_path}/%{modulefile_subdir}/%{modulefile_name}"
+cat <"%{buildroot}/%{modulefile_path}/%{modulefile_subdir}/%{version}"
 #%Module
 
 # NOTE: This is an automatically-generated file!  (generated by the

++ openmpi2.spec ++
--- /var/tmp/diff_new_pack.aFIicu/_old  2017-07-21 22:50:05.998797512 +0200
+++ /var/tmp/diff_new_pack.aFIicu/_new  2017-07-21 22:50:06.002796948 +0200
@@ -46,9 +46,11 @@
 %define modulefile_path /usr/share/modules
 %define modulefile_subdir gnu-openmpi2
 
+%if 0%{?suse_version} >= 1320
 %ifnarch s390 armv7hl %{ix86}
 %define with_ucx 1
 %endif
+%endif
 
 #
 #
@@ -66,6 +68,8 @@
 Source0:openmpi-%{version}.tar.bz2
 Source1:baselibs.conf
 Source2:openmpi2-rpmlintrc
+Patch0: pml-ob1-do-not-access-fragment-after-calling-btl-rget.patch
+Patch1: btl-vader-work-around-ob1-pending-fragment-bug.patch
 Provides:   mpi
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  Modules
@@ -237,6 +241,8 @@
 #
 %prep
 %setup -q -n openmpi-%{version}
+%patch0
+%patch1
 
 #
 #
@@ -301,7 +307,7 @@
 # First, the modulefile
 
 mkdir -p "%{buildroot}/%{modulefile_path}/%{modulefile_subdir}"
-cat <"%{buildroot}/%{modulefile_path}/%{modulefile_subdir}/%{modulefile_name}"
+cat <"%{buildroot}/%{modulefile_path}/%{modulefile_subdir}/%{version}"
 #%Module
 
 # NOTE: This is an automatically-generated file!  (generated by the

++ btl-vader-work-around-ob1-pending-fragment-bug.patch ++
diff --git opal/mca/btl/vader/btl_vader_send.c 
opal/mca/btl/vader/btl_vader_send.c
index 08bfa5a623..ba3be9f491 100644
--- opal/mca/btl/vader/btl_vader_send.c
+++ opal/mca/btl/vader/btl_vader_send.c
@@ -49,6 +49,10 @@ int mca_btl_vader_send (struct mca_btl_base_module_t *btl,
 return 1;
 }
 
+/* in order to work around a long 

commit dapl for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package dapl for openSUSE:Factory checked in 
at 2017-07-21 22:50:15

Comparing /work/SRC/openSUSE:Factory/dapl (Old)
 and  /work/SRC/openSUSE:Factory/.dapl.new (New)


Package is "dapl"

Fri Jul 21 22:50:15 2017 rev:7 rq:511648 version:2.1.10

Changes:

--- /work/SRC/openSUSE:Factory/dapl/dapl-debug.changes  2017-06-22 
10:36:12.453026515 +0200
+++ /work/SRC/openSUSE:Factory/.dapl.new/dapl-debug.changes 2017-07-21 
22:50:20.124804865 +0200
@@ -1,0 +2,24 @@
+Thu Jul 20 08:25:04 UTC 2017 - nmoreychaisemar...@suse.com
+
+- Update to 2.1.10
+  * dtest_suite: add option to pause the test.
+  * dtestcm: add client retry, give server time to queue up all listens
+  * dtest: Add new man pages. (dtestx dtestcm dtestsrq)
+  * cma: fix open_query mode, initialize attributes
+  * ucm: up level CM timer logging, increase drep time at scale
+  * dtest: fix return value check on do_rdma_write_with_msg
+  * dtestx: check device capabilities and do atomic tests only if supported by 
HW
+  * common: set atomic attributes based on provider/device capabilities
+  * build: dtest_suite.sh was moved to test/scripts
+  * mpxyd: let TX thread sleep if no open devices are referenced
+  * mcm: when mmap req from MIC return with fail stat print WARN.
+  * dtest_suite: remove duplicate dtest_suite.sh
+  * dtest: enable -D option (data check) to work with scif provider
+  * dtest_suite: fix typo in user_string var
+  * mcm: remove logs from post send speed path
+  * mcm proxy: push WR from MIC to host with scif mmap memory instead of 
scif_send.
+  * dtest: the default size in pingpong test is set to 1 byte regardless to 
user input.
+  * dtest: cleanup 4 printfs from the middle of performance test, may reduce 
performance.
+- Refresh patches against 2.1.10
+
+---
dapl.changes: same change

Old:

  dapl-2.1.8-git6316f83.tar.xz

New:

  dapl-2.1.10.tar.gz



Other differences:
--
++ dapl-debug.spec ++
--- /var/tmp/diff_new_pack.2978Ms/_old  2017-07-21 22:50:21.644590480 +0200
+++ /var/tmp/diff_new_pack.2978Ms/_new  2017-07-21 22:50:21.652589352 +0200
@@ -16,14 +16,14 @@
 #
 
 
-%define git_version -git6316f83
+%define git_version %nil
 Name:   dapl-debug
 Summary:A Library for userspace access to RDMA devices using OS 
Agnostic DAT APIs
 License:BSD-3-Clause or GPL-2.0+ or CPL-1.0
 Group:  Productivity/Networking/System
-Version:2.1.8
+Version:2.1.10
 Release:0
-Source0:dapl-%{version}%{git_version}.tar.xz
+Source0:https://www.openfabrics.org/downloads/dapl/dapl-%version.tar.gz
 Source1:dapl-rpmlintrc
 Source2:baselibs.conf
 Patch1: dapl-2.0.30-dat-ia-open-hang.patch
@@ -166,12 +166,15 @@
 mv %{buildroot}%{_bindir}/dtestsrq %{buildroot}%{_bindir}/dapl-testsrx
 mv %{buildroot}%{_bindir}/dtestx %{buildroot}%{_bindir}/dapl-testx
 
+%define man_regexp -e s/dapltest/dapl-test/g -e s/dtestcm/dapl-testcm/g -e 
s/dtestsrq/dapl-testsrq/g -e s/dtestx/dapl-testx/g -e s/dtest/dapl-utest/g
+
 %if "%{name}" != "dapl-debug"
 # Fix man pages accordingly
-sed -e s/dapltest/dapl-test/g -e s/dtest/dapl-utest/g 
%{buildroot}%{_mandir}/man1/dtest.1 > %{buildroot}%{_mandir}/man1/dapl-utest.1
-rm %{buildroot}%{_mandir}/man1/dtest.1
-sed -e s/dapltest/dapl-test/g -e s/dtest/dapl-utest/g 
%{buildroot}%{_mandir}/man1/dapltest.1 > %{buildroot}%{_mandir}/man1/dapl-test.1
-rm %{buildroot}%{_mandir}/man1/dapltest.1
+for manpage in dapltest dtest dtestcm dtestsrq dtestx; do
+   new_name=$(echo $manpage | sed %man_regexp)
+   sed %man_regexp %{buildroot}%{_mandir}/man1/$manpage.1 > 
%{buildroot}%{_mandir}/man1/$new_name.1
+   rm %{buildroot}%{_mandir}/man1/$manpage.1
+done
 %endif
 
 %post -n %lname -p /sbin/ldconfig
@@ -276,6 +279,9 @@
 %if "%{name}" != "dapl-debug"
 %_mandir/man1/dapl-test.1*
 %_mandir/man1/dapl-utest.1*
+%_mandir/man1/dapl-testcm.1*
+%_mandir/man1/dapl-testsrq.1*
+%_mandir/man1/dapl-testx.1*
 %endif
 
 %changelog

++ dapl.spec ++
--- /var/tmp/diff_new_pack.2978Ms/_old  2017-07-21 22:50:21.700582582 +0200
+++ /var/tmp/diff_new_pack.2978Ms/_new  2017-07-21 22:50:21.700582582 +0200
@@ -16,14 +16,14 @@
 #
 
 
-%define git_version -git6316f83
+%define git_version %nil
 Name:   dapl
 Summary:A Library for userspace access to RDMA devices using OS 
Agnostic DAT APIs
 License:BSD-3-Clause or GPL-2.0+ or CPL-1.0
 Group:  Productivity/Networking/System
-Version:2.1.8
+Version:2.1.10
 Release:0
-Source0:dapl-%{version}%{git_version}.tar.xz
+Source0:

commit blobAndConquer for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package blobAndConquer for openSUSE:Factory 
checked in at 2017-07-21 22:50:18

Comparing /work/SRC/openSUSE:Factory/blobAndConquer (Old)
 and  /work/SRC/openSUSE:Factory/.blobAndConquer.new (New)


Package is "blobAndConquer"

Fri Jul 21 22:50:18 2017 rev:2 rq:511661 version:1.11

Changes:

--- /work/SRC/openSUSE:Factory/blobAndConquer/blobAndConquer.changes
2014-11-15 12:13:11.0 +0100
+++ /work/SRC/openSUSE:Factory/.blobAndConquer.new/blobAndConquer.changes   
2017-07-21 22:50:22.956405432 +0200
@@ -1,0 +2,5 @@
+Thu Jul 20 10:57:04 UTC 2017 - bwiedem...@suse.com
+
+- Use plain files instead of .pak file to fix build-compare (boo#1041090)
+
+---



Other differences:
--
++ blobAndConquer.spec ++
--- /var/tmp/diff_new_pack.4ydIOC/_old  2017-07-21 22:50:24.084246337 +0200
+++ /var/tmp/diff_new_pack.4ydIOC/_new  2017-07-21 22:50:24.084246337 +0200
@@ -56,9 +56,9 @@
 %patch0
 mv makefile Makefile
 
-# Use normal pak, fix paths, add -lX11, remove docs install via files,
+# Fix paths, add -lX11, remove docs install via files,
 # remove png and install from tar
-sed -i -e 's|USEPAK ?= 0|USEPAK ?= 1|' \
+sed -i \
-e 's|$(PREFIX)/games/|$(PREFIX)/bin/|' \
-e 's|share/games/blobAndConquer|share/blobAndConquer|' \
-e 's|-lz|-lz -lX11|' \
@@ -70,7 +70,7 @@
  icons/blobAndConquer.desktop
 
 %build
-make %{?_smp_mflags}
+make %{?_smp_mflags} RELEASE=1
 
 %install
 %make_install





commit viruskiller for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package viruskiller for openSUSE:Factory 
checked in at 2017-07-21 22:50:11

Comparing /work/SRC/openSUSE:Factory/viruskiller (Old)
 and  /work/SRC/openSUSE:Factory/.viruskiller.new (New)


Package is "viruskiller"

Fri Jul 21 22:50:11 2017 rev:2 rq:511639 version:1.03

Changes:

--- /work/SRC/openSUSE:Factory/viruskiller/viruskiller.changes  2015-06-30 
10:18:13.0 +0200
+++ /work/SRC/openSUSE:Factory/.viruskiller.new/viruskiller.changes 
2017-07-21 22:50:13.909681585 +0200
@@ -1,0 +2,5 @@
+Thu Jul 20 09:18:23 UTC 2017 - bwiedem...@suse.com
+
+- Add reproducible.patch to sort file list to fix build-compare (boo#1041090)
+
+---

New:

  reproducible.patch



Other differences:
--
++ viruskiller.spec ++
--- /var/tmp/diff_new_pack.AP0UGy/_old  2017-07-21 22:50:15.289486945 +0200
+++ /var/tmp/diff_new_pack.AP0UGy/_new  2017-07-21 22:50:15.293486381 +0200
@@ -27,6 +27,8 @@
 Source1:%{name}-icons.tar
 # PATCH-FIX-OPENSUSE - viruskiller-icons_viruskiller.desktop.patch -- Change 
to right Desktop Entries
 Patch0: viruskiller-icons_viruskiller.desktop.patch
+# PATCH-FIX-OPENSUSE bmwiedemann -- sort list of files in pak (boo#1041090)
+Patch1: reproducible.patch
 %if 0%{?suse_version}
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  update-desktop-files
@@ -52,6 +54,7 @@
 %prep
 %setup -q -a 1
 %patch0
+%patch1 -p1
 
 # SED-FIX-OPENSUSE -- Use normal pak, fix paths, , remove docs install via 
files,
 # remove png and install from tar

++ reproducible.patch ++
# PATCH-FIX-OPENSUSE

(boo#1041090)

When building packages for openSUSE, we do so in disposable VMs, which means 
every build has a new filesystem and thus ordering of files differs for the 
readdir call in src/pak.cpp

Index: viruskiller-1.03/src/pak.cpp
===
--- viruskiller-1.03.orig/src/pak.cpp
+++ viruskiller-1.03/src/pak.cpp
@@ -81,7 +81,9 @@ void countFiles(const char *dirName)
 
 void recurseDirectory(const char *dirName)
 {
-   DIR *dirp, *dirp2;
+   DIR *dirp2;
+   int n;
+   struct dirent **namelist;
dirent *dfile;
gzFile fp;
FILE *infile;
@@ -90,9 +92,9 @@ void recurseDirectory(const char *dirNam
uLongf cSize = 0;
uLongf fSize = 0;
 
-   dirp = opendir(dirName);
+   n = scandir(dirName, , NULL, alphasort);
 
-   if (dirp == NULL)
+   if (n == -1)
{
printf("%s: Directory does not exist or is not accessable\n", 
dirName);
return;
@@ -101,10 +103,12 @@ void recurseDirectory(const char *dirNam
float percentage;
long filesize;
 
-   while ((dfile = readdir(dirp)))
+   while (n--)
{
+   dfile = namelist[n];
if (dfile->d_name[0] == '.')
{
+   free(dfile);
continue;
}
 
@@ -123,7 +127,6 @@ void recurseDirectory(const char *dirNam
if (!infile)
{
printf("Couldn't open %s for reading!\n", 
filename);
-   closedir(dirp);
gzclose(pak);
exit(1);
}
@@ -155,7 +158,6 @@ void recurseDirectory(const char *dirNam
if (!fp)
{
printf("Couldn't open %s for reading!\n", 
filename);
-   closedir(dirp);
gzclose(pak);
exit(1);
}
@@ -181,9 +183,10 @@ void recurseDirectory(const char *dirNam
fflush(stdout);
}
}
+   free(dfile);
}
 
-   closedir(dirp);
+   free(namelist);
 
dirs++;
 }




commit mate-panel for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package mate-panel for openSUSE:Factory 
checked in at 2017-07-21 22:50:09

Comparing /work/SRC/openSUSE:Factory/mate-panel (Old)
 and  /work/SRC/openSUSE:Factory/.mate-panel.new (New)


Package is "mate-panel"

Fri Jul 21 22:50:09 2017 rev:23 rq:511624 version:1.18.4

Changes:

--- /work/SRC/openSUSE:Factory/mate-panel/mate-panel.changes2017-06-12 
15:35:56.814613735 +0200
+++ /work/SRC/openSUSE:Factory/.mate-panel.new/mate-panel.changes   
2017-07-21 22:50:10.950099071 +0200
@@ -1,0 +2,14 @@
+Tue Jul 20 11:00:10 UTC 2017 - sor.ale...@meowr.ru
+
+- Update to version 1.18.4:
+  * Fix GTK+ theme image bg support on vertical panel.
+  * Make panel image background in GTK+ theme work again.
+  * Fix applet crashes on transparent user-set panel bg.
+  * system tray: Fix hidden icons on image/transparent bg colour.
+  * clock: Change size_reguest.
+  * clock: Set a default width for calendarWindow.
+  * clock: Set a margin_start for home icon.
+  * clock: Set width_chars for time label.
+  * GTK+ 3.18+ fix transparent default panel bg.
+
+---

Old:

  mate-panel-1.18.3.tar.xz

New:

  mate-panel-1.18.4.tar.xz



Other differences:
--
++ mate-panel.spec ++
--- /var/tmp/diff_new_pack.DcJRuC/_old  2017-07-21 22:50:12.565871146 +0200
+++ /var/tmp/diff_new_pack.DcJRuC/_new  2017-07-21 22:50:12.569870581 +0200
@@ -21,7 +21,7 @@
 %define typelib typelib-1_0-MatePanelApplet-4_0
 %define _version 1.18
 Name:   mate-panel
-Version:1.18.3
+Version:1.18.4
 Release:0
 Summary:MATE Desktop Panel
 License:GPL-2.0+

++ mate-panel-1.18.3.tar.xz -> mate-panel-1.18.4.tar.xz ++
 30262 lines of diff (skipped)




commit eric5 for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package eric5 for openSUSE:Factory checked 
in at 2017-07-21 22:49:49

Comparing /work/SRC/openSUSE:Factory/eric5 (Old)
 and  /work/SRC/openSUSE:Factory/.eric5.new (New)


Package is "eric5"

Fri Jul 21 22:49:49 2017 rev:36 rq:511460 version:5.5.2

Changes:

--- /work/SRC/openSUSE:Factory/eric5/eric5.changes  2015-01-06 
09:06:50.0 +0100
+++ /work/SRC/openSUSE:Factory/.eric5.new/eric5.changes 2017-07-21 
22:49:54.572409346 +0200
@@ -1,0 +2,5 @@
+Wed Jul 19 04:41:57 UTC 2017 - bwiedem...@suse.com
+
+- Add reproducible.patch to sort file lists to fix build-compare (boo#1041090)
+
+---

New:

  reproducible.patch



Other differences:
--
++ eric5.spec ++
--- /var/tmp/diff_new_pack.K2HlwN/_old  2017-07-21 22:49:55.576267739 +0200
+++ /var/tmp/diff_new_pack.K2HlwN/_new  2017-07-21 22:49:55.580267175 +0200
@@ -34,6 +34,8 @@
 Source17:   %{name}-i18n-tr-%{version}.tar.gz
 Source18:   %{name}-i18n-zh_CN.GB2312-%{version}.tar.gz
 Patch0: %{name}-sidebar.patch
+# PATCH-FIX-UPSTREAM changeset:   5810:12d917813110
+Patch1: reproducible.patch
 BuildRequires:  fdupes
 BuildRequires:  python3-qscintilla
 BuildRequires:  python3-qt4
@@ -76,6 +78,7 @@
 %prep
 %setup -q -b 10 -b 11 -b 12 -b 13 -b 14 -b 15 -b 16 -b 17 -b 18 -n 
%{name}-%{version}
 %patch0
+%patch1 -p1
 
 # Fix non-executable scripts:
 sed -i "s|#!/usr/bin/env python3||" 
eric/{eric5_sqlbrowser,eric5_uipreviewer,Examples/rhallo,eric5_plugininstall,eric5_tray,eric5_pluginrepository,eric5_unittest,eric5_api,eric5,compileUiFiles,eric5_editor,eric5_trpreviewer,eric5_diff,install-i18n,uninstall,eric5_re,install,eric5_webbrowser,eric5_configure,eric5_iconeditor,Examples/hallo,eric5_qregexp,eric5_pluginuninstall,Utilities/crypto/py3AES,eric5_compare,eric5_doc,cleanupSource,eric5_snap,eric5_qregularexpression,Plugins/CheckerPlugins/CodeStyleChecker/pep8,ThirdParty/CharDet/chardet/chardetect}.py

++ reproducible.patch ++
PATCH-FIX-UPSTREAM
changeset:   5810:12d917813110
parent:  5806:2405d595c9cf
user:Detlev Offenbach 
date:Tue Jul 18 19:14:20 2017 +0200
summary: Little change to the install script to support the reproducible 
builds effort.

Index: eric5-5.5.2/install.py
===
--- eric5-5.5.2.orig/install.py
+++ eric5-5.5.2/install.py
@@ -928,13 +928,13 @@ def createConfig():
 apis = []
 if installApis:
 for progLanguage in progLanguages:
-for apiName in glob.glob(
-os.path.join(sourceDir, "APIs", progLanguage, "*.api")):
+for apiName in sorted(glob.glob(
+os.path.join(sourceDir, "APIs", progLanguage, "*.api"))):
 apis.append(os.path.basename(apiName))
 if progLanguage == "Python":
 # treat Python3 API files the same as Python API files
-for apiName in glob.glob(
-os.path.join(sourceDir, "APIs", "Python3", "*.api")):
+for apiName in sorted(glob.glob(
+os.path.join(sourceDir, "APIs", "Python3", "*.api"))):
 apis.append(os.path.basename(apiName))
 
 fn = 'eric5config.py'



commit desktop-translations for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package desktop-translations for 
openSUSE:Factory checked in at 2017-07-21 22:49:46

Comparing /work/SRC/openSUSE:Factory/desktop-translations (Old)
 and  /work/SRC/openSUSE:Factory/.desktop-translations.new (New)


Package is "desktop-translations"

Fri Jul 21 22:49:46 2017 rev:102 rq:511445 version:84.87.20170719.98170d3

Changes:

--- 
/work/SRC/openSUSE:Factory/desktop-translations/desktop-translations.changes
2017-07-17 09:10:40.356041113 +0200
+++ 
/work/SRC/openSUSE:Factory/.desktop-translations.new/desktop-translations.changes
   2017-07-21 22:49:46.977480705 +0200
@@ -1,0 +2,11 @@
+Wed Jul 19 15:04:10 UTC 2017 - lnus...@suse.de
+
+- Update to version 84.87.20170719.98170d3:
+  * Regenerate PO/POT after "Desktop Action *" section change in tar2po
+  * tar2po: Handle "Desktop Action *" sections like "Desktop Entry" 
(boo#1049021)
+  * Translated using Weblate (Chinese (Taiwan))
+  * Translated using Weblate (German)
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Russian)
+
+---

Old:

  desktop-file-translations-84.87.20170713.beab045.tar.xz

New:

  desktop-file-translations-84.87.20170719.98170d3.tar.xz



Other differences:
--
++ desktop-translations.spec ++
--- /var/tmp/diff_new_pack.KsfOGS/_old  2017-07-21 22:49:47.849357716 +0200
+++ /var/tmp/diff_new_pack.KsfOGS/_new  2017-07-21 22:49:47.849357716 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   desktop-translations
-Version:84.87.20170713.beab045
+Version:84.87.20170719.98170d3
 Release:0
 Summary:Desktop Files Translations
 License:MIT

++ _servicedata ++
--- /var/tmp/diff_new_pack.KsfOGS/_old  2017-07-21 22:49:47.893351510 +0200
+++ /var/tmp/diff_new_pack.KsfOGS/_new  2017-07-21 22:49:47.893351510 +0200
@@ -1,4 +1,4 @@
 
 
 https://github.com/openSUSE/desktop-file-translations.git
-  beab04588094af51520a6a5d5d317b6271e17343
\ No newline at end of file
+  98170d306e638fe3113bbd388271cedff0de38c3
\ No newline at end of file

++ desktop-file-translations-84.87.20170713.beab045.tar.xz -> 
desktop-file-translations-84.87.20170719.98170d3.tar.xz ++
 158110 lines of diff (skipped)




commit erlang-rebar for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package erlang-rebar for openSUSE:Factory 
checked in at 2017-07-21 22:49:59

Comparing /work/SRC/openSUSE:Factory/erlang-rebar (Old)
 and  /work/SRC/openSUSE:Factory/.erlang-rebar.new (New)


Package is "erlang-rebar"

Fri Jul 21 22:49:59 2017 rev:5 rq:511574 version:2.6.4+git20160922.576e121

Changes:

--- /work/SRC/openSUSE:Factory/erlang-rebar/erlang-rebar-testsuite.changes  
2016-10-02 00:09:16.0 +0200
+++ /work/SRC/openSUSE:Factory/.erlang-rebar.new/erlang-rebar-testsuite.changes 
2017-07-21 22:50:00.867521342 +0200
@@ -1,0 +2,6 @@
+Wed Jul 12 14:48:15 UTC 2017 - bwiedem...@suse.com
+
+- Add reproducible.patch to use a constant build time in .beam files
+- Normalize zip file timestamps in /usr/bin/rebar (boo#1047218)
+
+---
erlang-rebar.changes: same change

New:

  reproducible.patch



Other differences:
--
++ erlang-rebar-testsuite.spec ++
--- /var/tmp/diff_new_pack.Bp6Cn1/_old  2017-07-21 22:50:02.187335167 +0200
+++ /var/tmp/diff_new_pack.Bp6Cn1/_new  2017-07-21 22:50:02.199333474 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package erlang-rebar-testsuite
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -31,7 +31,12 @@
 Source98:   %{name}.rpmlintrc
 Patch2: tdeps_update-retest.patch
 Patch5: erlc_dep_graph-timeout.patch
+# PATCH-FIX-OPENSUSE -- bmwiedemann
+Patch6: reproducible.patch
 BuildRequires:  erlang >= R13B01
+%if 0%{?suse_version} > 1320
+BuildRequires:  strip-nondeterminism
+%endif
 Requires:   erlang >= R13B01
 Provides:   rebar = %{version}
 Obsoletes:  rebar < %{version}
@@ -77,10 +82,20 @@
 %setup -q -n rebar-%{version}
 %patch2 -p1
 %patch5 -p1
+%patch6 -p1
 
 %build
 export REBAR_DEPS_PREFER_LIBS=1
 make
+if [ -e /usr/bin/strip-nondeterminism ] ; then
+  # normalize timestamps in the zip file
+  # that starts after 3 lines at offset 51 with "PK"
+  zipoffs=$(perl -ne 'if(/\APK/){print $offs;exit 0} $offs+=length($_)' rebar)
+  dd if=rebar of=rebar.zip bs=$zipoffs skip=1
+  strip-nondeterminism rebar.zip
+  dd if=rebar.zip of=rebar bs=$zipoffs seek=1 conv=notrunc
+  rm rebar.zip
+fi
 
 %install
 %if %{normal_build}

erlang-rebar.spec: same change
++ reproducible.patch ++
From: Bernhard M. Wiedemann 
Set BUILD_TIME to a constant value
so that TIME values in .beam files do not differ across builds

Index: rebar-2.6.4+git20160922.576e121/bootstrap
===
--- rebar-2.6.4+git20160922.576e121.orig/bootstrap
+++ rebar-2.6.4+git20160922.576e121/bootstrap
@@ -56,7 +56,6 @@ main(Args) ->
 [{outdir, "ebin"}, {i, "include"},
  DebugFlag,
  NamespacedTypes,
- {d, 'BUILD_TIME', Built},
  {d, 'VCS_INFO', VcsInfo},
  {d, 'OTP_INFO', OtpInfo}]) of
 up_to_date ->



commit octave for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package octave for openSUSE:Factory checked 
in at 2017-07-21 22:49:57

Comparing /work/SRC/openSUSE:Factory/octave (Old)
 and  /work/SRC/openSUSE:Factory/.octave.new (New)


Package is "octave"

Fri Jul 21 22:49:57 2017 rev:49 rq:511535 version:4.2.1

Changes:

--- /work/SRC/openSUSE:Factory/octave/octave.changes2017-02-28 
23:51:44.971280281 +0100
+++ /work/SRC/openSUSE:Factory/.octave.new/octave.changes   2017-07-21 
22:49:59.491715417 +0200
@@ -1,0 +2,23 @@
+Mon Jul 10 22:09:11 UTC 2017 - badshah...@gmail.com
+
+- Edit _constraints file to require at least 2GB physical memory,
+  builds on 32-bit systems fail otherwise; see
+  https://savannah.gnu.org/bugs/index.php?51436; fixes build
+  failures on i586 for openSUSE > 1320. 
+- Drop suitesparse-devel BuildRequires; this pulls in openblas,
+  which is not recommended by upstream. See comment #2 in
+  https://savannah.gnu.org/bugs/index.php?51436.
+
+---
+Mon Jun 26 14:12:29 UTC 2017 - badshah...@gmail.com
+
+- Add octave-also-check-for-qscintilla2_qt5.patch: When checking
+  for the availibility of QT5 bindings for scintilla, also check
+  for qscintilla2_qt5 (which is the shlib name used by openSUSE),
+  otherwise this causes the in-built editor to be disabled; patch
+  taken from upstream. Since patch modifies m4 files, regenerate
+  configure before executing it (add BuildRequires on automake,
+  autoconf and libtool). All changes applied conditionally only
+  when building against Qt5.
+
+---

New:

  octave-also-check-for-qscintilla2_qt5.patch



Other differences:
--
++ octave.spec ++
--- /var/tmp/diff_new_pack.pFGzTH/_old  2017-07-21 22:50:00.515570989 +0200
+++ /var/tmp/diff_new_pack.pFGzTH/_new  2017-07-21 22:50:00.519570425 +0200
@@ -63,6 +63,8 @@
 Source: ftp://ftp.gnu.org/gnu/octave/%{name}-%{src_ver}.tar.lz
 Source2:octave.pc.in
 Source3:octave.macros
+# PATCH-FIX-UPSTREAM octave-also-check-for-qscintilla2_qt5.patch 
badshah...@gmail.com -- When checking for the availibility of QT5 bindings for 
scintilla, also check for qscintilla2_qt5 (which is the name used by openSUSE); 
patch taken from upstream
+Patch0: octave-also-check-for-qscintilla2_qt5.patch
 BuildRequires:  arpack-ng-devel
 BuildRequires:  bison
 BuildRequires:  blas-devel
@@ -87,7 +89,6 @@
 BuildRequires:  qhull-devel
 BuildRequires:  qrupdate-devel
 BuildRequires:  readline-devel
-BuildRequires:  suitesparse-devel
 BuildRequires:  termcap
 BuildRequires:  pkgconfig(libcurl)
 BuildRequires:  pkgconfig(zlib)
@@ -102,6 +103,11 @@
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  update-desktop-files
 %if 0%{?with_qt5gui}
+# Required for Patch0
+BuildRequires:  autoconf
+BuildRequires:  automake
+BuildRequires:  libtool
+#
 BuildRequires:  libqscintilla-qt5-devel
 BuildRequires:  libqt5-linguist
 BuildRequires:  pkgconfig(Qt5Core)
@@ -212,7 +218,16 @@
 %prep
 %setup -q -n %{name}-%{src_ver}
 
+%if 0%{?with_qt5gui}
+%patch0 -p1
+%endif
+
 %build
+# Patch0 edits m4 files, so regenerate configure
+%if 0%{?with_qt5gui}
+autoreconf -fvi
+%endif
+
 export CPPFLAGS="-DH5_USE_16_API"
 %configure \
   --libexecdir=%{_libdir} \

++ _constraints ++
--- /var/tmp/diff_new_pack.pFGzTH/_old  2017-07-21 22:50:00.65348 +0200
+++ /var/tmp/diff_new_pack.pFGzTH/_new  2017-07-21 22:50:00.65348 +0200
@@ -1,5 +1,8 @@
 
   
+
+  2
+
 
   7
 


++ octave-also-check-for-qscintilla2_qt5.patch ++

# HG changeset patch
# User Rik 
# Date 1492620233 25200
# Node ID a759896c2b53ef0f831b46a7c910c4532a9e0901
# Parent  7ca04e85f9e3194b721c4a7e1371d61105617955
acinclude.m4: Look for "qscintilla_qt5" as another name for Qt5 scintilla 
library.

* acinclude.m4 (OCTAVE_CHECK_QT_VERSION): Add "qscintilla2_qt5" to list of 
possible Qt5 QScintilla library names.

diff --git a/m4/acinclude.m4 b/m4/acinclude.m4
--- a/m4/acinclude.m4
+++ b/m4/acinclude.m4
@@ -1346,7 +1346,7 @@
 ;;
 5)
   QT_MODULES="Qt5Core Qt5Gui Qt5Network Qt5OpenGL Qt5PrintSupport"
-  octave_qscintilla_libnames="qscintilla2-qt5 qt5scintilla2"
+  octave_qscintilla_libnames="qscintilla2-qt5 qscintilla2_qt5 
qt5scintilla2"
 ;;
 *)
   AC_MSG_ERROR([Unrecognized Qt version $qt_version])




commit gsoap for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package gsoap for openSUSE:Factory checked 
in at 2017-07-21 22:49:51

Comparing /work/SRC/openSUSE:Factory/gsoap (Old)
 and  /work/SRC/openSUSE:Factory/.gsoap.new (New)


Package is "gsoap"

Fri Jul 21 22:49:51 2017 rev:33 rq:511468 version:2.8.49

Changes:

--- /work/SRC/openSUSE:Factory/gsoap/gsoap.changes  2017-07-17 
09:02:42.371357553 +0200
+++ /work/SRC/openSUSE:Factory/.gsoap.new/gsoap.changes 2017-07-21 
22:49:55.760241788 +0200
@@ -23,0 +24 @@
+CVE-2017-9765 bsc#1049348



Other differences:
--



commit kaffeine for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package kaffeine for openSUSE:Factory 
checked in at 2017-07-21 22:49:55

Comparing /work/SRC/openSUSE:Factory/kaffeine (Old)
 and  /work/SRC/openSUSE:Factory/.kaffeine.new (New)


Package is "kaffeine"

Fri Jul 21 22:49:55 2017 rev:67 rq:511488 version:2.0.12

Changes:

--- /work/SRC/openSUSE:Factory/kaffeine/kaffeine.changes2017-07-04 
09:11:46.722928452 +0200
+++ /work/SRC/openSUSE:Factory/.kaffeine.new/kaffeine.changes   2017-07-21 
22:49:57.292025710 +0200
@@ -1,0 +2,17 @@
+Wed Jul 19 16:26:46 UTC 2017 - wba...@tmo.at
+
+- Update to 2.0.12:
+  * Update Changelog to reflect all changes since version 1.3.1
+- Update to 2.0.11:
+  * Solve performance issues causing kaffeine to use 100% CPU even
+when video is paused or stopped
+  * Fix DVB play on videos that use a separate PID for synchronism
+  * Fix some bugs at DVB pause logic, making it more reliable and
+making unpause to continue from the paused position
+  * Disable debug messages by default
+  * Remove a warning on some DVB streams when a program is not rated
+  * Improve notes about video output settings at README.md
+- Package README.md too, it contains some hints about known video
+  output issues
+
+---

Old:

  kaffeine-2.0.10.tar.xz

New:

  kaffeine-2.0.12.tar.xz



Other differences:
--
++ kaffeine.spec ++
--- /var/tmp/diff_new_pack.rS0z3U/_old  2017-07-21 22:49:58.435864358 +0200
+++ /var/tmp/diff_new_pack.rS0z3U/_new  2017-07-21 22:49:58.443863230 +0200
@@ -20,7 +20,7 @@
 Summary:VLC-based Multimedia Player
 License:GPL-2.0+
 Group:  Productivity/Multimedia/Video/Players
-Version:2.0.10
+Version:2.0.12
 Release:0
 Url:http://kaffeine.kde.org/
 Source0:%{name}-%{version}.tar.xz
@@ -80,6 +80,22 @@
 %suse_update_desktop_file -r org.kde.%{name} Qt KDE AudioVideo Video Player TV
 
 %find_lang %{name} --without-kde
+%if 0%{?suse_version} == 1315 && 0%{?sle_version} <= 120200
+  # %%kf5_find_htmldocs is only defined since Leap 42.3
+  CURDIR=`pwd`
+  pushd %{buildroot}%{_kf5_htmldir}
+  for i in *; do
+if ! [ -d "/usr/share/locale/${i}" ]; then
+echo "Removing unsupported translation %{_kf5_htmldir}/${i}"
+rm -rf "$i"
+elif [ "$i" != "en" ]; then
+echo "%doc %lang($i) %{_kf5_htmldir}/${i}" >> $CURDIR/%{name}.lang
+fi
+  done
+  popd
+%else
+%kf5_find_htmldocs
+%endif
 
 %post
 %desktop_database_post
@@ -91,7 +107,7 @@
 
 %files
 %defattr(-,root,root)
-%doc COPYING COPYING-DOCS Changelog NOTES
+%doc COPYING COPYING-DOCS Changelog NOTES README.md
 %{_kf5_bindir}/dtvdaemon
 %{_kf5_bindir}/kaffeine
 %if 0%{?sle_version} == 120100
@@ -103,10 +119,7 @@
 %{_kf5_sharedir}/kaffeine/
 %{_kf5_sharedir}/profiles/
 %{_kf5_sharedir}/solid/actions/
-%{_kf5_htmldir}/
-%{_kf5_mandir}/man1/*
-%dir %{_kf5_mandir}/uk
-%{_kf5_mandir}/*/man1/
+%{_kf5_htmldir}/en/
 
 %files lang -f %{name}.lang
 

++ kaffeine-2.0.10.tar.xz -> kaffeine-2.0.12.tar.xz ++
 74121 lines of diff (skipped)




commit apulse for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package apulse for openSUSE:Factory checked 
in at 2017-07-21 22:49:40

Comparing /work/SRC/openSUSE:Factory/apulse (Old)
 and  /work/SRC/openSUSE:Factory/.apulse.new (New)


Package is "apulse"

Fri Jul 21 22:49:40 2017 rev:8 rq:511429 version:0.1.10

Changes:

--- /work/SRC/openSUSE:Factory/apulse/apulse.changes2017-05-10 
20:53:42.983763620 +0200
+++ /work/SRC/openSUSE:Factory/.apulse.new/apulse.changes   2017-07-21 
22:49:43.629952915 +0200
@@ -0,0 +1,6 @@
+Wed Jul 19 11:59:16 UTC 2017 - i...@ilya.pp.ua
+
+- Add files:
+  * apulse.conf
+  * apulse (using apulse.conf and autoload 32-bit or 64-bit library)
+

New:

  apulse
  apulse.conf



Other differences:
--
++ apulse.spec ++
--- /var/tmp/diff_new_pack.NOGSUc/_old  2017-07-21 22:49:44.449837261 +0200
+++ /var/tmp/diff_new_pack.NOGSUc/_new  2017-07-21 22:49:44.453836696 +0200
@@ -24,8 +24,10 @@
 License:MIT
 Group:  System/Libraries
 Url:https://github.com/i-rinat/apulse
-Source: 
https://github.com/i-rinat/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
+Source0:
https://github.com/i-rinat/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
 Source1:baselibs.conf
+Source2:%{name}.conf
+Source3:%{name}
 # PATCH-FIX-OPENSUSE apulse-link-math.patch sor.ale...@meowr.ru -- Link with 
-lm to fix building.
 Patch0: apulse-link-math.patch
 BuildRequires:  cmake
@@ -39,30 +41,30 @@
 %endif
 
 %description
-PulseAudio emulation intended to be used with Mozilla Firefox.
+PulseAudio emulation intended to be used with Skype and Firefox
 
 %prep
 %setup -q
 %patch0 -p1
 
 %build
-%cmake \
-  -DUSE_BUNDLED_PULSEAUDIO_HEADERS=OFF \
-  -DAPULSEPATH=%{_libdir}/%{name}/
-make %{?_smp_mflags} V=1
+%cmake -DUSE_BUNDLED_PULSEAUDIO_HEADERS=OFF -DAPULSEPATH=%{_libdir}/%{name}
+make %{?_smp_mflags}
 
 %install
-%cmake_install
-rm %{buildroot}%{_libdir}/%{name}/*.so
-
-%post -p /sbin/ldconfig
-
-%postun -p /sbin/ldconfig
+mkdir -p %{buildroot}%{_libdir}/%{name}
+install -m644 build/libpulse*.so.* %{buildroot}%{_libdir}/%{name}
+mkdir %{buildroot}%{_sysconfdir}
+install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}
+mkdir %{buildroot}%{_bindir}
+install %{SOURCE3} %{buildroot}%{_bindir}
 
 %files
 %defattr(-,root,root)
-%doc LICENSE.MIT README.md
 %{_bindir}/%{name}
-%{_libdir}/%{name}/
+%dir %{_libdir}/%{name}
+%{_libdir}/%{name}/libpulse*.so.*
+%config(noreplace) %{_sysconfdir}/%{name}.conf
+%doc LICENSE.MIT README.md
 
 %changelog

++ apulse ++
#!/bin/sh

[ -f '/etc/apulse.conf' -a -r '/etc/apulse.conf' ] && . '/etc/apulse.conf';
[ -f $HOME'/.apulse.conf' -a -r $HOME'/.apulse.conf' ] && . 
$HOME'/.apulse.conf';

APULSE_CAPTURE_DEVICE=${APULSE_CAPTURE_DEVICE:='plughw:0,0'};
APULSE_PLAYBACK_DEVICE=${APULSE_PLAYBACK_DEVICE:='default'};

LD_LIBRARY_PATH='/usr/$LIB/apulse'${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH} 
APULSE_CAPTURE_DEVICE="$APULSE_CAPTURE_DEVICE" 
APULSE_PLAYBACK_DEVICE="$APULSE_PLAYBACK_DEVICE" "$@";
++ apulse.conf ++
APULSE_CAPTURE_DEVICE=${APULSE_CAPTURE_DEVICE:='plughw:0,0'};
APULSE_PLAYBACK_DEVICE=${APULSE_PLAYBACK_DEVICE:='default'};
++ baselibs.conf ++
--- /var/tmp/diff_new_pack.NOGSUc/_old  2017-07-21 22:49:44.529825978 +0200
+++ /var/tmp/diff_new_pack.NOGSUc/_new  2017-07-21 22:49:44.533825413 +0200
@@ -1,3 +1,2 @@
 apulse
-   autoreqprov off
-   requires "alsa-"
+  requires "apulse"




commit nvml for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package nvml for openSUSE:Factory checked in 
at 2017-07-21 22:49:37

Comparing /work/SRC/openSUSE:Factory/nvml (Old)
 and  /work/SRC/openSUSE:Factory/.nvml.new (New)


Package is "nvml"

Fri Jul 21 22:49:37 2017 rev:9 rq:511425 version:1.3

Changes:

--- /work/SRC/openSUSE:Factory/nvml/nvml.changes2017-07-07 
10:17:58.681999054 +0200
+++ /work/SRC/openSUSE:Factory/.nvml.new/nvml.changes   2017-07-21 
22:49:40.594381121 +0200
@@ -1,0 +2,60 @@
+Tue Jul 18 13:58:55 UTC 2017 - nmoreychaisemar...@suse.com
+
+- Update to upstream version 1.3 (FATE#322653)
+  This release introduces some useful features and optimizations
+  in libpmemobj.  Most of them are experimental and controlled by
+  the new pmemobj_ctl APIs.  For details, please check the feature
+  requests identified by the issue numbers listed next to the items below.
+
+  Other important changes are related to performance tuning and
+  stabilization of librpmem library, which is used by libpmemobj to get
+  remote access to persistent memory and to provide basic data replication
+  over RDMA.  The librpmem is still considered experimental.
+
+  New features:
+  - common: add support for concatenated DAX Devices
+  - common: add Unicode support on Windows
+  - common: add long path support on Windows
+  - common: add NVML installer for Windows
+  - pmem: make pmem_is_pmem() true for Device DAX only
+  - obj: add pmemobj_wcsdup()/pmemobj_tx_wcsdup() APIs
+  - obj: export non-inlined pmemobj_direct()
+  - obj: add PMEMOBJ_NLANES env variable
+  - cpp: introduce the allocator
+  - cpp: add wstring version of C++ entry points
+  - vmem: add vmem_wcsdup() API entry
+  - pool: add pmempool_rm() function (#307)
+  - pool: add --force flag for create command (#529)
+  - benchmark: add a minimal execution time option
+  - benchmark: add thread affinity option
+  - benchmark: print 99% and 99.9% percentiles
+  - doc: separate Linux/Windows version of web-based man pages
+
+  Optimizations:
+  - obj: cache _pobj_cached_pool in pmemobj_direct()
+  - obj: optimize thread utilization of buckets
+  - obj: stop grabbing a lock when querying pool ptr
+  - rpmem: use multiple endpoints
+
+  Bug fixes:
+  - common: fix issues reported by static code analyzers
+  - pmem: fix mmap() implementation on Windows
+  - pmem: fix mapping addr/length alignment on Windows
+  - pmem: fix PMEM_MMAP_HINT implementation on Windows
+  - pmem: fix pmem_is_pmem() on invalid memory ranges
+  - pmem: fix wrong is_pmem returned by pmem_map_file()
+  - pmem: fix mprotect() for private mappings on Windows
+  - pmem: modify pmem_is_pmem() behavior for len==0
+  - obj: add failsafe to prevent allocs in constructor
+  - cpp: fix swap implementation
+  - cpp: fix sync primitives' constructors
+  - cpp: fix wrong pointer type in the allocator
+  - cpp: return persistent_ptr::swap to being public
+  - pool: treat invalid answer as 'n'
+  - pool: unify flags value for dry run
+  - pool: transform for remote replicas
+  - rpmem: persistency method detection
+  - benchmark: fix time measurement
+- Prevent debug libraries from providing symbols
+
+---

Old:

  nvml-1.2.3.tar.gz

New:

  nvml-1.3.tar.gz



Other differences:
--
++ nvml.spec ++
--- /var/tmp/diff_new_pack.gRsQL0/_old  2017-07-21 22:49:41.274285212 +0200
+++ /var/tmp/diff_new_pack.gRsQL0/_new  2017-07-21 22:49:41.278284647 +0200
@@ -16,10 +16,15 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+%if 0%{suse_version} > 1315
+%define with_fabric 1
+%endif
+
+%define min_libfabric_ver 1.4.2
 
 Name:   nvml
-Version:1.2.3
-Release:1
+Version:1.3
+Release:0
 Summary:Non-Volatile Memory Library
 License:BSD-3-Clause
 Group:  Development/Libraries/C and C++
@@ -32,6 +37,9 @@
 BuildRequires:  fdupes
 BuildRequires:  man
 BuildRequires:  pkg-config
+%if 0%{?with_fabric}
+BuildRequires:  libfabric-devel >= %min_libfabric_ver
+%endif
 Patch0: build-fix.patch
 BuildRoot:  %_tmppath/%name-%version-build
 
@@ -44,6 +52,9 @@
 # memory.
 ExclusiveArch:  x86_64
 
+# Debug variants of the libraries should be filtered out of the provides.
+%global __provides_exclude_from ^%{_libdir}/nvml_debug/.*\\.so.*$
+
 %description
 The NVM Library is a collection of libraries for using memory-mapped
 persistence, optimized specifically for persistent memory.
@@ -221,6 +232,43 @@
 analysis, diagnostics and repair of persistent memory pools created
 by libpmemlog, libpemblk and libpmemobj libraries.
 
+%if 0%{?with_fabric}
+%package -n librpmem1
+Summary:Remote Access to Persistent 

commit dpdk for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package dpdk for openSUSE:Factory checked in 
at 2017-07-21 22:49:06

Comparing /work/SRC/openSUSE:Factory/dpdk (Old)
 and  /work/SRC/openSUSE:Factory/.dpdk.new (New)


Package is "dpdk"

Fri Jul 21 22:49:06 2017 rev:18 rq:511401 version:16.11.2

Changes:

--- /work/SRC/openSUSE:Factory/dpdk/dpdk-thunderx.changes   2017-06-22 
10:40:08.955684568 +0200
+++ /work/SRC/openSUSE:Factory/.dpdk.new/dpdk-thunderx.changes  2017-07-21 
22:49:15.005990683 +0200
@@ -1,0 +2,7 @@
+Tue Jul 18 11:26:36 CEST 2017 - n...@suse.de
+
+- Do not use obsolete pci_enable_msix for() kernel > 4.8
+  [+0006-kni-fix-ethtool-build-with-kernel-4.11.patch,
+   +0007-igb_uio-switch-to-new-irq-function-for-MSI-X.patch]
+
+---
dpdk.changes: same change

New:

  0006-kni-fix-ethtool-build-with-kernel-4.11.patch
  0007-igb_uio-switch-to-new-irq-function-for-MSI-X.patch



Other differences:
--
++ dpdk-thunderx.spec ++
--- /var/tmp/diff_new_pack.PWdixl/_old  2017-07-21 22:49:16.149829329 +0200
+++ /var/tmp/diff_new_pack.PWdixl/_new  2017-07-21 22:49:16.149829329 +0200
@@ -63,6 +63,9 @@
 Patch4: 0004-net-thunderx-sync-mailbox-definitions-with-Linux-PF-.patch
 #PATCH-FIX-UPSTREAM 0005-kni-fix-build-with-gcc-7.1.patch bsc#1042372
 Patch5: 0005-kni-fix-build-with-gcc-7.1.patch
+#PATCH-FIX-UPSTREAM 0006-kni-fix-ethtool-build-with-kernel-4.11.patch
+Patch6: 0006-kni-fix-ethtool-build-with-kernel-4.11.patch
+Patch7: 0007-igb_uio-switch-to-new-irq-function-for-MSI-X.patch
 BuildRequires:  doxygen
 BuildRequires:  fdupes
 BuildRequires:  libnuma-devel
@@ -152,6 +155,8 @@
 %patch3 -p1 -z .kni2
 %patch4 -p1 -z .thunderx
 %patch5 -p1 -z .kni3
+%patch6 -p1 -z .kni4
+%patch7 -p1 -z .igb1
 
 # This fixes CROSS compilation (broken) in the mk file for ThunderX
 sed -i '/^CROSS /s/^/#/'  mk/machine/thunderx/rte.vars.mk

dpdk.spec: same change
++ 0006-kni-fix-ethtool-build-with-kernel-4.11.patch ++
>From 9fb3cd2c041eeca30b6c46e5d555d857d6096ae7 Mon Sep 17 00:00:00 2001
From: Ferruh Yigit 
Date: Wed, 3 May 2017 17:00:16 +0100
Subject: [PATCH] kni: fix ethtool build with kernel 4.11
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

build error:
.../lib/librte_eal/linuxapp/kni/igb_main.c:1034:10:
error: implicit declaration of function ‘pci_enable_msix’
err = pci_enable_msix(pdev,
  ^~~

This build error observed when CONFIG_RTE_KNI_KMOD_ETHTOOL config option
enabled.

Following Linux commit removes the pci_enable_msix()
Linux: 4244de1c64de ("PCI: remove pci_enable_msix")

Switch to pci_enable_msix_range() for kernel > 4.8 since current Linux
igb driver uses this function.

Signed-off-by: Ferruh Yigit 
Acked-by: Nicolas Dichtel 
---
 lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c | 7 +++
 lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h  | 4 
 2 files changed, 11 insertions(+)

diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c 
b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c
index c0d52db33..5f1f3a6b5 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c
@@ -1031,8 +1031,15 @@ static void igb_set_interrupt_capability(struct 
igb_adapter *adapter, bool msix)
for (i = 0; i < numvecs; i++)
adapter->msix_entries[i].entry = i;
 
+#ifdef HAVE_PCI_ENABLE_MSIX
err = pci_enable_msix(pdev,
  adapter->msix_entries, numvecs);
+#else
+   err = pci_enable_msix_range(pdev,
+   adapter->msix_entries,
+   numvecs,
+   numvecs);
+#endif
if (err == 0)
break;
}
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h 
b/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h
index 4abab4aa3..4c52da3c1 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h
@@ -3937,4 +3937,8 @@ skb_set_hash(struct sk_buff *skb, __u32 hash, 
__always_unused int type)
 #define HAVE_VF_VLAN_PROTO
 #endif /* >= 4.9.0, >= SLES12SP3 */
 
+#if LINUX_VERSION_CODE < KERNEL_VERSION(4, 8, 0)
+#define HAVE_PCI_ENABLE_MSIX
+#endif
+
 #endif /* _KCOMPAT_H_ */
-- 
2.13.2

++ 0007-igb_uio-switch-to-new-irq-function-for-MSI-X.patch ++
>From 99bb58f3adc73046b538874a0944578146ee1189 

commit libisds for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package libisds for openSUSE:Factory checked 
in at 2017-07-21 22:49:14

Comparing /work/SRC/openSUSE:Factory/libisds (Old)
 and  /work/SRC/openSUSE:Factory/.libisds.new (New)


Package is "libisds"

Fri Jul 21 22:49:14 2017 rev:7 rq:511405 version:0.10.7

Changes:

--- /work/SRC/openSUSE:Factory/libisds/libisds.changes  2017-06-09 
15:56:39.502012356 +0200
+++ /work/SRC/openSUSE:Factory/.libisds.new/libisds.changes 2017-07-21 
22:49:18.229535961 +0200
@@ -1,0 +2,11 @@
+Wed Jul 19 11:45:05 UTC 2017 - jsl...@suse.com
+
+- Version bump to 0.10.7:
+  * l10n: Update translation catalogues
+  * doc: Annotate documentation for new box types
+  * Added OVM_FO, OVM_PFO and OVM_PO box types.
+  * Add missing user and sender types to example client...
+  * Added PFO_AUDITOR box type.
+  * Added RECEIVER and GUARDIAN user types.
+
+---

Old:

  libisds-0.10.6.tar.xz
  libisds-0.10.6.tar.xz.asc

New:

  libisds-0.10.7.tar.xz
  libisds-0.10.7.tar.xz.asc



Other differences:
--
++ libisds.spec ++
--- /var/tmp/diff_new_pack.YzBAN1/_old  2017-07-21 22:49:18.777458670 +0200
+++ /var/tmp/diff_new_pack.YzBAN1/_new  2017-07-21 22:49:18.785457541 +0200
@@ -18,7 +18,7 @@
 
 %define libname %{name}5
 Name:   libisds
-Version:0.10.6
+Version:0.10.7
 Release:0
 Summary:Library for accessing the Czech Data Boxes
 License:LGPL-3.0+

++ libisds-0.10.6.tar.xz -> libisds-0.10.7.tar.xz ++
 4024 lines of diff (skipped)





commit drbd for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package drbd for openSUSE:Factory checked in 
at 2017-07-21 22:49:43

Comparing /work/SRC/openSUSE:Factory/drbd (Old)
 and  /work/SRC/openSUSE:Factory/.drbd.new (New)


Package is "drbd"

Fri Jul 21 22:49:43 2017 rev:60 rq:511431 version:9.0.8+git.c8bc3670

Changes:

--- /work/SRC/openSUSE:Factory/drbd/drbd.changes2017-06-23 
09:18:45.627080839 +0200
+++ /work/SRC/openSUSE:Factory/.drbd.new/drbd.changes   2017-07-21 
22:49:45.453695655 +0200
@@ -1,0 +2,6 @@
+Wed Jul 19 05:01:10 UTC 2017 - bwiedem...@suse.com
+
+- Add reproducible.patch to sort file lists (boo#1041090)
+  and to override build date (boo#1047218) to fix build-compare
+
+---

New:

  reproducible.patch



Other differences:
--
++ drbd.spec ++
--- /var/tmp/diff_new_pack.lw6UE9/_old  2017-07-21 22:49:46.265581127 +0200
+++ /var/tmp/diff_new_pack.lw6UE9/_new  2017-07-21 22:49:46.269580563 +0200
@@ -14,10 +14,9 @@
 
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
-
-
 # needssslcertforbuild
 
+
 %if ! 0%{?is_opensuse}
 %ifarch x86_64
 %define buildrt 1
@@ -37,6 +36,8 @@
 Source2:Module.supported
 Source3:drbd_git_revision
 Patch1: fix-resync-finished-with-syncs-have-bits-set.patch
+# PATCH-FIX-UPSTREAM bmwiedemann
+Patch2: reproducible.patch
 BuildRequires:  kernel-source
 BuildRequires:  kernel-syms
 BuildRequires:  module-init-tools
@@ -69,6 +70,7 @@
 %prep
 %setup -q -n drbd-%{version}
 %patch1 -p1
+%patch2 -p1
 
 mkdir source
 cp -a drbd/. source/. || :
@@ -79,6 +81,7 @@
 mkdir obj
 ln -s ../scripts obj/
 
+export WANT_DRBD_REPRODUCIBLE_BUILD=1
 export CONFIG_BLK_DEV_DRBD=m
 export EXTRA_CFLAGS='-DVERSION=\"%{version}\"'
 

++ reproducible.patch ++
commit 9777375cea4d39a6298b774c80eb1287836b217d
Author: Bernhard M. Wiedemann 
Date:   Mon Jul 17 21:05:47 2017 +0200

drbd: sort file list

because it influences the ordering of entries in compat.h
which influences srcversion= checksum
which prevents drbd.ko from building reproducibly.

See https://reproducible-builds.org/ for why this matters.

diff --git a/drbd/Kbuild b/drbd/Kbuild
index 2d1b4d0..c5787a6 100644
--- a/drbd/Kbuild
+++ b/drbd/Kbuild
@@ -70,7 +70,7 @@ COMPAT_FORCE := FORCE
 endif
 
 ifneq ($(KBUILD_STAGE),modpost)
-TEST_C := $(wildcard $(src)/drbd-kernel-compat/tests/*.c)
+TEST_C := $(sort $(wildcard $(src)/drbd-kernel-compat/tests/*.c))
 TEST_R := 
$(TEST_C:$(src)/drbd-kernel-compat/tests/%.c=$(obj)/.compat_test.%.result)
 $(obj)/.compat_test.%.result: $(src)/drbd-kernel-compat/tests/%.c 
$(COMPAT_FORCE)
$(call cmd,compat_test_result)
commit 794951592b004e82c0160014751d9ebb654035c0
Author: Bernhard M. Wiedemann 
Date:   Tue Jul 18 10:30:16 2017 +0200

drbd: Allow to override build date (v3)

and to not record build user and hostname if requested
in order to allow for reproducible builds.
See https://reproducible-builds.org/ for why this is good
and https://reproducible-builds.org/specs/source-date-epoch/
for the definition of this variable.

diff --git a/drbd/Kbuild b/drbd/Kbuild
index 2d1b4d0..80b8099 100644
--- a/drbd/Kbuild
+++ b/drbd/Kbuild
@@ -134,5 +134,10 @@ $(obj)/drbd_buildtag.c: $(filter-out 
drbd_buildtag.o,$(drbd-y))
echo >&2 "Your DRBD source tree is broken. Unpack again.";  
\
exit 1; 
\
fi ;
\
-   echo -e "\t\t\" build by $$USER@$$HOSTNAME, `date "+%F %T"`\";\n}"; 
\
+   if [ -z "${WANT_DRBD_REPRODUCIBLE_BUILD}" ] || [ -z 
"${SOURCE_DATE_EPOCH}" ] ; then \
+   buildinfo="build by $$USER@$$HOSTNAME, `date "+%F %T"`" ; \
+   else \
+   buildinfo="reproducible build, `date -u -d@${SOURCE_DATE_EPOCH} 
"+%F %T"`" ; \
+   fi ; \
+   echo -e "\t\t\" $$buildinfo\";\n}"; \
mv -f $@.new $@



commit scilab for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package scilab for openSUSE:Factory checked 
in at 2017-07-21 22:49:28

Comparing /work/SRC/openSUSE:Factory/scilab (Old)
 and  /work/SRC/openSUSE:Factory/.scilab.new (New)


Package is "scilab"

Fri Jul 21 22:49:28 2017 rev:21 rq:511423 version:5.5.2

Changes:

--- /work/SRC/openSUSE:Factory/scilab/scilab.changes2017-06-21 
13:53:52.535435694 +0200
+++ /work/SRC/openSUSE:Factory/.scilab.new/scilab.changes   2017-07-21 
22:49:37.462822866 +0200
@@ -1,0 +2,5 @@
+Tue Jul 18 16:39:23 UTC 2017 - o...@aepfle.de
+
+- Fix build with ocaml-4.05 with scilab-ocaml.patch (bug#15107)
+
+---

New:

  scilab-ocaml.patch



Other differences:
--
++ scilab.spec ++
--- /var/tmp/diff_new_pack.kfftl2/_old  2017-07-21 22:49:39.490536832 +0200
+++ /var/tmp/diff_new_pack.kfftl2/_new  2017-07-21 22:49:39.490536832 +0200
@@ -40,6 +40,8 @@
 Patch2: %{name}-0002-always-use-dynamic-stack.patch
 # PATCH-FIX-UPSTREAM scilab-fix-64bit-portability-issue.patch 
badshah...@gmail.com -- Fix compiler warnings w.r.t 64bit portability
 Patch3: scilab-fix-64bit-portability-issue.patch
+# PATCH-FIX-UPSTREAM scilab-ocaml.patch o...@aepfle.de -- Fix build with 
ocaml-4.05 with scilab-ocaml.patch (bug#15107)
+Patch4: scilab-ocaml.patch
 # PATCH-FIX-OPENSUSE scilab-special-jarnames.patch badshah...@gmail.com -- 
Adapt configure script for a few java library names peculiar to openSUSE
 Patch5: scilab-special-jarnames.patch
 # PATCH-FIX-UPSTREAM scilab-build-with-xmlgraphics-commons-2_0.patch 
badshah...@gmail.com -- Fix compilation with xmlgraphics-commons >= 2.0
@@ -288,6 +290,7 @@
 %patch5 -p1
 %patch2 -p1
 %patch3 -p1
+%patch4 -p1
 
 # Only > 13.2 and Leap have xmlgraphics-commons > 2.0
 %if 0%{?suse_version} > 1320 || 0%{?suse_version} == 1315

++ scilab-ocaml.patch ++
http://bugzilla.scilab.org/show_bug.cgi?id=15107
https://codereview.scilab.org/#/c/19232
--- a/modules/scicos/Makefile.in
+++ b/modules/scicos/Makefile.in
@@ -438,7 +438,7 @@ libscisundials_la_OBJECTS = $(am_libscis
 @OCAML_TRUE@@XCOS_TRUE@modelicat$(EXEEXT)
 PROGRAMS = $(bin_PROGRAMS)
 am__XML2Modelica_SOURCES_DIST = $(srcdir)/src/xml2modelica/xMLTree.ml \
-   $(srcdir)/src/xml2modelica/linenum.mll \
+   $(srcdir)/src/modelica_compiler/linenum.mll \
$(srcdir)/src/xml2modelica/stringParser.ml \
$(srcdir)/src/xml2modelica/stringLexer.ml \
$(srcdir)/src/xml2modelica/xMLParser.ml \
@@ -1146,7 +1146,7 @@ HELP_CHAPTERLANG = en_US fr_FR pt_BR
 ### XML2Modelica
 @OCAML_TRUE@@XCOS_TRUE@XML2Modelica_SOURCES = \
 @OCAML_TRUE@@XCOS_TRUE@$(srcdir)/src/xml2modelica/xMLTree.ml \
-@OCAML_TRUE@@XCOS_TRUE@$(srcdir)/src/xml2modelica/linenum.mll \
+@OCAML_TRUE@@XCOS_TRUE@$(srcdir)/src/modelica_compiler/linenum.mll \
 @OCAML_TRUE@@XCOS_TRUE@$(srcdir)/src/xml2modelica/stringParser.ml \
 @OCAML_TRUE@@XCOS_TRUE@$(srcdir)/src/xml2modelica/stringLexer.ml \
 @OCAML_TRUE@@XCOS_TRUE@$(srcdir)/src/xml2modelica/xMLParser.ml \



commit criu for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package criu for openSUSE:Factory checked in 
at 2017-07-21 22:49:18

Comparing /work/SRC/openSUSE:Factory/criu (Old)
 and  /work/SRC/openSUSE:Factory/.criu.new (New)


Package is "criu"

Fri Jul 21 22:49:18 2017 rev:35 rq:511406 version:3.3

Changes:

--- /work/SRC/openSUSE:Factory/criu/criu.changes2017-06-30 
18:43:47.890011554 +0200
+++ /work/SRC/openSUSE:Factory/.criu.new/criu.changes   2017-07-21 
22:49:20.117269672 +0200
@@ -1,0 +2,7 @@
+Wed Jul 19 11:16:42 UTC 2017 - bwiedem...@suse.com
+
+- update to criu 3.3
+  * Add --tcp-close option to help migration of Docker containers
+  * Allow to override build time to fix build-compare (boo#1047218)
+
+---

Old:

  criu-3.2.1.tar.bz2

New:

  criu-3.3.tar.bz2



Other differences:
--
++ criu.spec ++
--- /var/tmp/diff_new_pack.WKCHql/_old  2017-07-21 22:49:20.949152325 +0200
+++ /var/tmp/diff_new_pack.WKCHql/_new  2017-07-21 22:49:20.953151761 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   criu
-Version:3.2.1
+Version:3.3
 Release:0
 Summary:Checkpoint/Restore In Userspace Tools
 License:GPL-2.0

++ criu-3.2.1.tar.bz2 -> criu-3.3.tar.bz2 ++
 2903 lines of diff (skipped)




commit getmail for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package getmail for openSUSE:Factory checked 
in at 2017-07-21 22:49:20

Comparing /work/SRC/openSUSE:Factory/getmail (Old)
 and  /work/SRC/openSUSE:Factory/.getmail.new (New)


Package is "getmail"

Fri Jul 21 22:49:20 2017 rev:22 rq:511408 version:5.1

Changes:

--- /work/SRC/openSUSE:Factory/getmail/getmail.changes  2017-06-08 
15:03:22.315900366 +0200
+++ /work/SRC/openSUSE:Factory/.getmail.new/getmail.changes 2017-07-21 
22:49:22.856883216 +0200
@@ -1,0 +2,23 @@
+Tue Jul 18 17:00:00 UTC 2017 - cu...@bitmessage.ch
+
+- Version bump to 5.1
+  * bugfix: if password_command parameter was used with a non-existent
+program, getmail would error out during the handling of that
+condition and not report the problem correctly.
+
+- Changes from 5.0
+  * new release numbering scheme; previous version numbers were just
+getting too high.
+  * catch and ignore/exit cleanly after reset connection in IMAP IDLE
+mode. Thanks:  Stephan Schulz.
+  * allow specifying an expected SSL certificate hostname, for when
+the server's certificate does not match the domain name used to
+connect to it.  Thanks:  "Andre".
+  * fix error message not actually giving the header field name
+incorrectly specified as containing the envelope recipient address.
+Thanks:  Hardy Braunsdorf.
+  * add new password_command configuration parameter for retrievers,
+allowing getmail to retrieve the account password from any
+arbitrary external command.  Suggestion:  "ng0".
+
+---

Old:

  getmail-4.54.0.tar.gz

New:

  getmail-5.1.tar.gz



Other differences:
--
++ getmail.spec ++
--- /var/tmp/diff_new_pack.9w2CZ7/_old  2017-07-21 22:49:23.436801411 +0200
+++ /var/tmp/diff_new_pack.9w2CZ7/_new  2017-07-21 22:49:23.436801411 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   getmail
-Version:4.54.0
+Version:5.1
 Release:0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Url:http://pyropus.ca/software/getmail/

++ _service ++
--- /var/tmp/diff_new_pack.9w2CZ7/_old  2017-07-21 22:49:23.472796334 +0200
+++ /var/tmp/diff_new_pack.9w2CZ7/_new  2017-07-21 22:49:23.472796334 +0200
@@ -1,7 +1,7 @@
 
 
   sha256
-  d45657945353c68785b106dd9c5fae6bc2cec8f99fbb202d94967f483a65
-  getmail-4.54.0.tar.gz
+  3d6e20e5ea41c1ffb284a46de3d2a474bf2ebd9215441c4c379183d03710027e
+  getmail-5.1.tar.gz
 
 

++ getmail-4.54.0.tar.gz -> getmail-5.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/getmail-4.54.0/PKG-INFO new/getmail-5.1/PKG-INFO
--- old/getmail-4.54.0/PKG-INFO 2017-02-19 19:08:50.0 +0100
+++ new/getmail-5.1/PKG-INFO2017-07-16 05:26:27.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: getmail
-Version: 4.54.0
+Version: 5.1
 Summary: a mail retrieval, sorting, and delivering system
 Home-page: http://pyropus.ca/software/getmail/
 Author: Charles Cazabon
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/getmail-4.54.0/docs/CHANGELOG 
new/getmail-5.1/docs/CHANGELOG
--- old/getmail-4.54.0/docs/CHANGELOG   2017-02-19 19:08:34.0 +0100
+++ new/getmail-5.1/docs/CHANGELOG  2017-07-16 05:26:01.0 +0200
@@ -1,6 +1,29 @@
+Version 5.1
+15 July 2017
+-bugfix: if password_command parameter was used with a non-existent 
program,
+getmail would error out during the handling of that condition and not 
report
+the problem correctly.
+
+Version 5.0
+15 July 2017
+-new release numbering scheme; previous version numbers were just getting
+too high.
+-catch and ignore/exit cleanly after reset connection in IMAP IDLE mode.
+Thanks:  Stephan Schulz.
+-allow specifying an expected SSL certificate hostname, for when the
+server's certificate does not match the domain name used to connect to
+it.  Thanks:  "Andre".
+-fix error message not actually giving the header field name incorrectly
+specified as containing the envelope recipient address.  Thanks:  Hardy 
+Braunsdorf.
+-add new password_command configuration parameter for retrievers, allowing
+getmail to retrieve the account password from any arbitrary external 
+command.  Suggestion:  "ng0".
+
 Version 4.54.0
 19 February 2017
--fix error running getmail_fetch introduced in 4.53.0.  Thanks: "fsckd".
+-fix error running getmail_fetch introduced in 4.53.0.  Thanks: "fsckd"
+of Arch Linux.
 
 Version 4.53.0
 15 January 2017
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 

commit datovka for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package datovka for openSUSE:Factory checked 
in at 2017-07-21 22:49:22

Comparing /work/SRC/openSUSE:Factory/datovka (Old)
 and  /work/SRC/openSUSE:Factory/.datovka.new (New)


Package is "datovka"

Fri Jul 21 22:49:22 2017 rev:23 rq:511418 version:4.9.0

Changes:

--- /work/SRC/openSUSE:Factory/datovka/datovka.changes  2017-05-24 
16:51:10.823686816 +0200
+++ /work/SRC/openSUSE:Factory/.datovka.new/datovka.changes 2017-07-21 
22:49:27.972161642 +0200
@@ -1,0 +2,28 @@
+Wed Jul 19 12:32:51 UTC 2017 - jeng...@inai.de
+
+- Remove odd backslashes from description.
+
+---
+Wed Jul 19 11:21:13 UTC 2017 - jsl...@suse.com
+
+- Version update to 4.9.0:
+  * Added API and support for sending messages into records management
+services.
+  * Removed explicit clear buttons from filter fields.
+  * Fixed problems with remembering location of saved attachment files.
+  * Directory structure can be created when exporting correspondence overview.
+  * Line height of account list and message table has been adjusted to be the
+same.
+  * Fixed confusion between the terms of delivery (dodani) and acceptance
+(doruceni) in Czech localisation.
+  * Process of exporting multiple selected messages can be aborted by clicking
+Cancel button.
+  * Tags can be stored into HTML correspondence overview.
+  * HTML correspondence overview now contains both delivery and acceptance
+times.
+  * Fixed problems with sending messages from accounts that cannot search for
+data boxes.
+  * Fixed tag ordering. Tag sorting is now locale-aware. 
+- disable -Wdate-time -- unrecognized e.g. with gcc 4.8
+
+---

Old:

  datovka-4.8.1.tar.xz
  datovka-4.8.1.tar.xz.sha256

New:

  datovka-4.9.0.tar.xz
  datovka-4.9.0.tar.xz.sha256



Other differences:
--
++ datovka.spec ++
--- /var/tmp/diff_new_pack.kFw0b5/_old  2017-07-21 22:49:29.147995776 +0200
+++ /var/tmp/diff_new_pack.kFw0b5/_new  2017-07-21 22:49:29.155994647 +0200
@@ -17,9 +17,9 @@
 
 
 Name:   datovka
-Version:4.8.1
+Version:4.9.0
 Release:0
-Summary:Library to access Czech eGov system \"Datove schranky\"
+Summary:Library to access Czech eGov system "Datove schranky"
 License:GPL-3.0+
 Group:  Development/Libraries/Python
 Url:https://labs.nic.cz/cs/nova-datovka.html
@@ -34,6 +34,7 @@
 BuildRequires:  pkgconfig(Qt5Network) >= 5.2.0
 BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.2.0
 BuildRequires:  pkgconfig(Qt5Sql) >= 5.2.0
+BuildRequires:  pkgconfig(Qt5Svg) >= 5.2.0
 BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
 BuildRequires:  pkgconfig(libisds)
 Requires:   libqt5_sql_backend

++ datovka-4.8.1.tar.xz -> datovka-4.9.0.tar.xz ++
 25256 lines of diff (skipped)

++ datovka-4.8.1.tar.xz.sha256 -> datovka-4.9.0.tar.xz.sha256 ++
--- /work/SRC/openSUSE:Factory/datovka/datovka-4.8.1.tar.xz.sha256  
2017-05-24 16:51:09.635854023 +0200
+++ /work/SRC/openSUSE:Factory/.datovka.new/datovka-4.9.0.tar.xz.sha256 
2017-07-21 22:49:26.272401414 +0200
@@ -1 +1 @@
-da2bb1b6c23b566639e5fb51d3aa3c39017b773fbd13e4e85b6478ab53f3aac6
+bdc580feeec68de9af545d88dc2f395222abc8134280bd084fd25e2f813320e9

++ datovka-fix-pro.patch ++
--- /var/tmp/diff_new_pack.kFw0b5/_old  2017-07-21 22:49:29.735912843 +0200
+++ /var/tmp/diff_new_pack.kFw0b5/_new  2017-07-21 22:49:29.735912843 +0200
@@ -23,7 +23,7 @@
DEFINES += DATADIR=\\\"$$DATADIR\\\" \
PKGDATADIR=\\\"$$PKGDATADIR\\\" \
LOCALE_INST_DIR="\"\\\"$${LOCALE_INST_DIR}\\\"\"" \
-@@ -133,16 +126,19 @@ unix:!macx {
+@@ -133,17 +126,20 @@ unix:!macx {
icon64 \
icon128 \
icon256 \
@@ -37,6 +37,8 @@
 -  -g -O0 -std=c++11 \
 +  -g -std=c++11 $$(CXXFLAGS) \
-Wall -Wextra -pedantic \
+-  -Wdate-time -Wformat -Werror=format-security \
++  -Wformat -Werror=format-security \
-Isrc/views
  
 +QMAKE_CFLAGS += \




commit mlterm for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package mlterm for openSUSE:Factory checked 
in at 2017-07-21 22:49:02

Comparing /work/SRC/openSUSE:Factory/mlterm (Old)
 and  /work/SRC/openSUSE:Factory/.mlterm.new (New)


Package is "mlterm"

Fri Jul 21 22:49:02 2017 rev:41 rq:511400 version:3.8.2

Changes:

--- /work/SRC/openSUSE:Factory/mlterm/mlterm.changes2016-11-28 
15:04:13.0 +0100
+++ /work/SRC/openSUSE:Factory/.mlterm.new/mlterm.changes   2017-07-21 
22:49:07.591036654 +0200
@@ -1,0 +2,18 @@
+Tue Jul 18 14:48:11 UTC 2017 - tchva...@suse.com
+
+- Version update to 3.8.2 release:
+  * Support for wayland
+  * Support page of VT400 or later. (NP, PP, PPA, PPR, PPB, DECCRA and DECLRP)
+  * Support DECRQDE, DECSCUSR(Ps = 3,4,5,6), DECATC, DECRQM, DECRQMH, DECSCA,
+DECERA, DECSEL and DECSED.
+  * Support SGR of DECRQSS.
+  * Bunch of bugfixes
+- Add all the named dependencies to the package to make sure all the
+  features are properly enabled, configure script does not fail on
+  dependencies not found
+- Remove libotf as now rendering is done via harfbuzz
+- Disable fctix input method as it fails to compile upstream
+- Install svg icons from the archive rather than our distributed png
+- Add portability patch mlterm-portability.patch to make rpmlint happy
+
+---

Old:

  mlterm-3.7.2.tar.gz
  mlterm.png

New:

  mlterm-3.8.2.tar.gz
  mlterm-portability.patch



Other differences:
--
++ mlterm.spec ++
--- /var/tmp/diff_new_pack.ju0NNs/_old  2017-07-21 22:49:10.390641735 +0200
+++ /var/tmp/diff_new_pack.ju0NNs/_new  2017-07-21 22:49:10.394641171 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package mlterm
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,43 +17,40 @@
 
 
 Name:   mlterm
-Version:3.7.2
+Version:3.8.2
 Release:0
 Summary:Multilingual Terminal Emulator for X
 License:BSD-3-Clause
 Group:  System/X11/Terminals
 Url:http://mlterm.sourceforge.net/
-#cvs -d :pserver:anonym...@mlterm.cvs.sourceforge.net:/cvsroot/mlterm login
-#(hit Enter)
-#cvs -d :pserver:anonym...@mlterm.cvs.sourceforge.net:/cvsroot/mlterm 
checkout mlterm
-#cvs -z3 -d:ext:mfab...@mlterm.cvs.sourceforge.net:/cvsroot/mlterm co 
mlterm
-#tar jcvf mlterm-2.7.0.tar.bz2 mlterm
 Source0:
http://downloads.sourceforge.net/project/mlterm/01release/%{name}-%{version}/%{name}-%{version}.tar.gz
 Source10:   %{name}.desktop
-Source11:   %{name}.png
 Patch0: etc.patch
+# PATCH-FIX-UPSTREAM: portability issues reported by rpmlint
+Patch1: mlterm-portability.patch
+BuildRequires:  canna-devel
 BuildRequires:  coreutils
-BuildRequires:  fribidi-devel
+BuildRequires:  fwnn-devel
 BuildRequires:  gcc-c++
-BuildRequires:  gtk2-devel
-BuildRequires:  m17n-lib-devel
-%if 0%{?suse_version} != 1315
+BuildRequires:  pkgconfig
 BuildRequires:  scim-devel
 BuildRequires:  uim-devel
-%endif
 BuildRequires:  update-desktop-files
-BuildRequires:  wordcut-devel
+BuildRequires:  pkgconfig(cairo)
+BuildRequires:  pkgconfig(fcitx)
+BuildRequires:  pkgconfig(fribidi)
+BuildRequires:  pkgconfig(gail)
+BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
+BuildRequires:  pkgconfig(gtk+-3.0)
+BuildRequires:  pkgconfig(harfbuzz)
+BuildRequires:  pkgconfig(ibus-1.0)
+BuildRequires:  pkgconfig(libssh2)
+BuildRequires:  pkgconfig(m17n-core)
+BuildRequires:  pkgconfig(vte-2.91)
+BuildRequires:  pkgconfig(wordcut)
 Provides:   locale(xorg-x11:ja;ko;zh;ar;he)
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%if 0%{?suse_version} > 1130
-BuildRequires:  utempter-devel
-%else
-BuildRequires:  utempter
-%endif
-%if 0%{?suse_version} == 1315
-# for migration
-Obsoletes:  mlterm-scim
-Obsoletes:  mlterm-uim
+%if 0%{?suse_version} >= 1330
+Requires:   group(tty)
 %endif
 
 %description
@@ -76,22 +73,38 @@
 xims.
 
 Other features:
-
 * scroll by wheel mouse
-
 * antialias font (requires Xft and Xrender extensions)
-
 * proportional font
-
 * transparent background
-
 * background image (requires Imlib)
-
 * multiple pty windows
-
 * scrollbar plug-in API (unstable)
 
-%if 0%{?suse_version} != 1315
+%package canna
+Summary:Canna plugin for mlterm
+Group:  System/X11/Terminals
+Provides:   locale(scim:ja;ko;ar;he)
+
+%description canna
+A plugin to use the canna input methods directly from mlterm.
+
+%package ibus
+Summary:Ibus plugin for mlterm
+Group:

commit x86info for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package x86info for openSUSE:Factory checked 
in at 2017-07-21 22:48:53

Comparing /work/SRC/openSUSE:Factory/x86info (Old)
 and  /work/SRC/openSUSE:Factory/.x86info.new (New)


Package is "x86info"

Fri Jul 21 22:48:53 2017 rev:24 rq:511365 version:1.30

Changes:

--- /work/SRC/openSUSE:Factory/x86info/x86info.changes  2015-09-11 
09:04:43.0 +0200
+++ /work/SRC/openSUSE:Factory/.x86info.new/x86info.changes 2017-07-21 
22:49:02.355775154 +0200
@@ -1,0 +2,18 @@
+Tue Jul 18 09:17:08 UTC 2017 - fschnizl...@suse.com
+
+- Update to HEAD (9501749231164135db25c72cbeb42bf32af1519b)
+  * Make it possible to statically link with libpci.
+  * Add another Nehalem variant
+  * Add exact steppings and complete list of all bloomfield cores.
+  * add Knights Mill Xeon Phi.
+  * - Add PREFETCHW instruction flag.
+- Add Hardware Duty Cycling flag.
+- Add HW-controlled performance states (HWP) flags.
+  * Add 0x64, 0xa0, 0xc3 and 0xc4 into DTLB_cache_table[].
+  * - Add Atom E3500.
+- Add Atom X3-C3000 [Silvermont].
+  *  Add NetBSD support. Note that NetBSD has not API to access MSR register 
from userland.
+  * handle null EBDA pointer.
+  * handle failure from enumerate_cpus
+
+---

Old:

  x86info-1.30.tgz

New:

  _service
  _servicedata
  x86info-1.30.tar.xz



Other differences:
--
++ x86info.spec ++
--- /var/tmp/diff_new_pack.47uUH4/_old  2017-07-21 22:49:02.935693349 +0200
+++ /var/tmp/diff_new_pack.47uUH4/_new  2017-07-21 22:49:02.935693349 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package x86info
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -23,7 +23,7 @@
 License:GPL-2.0
 Group:  System/Monitoring
 Url:http://www.codemonkey.org.uk/projects/x86info/
-Source: 
http://codemonkey.org.uk/projects/x86info/x86info-%{version}.tgz
+Source: %{name}-%{version}.tar.xz
 BuildRequires:  pciutils-devel
 BuildRequires:  python
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -39,7 +39,8 @@
 %setup -q
 
 %build
-make CFLAGS="%{optflags}" %{?_smp_mflags}
+make CFLAGS="%{optflags} -Iinclude" %{?_smp_mflags}
+make CFLAGS="%{optflags} -I. -I../include" %{?_smp_mflags} -C lsmsr
 
 %install
 mkdir -p %{buildroot}%{_prefix}/bin
@@ -48,8 +49,8 @@
 mkdir -p %{buildroot}%{_mandir}/man8
 install -m 755 x86info %{buildroot}%{_prefix}/bin
 install -m 644 x86info.1 %{buildroot}%{_mandir}/man1
-install -m 755 lsmsr %{buildroot}%{_prefix}/sbin
-install -m 644 lsmsr.8 %{buildroot}%{_mandir}/man8
+install -m 755 lsmsr/lsmsr %{buildroot}%{_prefix}/sbin
+install -m 644 lsmsr/lsmsr.8 %{buildroot}%{_mandir}/man8
 
 %files
 %defattr(-, root, root)

++ _service ++

  
git
https://github.com/kernelslacker/x86info.git

x86info
1.30
enable
9501749231164135db25c72cbeb42bf32af1519b
  
  
x86info-*.tar
xz
  
  

++ _servicedata ++


https://github.com/kernelslacker/x86info.git
  9501749231164135db25c72cbeb42bf32af1519b


commit wireshark for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package wireshark for openSUSE:Factory 
checked in at 2017-07-21 22:48:39

Comparing /work/SRC/openSUSE:Factory/wireshark (Old)
 and  /work/SRC/openSUSE:Factory/.wireshark.new (New)


Package is "wireshark"

Fri Jul 21 22:48:39 2017 rev:126 rq:511330 version:2.2.8

Changes:

--- /work/SRC/openSUSE:Factory/wireshark/wireshark.changes  2017-06-04 
02:00:16.184467771 +0200
+++ /work/SRC/openSUSE:Factory/.wireshark.new/wireshark.changes 2017-07-21 
22:48:43.366453836 +0200
@@ -1,0 +2,16 @@
+Tue Jul 18 21:29:37 UTC 2017 - astie...@suse.com
+
+- Wireshark 2.2.8 (bsc#1049255):
+  This release fixes minor vulnerabilities that could be used to
+  trigger dissector crashes, infinite loopsm or cause excessive use
+  of memory resources by making Wireshark read specially crafted
+  packages from the network or a capture file:
+  * CVE-2017-7702 CVE-2017-11410: WBMXL dissector infinite loop
+(wnpa-sec-2017-13)
+  * CVE-2017-9350 CVE-2017-11411: openSAFETY dissector memory
+exhaustion (wnpa-sec-2017-28)
+  * CVE-2017-11408: AMQP dissector crash (wnpa-sec-2017-34)
+  * CVE-2017-11407: MQ dissector crash (wnpa-sec-2017-35)
+  * CVE-2017-11406: DOCSIS infinite loop (wnpa-sec-2017-36)
+
+---

Old:

  SIGNATURES-2.2.7.txt
  wireshark-2.2.7.tar.bz2

New:

  SIGNATURES-2.2.8.txt
  wireshark-2.2.8.tar.bz2



Other differences:
--
++ wireshark.spec ++
--- /var/tmp/diff_new_pack.QYxYej/_old  2017-07-21 22:48:45.166199959 +0200
+++ /var/tmp/diff_new_pack.QYxYej/_new  2017-07-21 22:48:45.170199395 +0200
@@ -36,7 +36,7 @@
 %bcond_with geoip
 %endif
 Name:   wireshark
-Version:2.2.7
+Version:2.2.8
 Release:0
 Summary:A Network Traffic Analyser
 License:GPL-2.0+ and GPL-3.0+

++ SIGNATURES-2.2.7.txt -> SIGNATURES-2.2.8.txt ++
--- /work/SRC/openSUSE:Factory/wireshark/SIGNATURES-2.2.7.txt   2017-06-04 
02:00:12.700959463 +0200
+++ /work/SRC/openSUSE:Factory/.wireshark.new/SIGNATURES-2.2.8.txt  
2017-07-21 22:48:41.330740999 +0200
@@ -1,48 +1,48 @@
 -BEGIN PGP SIGNED MESSAGE-
 Hash: SHA512
 
-wireshark-2.2.7.tar.bz2: 32309420 bytes
-SHA256(wireshark-2.2.7.tar.bz2)=689ddf62221b152779d8846ab5b2063cc7fd41ec1a9f04eefab09b5d5486dbb5
-RIPEMD160(wireshark-2.2.7.tar.bz2)=baf598f495c04f3709cb02c9046b8176f5f5c72e
-SHA1(wireshark-2.2.7.tar.bz2)=2bb1cdf56a93fb22a66e8179214b587c71f06c9e
-MD5(wireshark-2.2.7.tar.bz2)=a4d880554c7f925dafef60fa313b580d
-
-Wireshark-win64-2.2.7.exe: 49400720 bytes
-SHA256(Wireshark-win64-2.2.7.exe)=cc8e6feff1e72d1baaafb277e33c9137a76a5edeca629fe4c764070a0719df50
-RIPEMD160(Wireshark-win64-2.2.7.exe)=e1b5395752ff672593bb02e02c9d43b969a6d136
-SHA1(Wireshark-win64-2.2.7.exe)=bb9f0c2f8448069e8ef33302e3e8a5182a066788
-MD5(Wireshark-win64-2.2.7.exe)=30570a7b54c17da897cf155e35a2f44a
-
-Wireshark-win32-2.2.7.exe: 44550128 bytes
-SHA256(Wireshark-win32-2.2.7.exe)=6f5ef2ed9aed62f3613f66b960f50663cfb4ec4b59c9fe1fa11ff08137c8a0c0
-RIPEMD160(Wireshark-win32-2.2.7.exe)=14aa5ae001272ac7ce1eea2d166f02b89a1de76c
-SHA1(Wireshark-win32-2.2.7.exe)=1c778e2885fbf0668f75567841d0b00c73b9c7d6
-MD5(Wireshark-win32-2.2.7.exe)=ab254d59f70aec9178aeb8a76a24de50
-
-WiresharkPortable_2.2.7.paf.exe: 46147736 bytes
-SHA256(WiresharkPortable_2.2.7.paf.exe)=3fc82830a4d2b0d620ef37c1fd406d99e5cad7ff2c831b1d284f5e87282ae2c1
-RIPEMD160(WiresharkPortable_2.2.7.paf.exe)=2d699d1fe6d1bd2e3cff21837d17d069725f
-SHA1(WiresharkPortable_2.2.7.paf.exe)=5cc73524dfc49780ce22f8dfe4d74876c2f9eb5a
-MD5(WiresharkPortable_2.2.7.paf.exe)=d05d04a6ce82a7253949d45cc5fb6186
-
-Wireshark 2.2.7 Intel 64.dmg: 32873230 bytes
-SHA256(Wireshark 2.2.7 Intel 
64.dmg)=6d46e7270fc6b661ece24c0fcaf56c7e4ce4f65501ef055ea46c6cfdf95c6dcb
-RIPEMD160(Wireshark 2.2.7 Intel 
64.dmg)=7b1ab739f9dc24c03b9b825a8533e0e891ee822f
-SHA1(Wireshark 2.2.7 Intel 64.dmg)=50fa591d6fb0d4f59a5c2c9c12c1f114522f8377
-MD5(Wireshark 2.2.7 Intel 64.dmg)=2814af6a4f0c851e1d44213d96428919
+wireshark-2.2.8.tar.bz2: 32331209 bytes
+SHA256(wireshark-2.2.8.tar.bz2)=ecf02c148c9ab6e809026ad5743fe9be1739a9840ef6fece6837a7ddfbdf7edc
+RIPEMD160(wireshark-2.2.8.tar.bz2)=58b46222b2a5cea2923c82f4eff95ad04b702f1a
+SHA1(wireshark-2.2.8.tar.bz2)=605d4323e9ac0122eca47a5c17ec14daf34b1ea1
+MD5(wireshark-2.2.8.tar.bz2)=bb81d0ecf3a8ed46bedfaeae6fd318a8
+
+Wireshark-win32-2.2.8.exe: 44569240 bytes
+SHA256(Wireshark-win32-2.2.8.exe)=7bfd50b9bbeeba6cc55c8f660e9e44c643791ee306227584299b560843f1564c
+RIPEMD160(Wireshark-win32-2.2.8.exe)=5862ef866c657cedca6ee587a9e87387fd1bac8f
+SHA1(Wireshark-win32-2.2.8.exe)=6c86be620ef189b5f1637b2c9f6bd576fee9894f

commit obs-service-tar_scm for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package obs-service-tar_scm for 
openSUSE:Factory checked in at 2017-07-21 22:48:47

Comparing /work/SRC/openSUSE:Factory/obs-service-tar_scm (Old)
 and  /work/SRC/openSUSE:Factory/.obs-service-tar_scm.new (New)


Package is "obs-service-tar_scm"

Fri Jul 21 22:48:47 2017 rev:44 rq:511358 version:0.8.0.1499787575.2419460

Changes:

--- /work/SRC/openSUSE:Factory/obs-service-tar_scm/obs-service-tar_scm.changes  
2017-06-27 10:21:44.423225941 +0200
+++ 
/work/SRC/openSUSE:Factory/.obs-service-tar_scm.new/obs-service-tar_scm.changes 
2017-07-21 22:48:48.245765548 +0200
@@ -1,0 +2,37 @@
+Wed Jul 12 05:58:08 UTC 2017 - opensuse-packag...@opensuse.org
+
+- Update to version 0.8.0.1499787575.2419460:
+  * [test] refactor of fake classes
+  * [bugfix] fix UnboundLocalError: local variable 'parent_tag'
+
+---
+Tue Jul 11 15:59:10 UTC 2017 - opensuse-packag...@opensuse.org
+
+- Update to version 0.8.0.1499787575.2419460:
+  * [dist] changed to %py_compile in spec file
+  * [bugfix] fixes issue #173
+  * [bugfix] Decoupled self.scm from class name in TarSCM/scm/*
+  * [lint] make tests/unittestcases.py flake8 ready
+  * [lint] more fixes for pylint readiness
+  * [lint] refactor unittestcases.py
+  * [test] increase cov for TarSCM.archive from 61% to 92%
+  * [doc] added comment to --use-obs-scm
+  * [test] refactor of fake classes
+  * [bugfix] fix UnboundLocalError: local variable 'parent_tag'
+
+---
+Sun Jul  9 11:08:37 UTC 2017 - adr...@suse.de
+
+- hotfix runtime of obs_scm
+
+---
+Sat Jul 01 09:44:17 UTC 2017 - opensuse-packag...@opensuse.org
+
+- Update to version 0.8.0.1498846582.8799787:
+  * fix for gh issue #169
+  * new version placeholder for empty version string
+  * fix for bzr locale problem in testsuite
+  * pylint and flake8 in testsuite for better code quality
+  * code cleanup to be more pylint and flake8 compatible
+
+---

Old:

  obs-service-tar_scm-0.7.0.1497870887.fa1750b.tar.gz

New:

  obs-service-tar_scm-0.8.0.1499787575.2419460.tar.gz



Other differences:
--
++ obs-service-tar_scm.spec ++
--- /var/tmp/diff_new_pack.DbYdkg/_old  2017-07-21 22:48:48.985661177 +0200
+++ /var/tmp/diff_new_pack.DbYdkg/_new  2017-07-21 22:48:48.989660612 +0200
@@ -19,8 +19,8 @@
 %bcond_without obs_scm_testsuite
 
 Name:   obs-service-tar_scm
-%define version_unconverted 0.7.0.1497870887.fa1750b
-Version:0.7.0.1497870887.fa1750b
+%define version_unconverted 0.8.0.1499787575.2419460
+Version:0.8.0.1499787575.2419460
 Release:0
 Summary:An OBS source service: create tar ball from svn/git/hg
 License:GPL-2.0+
@@ -135,12 +135,14 @@
 %setup -q -n obs-service-tar_scm-%version
 
 %build
+%py_compile %{buildroot}
 
 %install
 make install DESTDIR="%{buildroot}" PREFIX="%{_prefix}" SYSCFG="%{_sysconfdir}"
 
 %if %{with obs_scm_testsuite}
 %if 0%{?suse_version} >= 1220
+
 %check
 # No need to run PEP8 tests here; that would require a potentially
 # brittle BuildRequires: python-pep8, and any style issues are already

++ _service ++
--- /var/tmp/diff_new_pack.DbYdkg/_old  2017-07-21 22:48:49.069649328 +0200
+++ /var/tmp/diff_new_pack.DbYdkg/_new  2017-07-21 22:48:49.073648764 +0200
@@ -4,7 +4,7 @@
 git
 .git
 git-master
-0.7.0.%ct.%h
+0.8.0.%ct.%h
 enable
 dist/obs-service-tar_scm.spec
   

++ _servicedata ++
--- /var/tmp/diff_new_pack.DbYdkg/_old  2017-07-21 22:48:49.097645379 +0200
+++ /var/tmp/diff_new_pack.DbYdkg/_new  2017-07-21 22:48:49.097645379 +0200
@@ -5,4 +5,4 @@
 git://github.com/M0ses/obs-service-tar_scm.git
   b742dfc0e12755cf306a95439494b5bdde7c0c61
 git://github.com/openSUSE/obs-service-tar_scm.git
-  fa1750b7f620aee1f85304514daf712f18bb035b
\ No newline at end of file
+  af556cadb955aa9872293ea8d738d60f065e592c
\ No newline at end of file

++ obs-service-tar_scm-0.7.0.1497870887.fa1750b.tar.gz -> 
obs-service-tar_scm-0.8.0.1499787575.2419460.tar.gz ++
 3429 lines of diff (skipped)




commit python-tzlocal for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-tzlocal for openSUSE:Factory 
checked in at 2017-07-21 22:48:29

Comparing /work/SRC/openSUSE:Factory/python-tzlocal (Old)
 and  /work/SRC/openSUSE:Factory/.python-tzlocal.new (New)


Package is "python-tzlocal"

Fri Jul 21 22:48:29 2017 rev:3 rq:511254 version:1.1.3

Changes:

--- /work/SRC/openSUSE:Factory/python-tzlocal/python-tzlocal.changes
2015-10-01 09:28:57.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-tzlocal.new/python-tzlocal.changes   
2017-07-21 22:48:34.955640287 +0200
@@ -1,0 +2,5 @@
+Tue Jul 11 16:22:34 UTC 2017 - rjsch...@suse.com
+
+- Convert to singlespec build
+
+---



Other differences:
--
++ python-tzlocal.spec ++
--- /var/tmp/diff_new_pack.UcJCWd/_old  2017-07-21 22:48:36.223461445 +0200
+++ /var/tmp/diff_new_pack.UcJCWd/_new  2017-07-21 22:48:36.227460880 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-tzlocal
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,6 +16,7 @@
 #
 
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define modname tzlocal
 Name:   python-%{modname}
 Version:1.1.3
@@ -25,14 +26,16 @@
 Group:  Development/Libraries/Python
 Url:https://github.com/regebro/%{modname}
 Source: 
http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
+BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module pytz}
+BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
-BuildRequires:  python-pytz
-BuildRequires:  python-setuptools
+BuildRequires:  python-rpm-macros
 Requires:   python-pytz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%if 0%{?suse_version} && 0%{?suse_version} > 1110
 BuildArch:  noarch
-%endif
+
+%python_subpackages
 
 %description
 This Python module returns a tzinfo object with the local timezone information
@@ -54,16 +57,16 @@
 %setup -q -n %{modname}-%{version}
 
 %build
-python setup.py build
+%python_build
 
 %install
-python setup.py install --prefix=%{_prefix} --root=%{buildroot}
+%python_install
 %fdupes -s %{buildroot}
 
 %check
 python setup.py test
 
-%files
+%files %{python_files}
 %defattr(-,root,root)
 %doc README.rst MANIFEST.in LICENSE.txt CHANGES.txt PKG-INFO
 %{python_sitelib}/%{modname}




commit ghc-psqueues for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package ghc-psqueues for openSUSE:Factory 
checked in at 2017-07-21 22:48:35

Comparing /work/SRC/openSUSE:Factory/ghc-psqueues (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-psqueues.new (New)


Package is "ghc-psqueues"

Fri Jul 21 22:48:35 2017 rev:7 rq:511313 version:0.2.3.0

Changes:

--- /work/SRC/openSUSE:Factory/ghc-psqueues/ghc-psqueues.changes
2017-01-12 15:51:52.537064187 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-psqueues.new/ghc-psqueues.changes   
2017-07-21 22:48:39.159047344 +0200
@@ -1,0 +2,5 @@
+Tue Jul 11 03:02:31 UTC 2017 - psim...@suse.com
+
+- Update to version 0.2.3.0.
+
+---

Old:

  psqueues-0.2.2.3.tar.gz

New:

  psqueues-0.2.3.0.tar.gz



Other differences:
--
++ ghc-psqueues.spec ++
--- /var/tmp/diff_new_pack.pv7Ows/_old  2017-07-21 22:48:39.694971744 +0200
+++ /var/tmp/diff_new_pack.pv7Ows/_new  2017-07-21 22:48:39.698971180 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package ghc-psqueues
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,7 +19,7 @@
 %global pkg_name psqueues
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.2.2.3
+Version:0.2.3.0
 Release:0
 Summary:Pure priority search queues
 License:BSD-3-Clause

++ psqueues-0.2.2.3.tar.gz -> psqueues-0.2.3.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/psqueues-0.2.2.3/CHANGELOG 
new/psqueues-0.2.3.0/CHANGELOG
--- old/psqueues-0.2.2.3/CHANGELOG  2016-11-28 11:35:46.0 +0100
+++ new/psqueues-0.2.3.0/CHANGELOG  2017-07-03 13:10:35.0 +0200
@@ -1,3 +1,9 @@
+- 0.2.3.0
+* Add an `atMostView` function to all PSQ flavours
+* Bump HUnit dependency to 1.6
+* Bump QuickCheck dependency to 2.10
+* Clean up warnings on newer and older GHC versions
+
 - 0.2.2.3
 * Bump HUnit dependency to 1.5
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/psqueues-0.2.2.3/psqueues.cabal 
new/psqueues-0.2.3.0/psqueues.cabal
--- old/psqueues-0.2.2.3/psqueues.cabal 2016-11-28 11:35:46.0 +0100
+++ new/psqueues-0.2.3.0/psqueues.cabal 2017-07-03 13:10:35.0 +0200
@@ -1,5 +1,5 @@
 Name:  psqueues
-Version:   0.2.2.3
+Version:   0.2.3.0
 License:   BSD3
 License-file:  LICENSE
 Maintainer:Jasper Van der Jeugt 
@@ -85,17 +85,23 @@
 Type:   exitcode-stdio-1.0
 Hs-source-dirs: src benchmarks
 Main-is:Main.hs
+Ghc-options:-Wall
 
 Other-modules:
 BenchmarkTypes
+Data.BitUtil
 Data.FingerTree.PSQueue.Benchmark
+Data.HashPSQ
 Data.HashPSQ.Benchmark
+Data.HashPSQ.Internal
+Data.IntPSQ
 Data.IntPSQ.Benchmark
+Data.IntPSQ.Internal
+Data.OrdPSQ
 Data.OrdPSQ.Benchmark
+Data.OrdPSQ.Internal
 Data.PSQueue.Benchmark
 
-Ghc-options:-Wall
-
 Build-depends:
   containers   >= 0.5
 , unordered-containers >= 0.2.4
@@ -119,17 +125,24 @@
 Type:   exitcode-stdio-1.0
 
 Other-modules:
+Data.BitUtil
+Data.HashPSQ
+Data.HashPSQ.Internal
+Data.HashPSQ.Tests
+Data.IntPSQ
+Data.IntPSQ.Internal
+Data.IntPSQ.Tests
+Data.OrdPSQ
+Data.OrdPSQ.Internal
+Data.OrdPSQ.Tests
 Data.PSQ.Class
 Data.PSQ.Class.Gen
 Data.PSQ.Class.Tests
 Data.PSQ.Class.Util
-Data.HashPSQ.Tests
-Data.IntPSQ.Tests
-Data.OrdPSQ.Tests
 
 Build-depends:
-  HUnit  >= 1.2 && < 1.6
-, QuickCheck >= 2.7 && < 2.10
+  HUnit  >= 1.2 && < 1.7
+, QuickCheck >= 2.7 && < 2.11
 , test-framework >= 0.8 && < 0.9
 , test-framework-hunit   >= 0.3 && < 0.4
 , test-framework-quickcheck2 >= 0.3 && < 0.4
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/psqueues-0.2.2.3/src/Data/HashPSQ/Internal.hs 
new/psqueues-0.2.3.0/src/Data/HashPSQ/Internal.hs
--- old/psqueues-0.2.2.3/src/Data/HashPSQ/Internal.hs   2016-11-28 
11:35:46.0 +0100
+++ new/psqueues-0.2.3.0/src/Data/HashPSQ/Internal.hs   2017-07-03 
13:10:35.0 +0200
@@ -39,6 +39,7 @@
 , 

commit putty for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package putty for openSUSE:Factory checked 
in at 2017-07-21 22:48:44

Comparing /work/SRC/openSUSE:Factory/putty (Old)
 and  /work/SRC/openSUSE:Factory/.putty.new (New)


Package is "putty"

Fri Jul 21 22:48:44 2017 rev:15 rq:511334 version:0.70

Changes:

--- /work/SRC/openSUSE:Factory/putty/putty.changes  2017-05-20 
10:12:38.688517240 +0200
+++ /work/SRC/openSUSE:Factory/.putty.new/putty.changes 2017-07-21 
22:48:46.709982189 +0200
@@ -1,0 +2,7 @@
+Tue Jul 11 22:22:08 UTC 2017 - jeng...@inai.de
+
+- Update to new upstream release 0.70
+  * Update Unicode data to version 9
+- Remove gtk-buildfix.diff (merged upstream)
+
+---

Old:

  gtk-buildfix.diff
  putty-0.69.tar.gz
  putty-0.69.tar.gz.gpg

New:

  putty-0.70.tar.gz
  putty-0.70.tar.gz.gpg



Other differences:
--
++ putty.spec ++
--- /var/tmp/diff_new_pack.EVRQ44/_old  2017-07-21 22:48:47.285900948 +0200
+++ /var/tmp/diff_new_pack.EVRQ44/_new  2017-07-21 22:48:47.293899820 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   putty
-Version:0.69
+Version:0.70
 Release:0
 Summary:GTK-based terminal emulator program
 License:MIT
@@ -30,7 +30,6 @@
 Source2:
http://the.earth.li/~sgtatham/putty/latest/%name-%version.tar.gz.gpg
 Source4:%name.keyring
 Patch1: putty-03-config.diff
-Patch2: gtk-buildfix.diff
 Patch3: reproducible.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  ImageMagick
@@ -46,7 +45,7 @@
 
 %prep
 %setup -q
-%patch -P 1 -P 2 -P 3 -p1
+%patch -P 1 -P 3 -p1
 
 %build
 %configure

++ putty-0.69.tar.gz -> putty-0.70.tar.gz ++
 5739 lines of diff (skipped)




commit ghc-tls-session-manager for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package ghc-tls-session-manager for 
openSUSE:Factory checked in at 2017-07-21 22:48:22

Comparing /work/SRC/openSUSE:Factory/ghc-tls-session-manager (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-tls-session-manager.new (New)


Package is "ghc-tls-session-manager"

Fri Jul 21 22:48:22 2017 rev:1 rq:511251 version:0.0.0.0

Changes:

New Changes file:

--- /dev/null   2017-07-20 07:30:00.335470106 +0200
+++ 
/work/SRC/openSUSE:Factory/.ghc-tls-session-manager.new/ghc-tls-session-manager.changes
 2017-07-21 22:48:28.564541832 +0200
@@ -0,0 +1,5 @@
+---
+Tue Jul 11 03:02:34 UTC 2017 - psim...@suse.com
+
+- Update to version 0.0.0.0.
+

New:

  ghc-tls-session-manager.changes
  ghc-tls-session-manager.spec
  tls-session-manager-0.0.0.0.tar.gz



Other differences:
--
++ ghc-tls-session-manager.spec ++
#
# spec file for package ghc-tls-session-manager
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name tls-session-manager
Name:   ghc-%{pkg_name}
Version:0.0.0.0
Release:0
Summary:In-memory TLS session manager
License:BSD-3-Clause
Group:  Development/Languages/Other
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-auto-update-devel
BuildRequires:  ghc-clock-devel
BuildRequires:  ghc-psqueues-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-tls-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
TLS session manager with limitation, automatic pruning, energy saving and
replay resistance.

%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   %{name} = %{version}-%{release}
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md

%changelog



commit ghc-warp for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package ghc-warp for openSUSE:Factory 
checked in at 2017-07-21 22:48:09

Comparing /work/SRC/openSUSE:Factory/ghc-warp (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-warp.new (New)


Package is "ghc-warp"

Fri Jul 21 22:48:09 2017 rev:14 rq:511245 version:3.2.13

Changes:

--- /work/SRC/openSUSE:Factory/ghc-warp/ghc-warp.changes2017-06-04 
01:59:16.604881851 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-warp.new/ghc-warp.changes   2017-07-21 
22:48:12.590795131 +0200
@@ -1,0 +2,5 @@
+Tue Jul 11 03:02:29 UTC 2017 - psim...@suse.com
+
+- Update to version 3.2.13.
+
+---

Old:

  warp-3.2.12.tar.gz

New:

  warp-3.2.13.tar.gz



Other differences:
--
++ ghc-warp.spec ++
--- /var/tmp/diff_new_pack.DgjXs2/_old  2017-07-21 22:48:15.198427291 +0200
+++ /var/tmp/diff_new_pack.DgjXs2/_new  2017-07-21 22:48:15.202426727 +0200
@@ -19,7 +19,7 @@
 %global pkg_name warp
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:3.2.12
+Version:3.2.13
 Release:0
 Summary:A fast, light-weight web server for WAI applications
 License:MIT

++ warp-3.2.12.tar.gz -> warp-3.2.13.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/warp-3.2.12/ChangeLog.md new/warp-3.2.13/ChangeLog.md
--- old/warp-3.2.12/ChangeLog.md2017-05-11 05:41:59.0 +0200
+++ new/warp-3.2.13/ChangeLog.md2017-07-04 05:05:58.0 +0200
@@ -1,3 +1,9 @@
+## 3.2.13
+
+* Tickling HTTP/2 timer. [624](https://github.com/yesodweb/wai/pull/624)
+* Guarantee atomicity of WINDOW_UPDATE increments 
[622](https://github.com/yesodweb/wai/pull/622)
+* Relax HTTP2 headers check [621](https://github.com/yesodweb/wai/pull/621)
+
 ## 3.2.12
 
 * If an empty string is set by setServerName, the Server header is not 
included in response headers [#619](https://github.com/yesodweb/wai/issues/619)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/warp-3.2.12/Network/Wai/Handler/Warp/File.hs 
new/warp-3.2.13/Network/Wai/Handler/Warp/File.hs
--- old/warp-3.2.12/Network/Wai/Handler/Warp/File.hs2017-05-11 
05:41:59.0 +0200
+++ new/warp-3.2.13/Network/Wai/Handler/Warp/File.hs2017-07-04 
05:05:58.0 +0200
@@ -6,13 +6,12 @@
 RspFileInfo(..)
   , conditionalRequest
   , addContentHeadersForFilePart
-  , parseByteRanges
+  , H.parseByteRanges
   ) where
 
 import Control.Applicative ((<|>))
 import Data.Array ((!))
-import qualified Data.ByteString as B hiding (pack)
-import qualified Data.ByteString.Char8 as B (pack, readInteger)
+import qualified Data.ByteString.Char8 as B (pack)
 import Data.ByteString (ByteString)
 import Data.Maybe (fromMaybe)
 import Network.HTTP.Date
@@ -24,10 +23,6 @@
 import Network.Wai.Handler.Warp.PackInt
 import Numeric (showInt)
 
-#ifndef MIN_VERSION_http_types
-#define MIN_VERSION_http_types(x,y,z) 1
-#endif
-
 -- $setup
 -- >>> import Test.QuickCheck
 
@@ -99,7 +94,7 @@
 
 
 parseRange :: ByteString -> Integer -> RspFileInfo
-parseRange rng size = case parseByteRanges rng of
+parseRange rng size = case H.parseByteRanges rng of
 Nothing-> WithoutBody H.requestedRangeNotSatisfiable416
 Just []-> WithoutBody H.requestedRangeNotSatisfiable416
 Just (r:_) -> let (!beg, !end) = checkRange r size
@@ -115,46 +110,12 @@
 checkRange (H.ByteRangeFromTo beg end) size = (beg,  min (size - 1) end)
 checkRange (H.ByteRangeSuffix count)   size = (max 0 (size - count), size - 1)
 
--- | Parse the value of a Range header into a 'H.ByteRanges'.
-parseByteRanges :: B.ByteString -> Maybe H.ByteRanges
-parseByteRanges bs1 = do
-bs2 <- stripPrefix "bytes=" bs1
-(r, bs3) <- range bs2
-ranges (r:) bs3
-  where
-range bs2 = do
-(i, bs3) <- B.readInteger bs2
-if i < 0 -- has prefix "-" ("-0" is not valid, but here treated as 
"0-")
-then Just (H.ByteRangeSuffix (negate i), bs3)
-else do
-bs4 <- stripPrefix "-" bs3
-case B.readInteger bs4 of
-Just (j, bs5) | j >= i -> Just (H.ByteRangeFromTo i j, bs5)
-_ -> Just (H.ByteRangeFrom i, bs4)
-ranges front bs3
-| B.null bs3 = Just (front [])
-| otherwise = do
-bs4 <- stripPrefix "," bs3
-(r, bs5) <- range bs4
-ranges (front . (r:)) bs5
-
-stripPrefix x y
-| x `B.isPrefixOf` y = Just (B.drop (B.length x) y)
-| otherwise = Nothing
-
 

commit ghc-warp-tls for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package ghc-warp-tls for openSUSE:Factory 
checked in at 2017-07-21 22:48:16

Comparing /work/SRC/openSUSE:Factory/ghc-warp-tls (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-warp-tls.new (New)


Package is "ghc-warp-tls"

Fri Jul 21 22:48:16 2017 rev:5 rq:511248 version:3.2.4

Changes:

--- /work/SRC/openSUSE:Factory/ghc-warp-tls/ghc-warp-tls.changes
2017-02-22 13:53:41.354995817 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-warp-tls.new/ghc-warp-tls.changes   
2017-07-21 22:48:19.921761005 +0200
@@ -1,0 +2,5 @@
+Tue Jul 11 03:02:25 UTC 2017 - psim...@suse.com
+
+- Update to version 3.2.4.
+
+---

Old:

  warp-tls-3.2.3.tar.gz

New:

  warp-tls-3.2.4.tar.gz



Other differences:
--
++ ghc-warp-tls.spec ++
--- /var/tmp/diff_new_pack.6WtT5W/_old  2017-07-21 22:48:22.161445070 +0200
+++ /var/tmp/diff_new_pack.6WtT5W/_new  2017-07-21 22:48:22.161445070 +0200
@@ -18,7 +18,7 @@
 
 %global pkg_name warp-tls
 Name:   ghc-%{pkg_name}
-Version:3.2.3
+Version:3.2.4
 Release:0
 Summary:HTTP over TLS support for Warp via the TLS package
 License:MIT
@@ -33,6 +33,7 @@
 BuildRequires:  ghc-rpm-macros
 BuildRequires:  ghc-streaming-commons-devel
 BuildRequires:  ghc-tls-devel
+BuildRequires:  ghc-tls-session-manager-devel
 BuildRequires:  ghc-wai-devel
 BuildRequires:  ghc-warp-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ warp-tls-3.2.3.tar.gz -> warp-tls-3.2.4.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/warp-tls-3.2.3/Network/Wai/Handler/WarpTLS.hs 
new/warp-tls-3.2.4/Network/Wai/Handler/WarpTLS.hs
--- old/warp-tls-3.2.3/Network/Wai/Handler/WarpTLS.hs   2017-01-27 
04:25:50.0 +0100
+++ new/warp-tls-3.2.4/Network/Wai/Handler/WarpTLS.hs   2017-07-04 
04:48:27.0 +0200
@@ -31,6 +31,7 @@
 , tlsWantClientCert
 , tlsServerHooks
 , tlsServerDHEParams
+, tlsSessionManagerConfig
 , onInsecure
 , OnInsecure (..)
 -- * Runner
@@ -60,6 +61,7 @@
 import qualified Network.TLS as TLS
 import qualified Crypto.PubKey.DH as DH
 import qualified Network.TLS.Extra as TLSExtra
+import qualified Network.TLS.SessionManager as SM
 import Network.Wai (Application)
 import Network.Wai.Handler.Warp
 import Network.Wai.Handler.Warp.Internal
@@ -102,7 +104,7 @@
 -- ^ The TLS ciphers this server accepts.
 --
 -- >>> tlsCiphers defaultTlsSettings
--- 
[ECDHE-RSA-AES128GCM-SHA256,DHE-RSA-AES128GCM-SHA256,DHE-RSA-AES256-SHA256,DHE-RSA-AES128-SHA256,DHE-RSA-AES256-SHA1,DHE-RSA-AES128-SHA1,DHE-DSA-AES128-SHA1,DHE-DSA-AES256-SHA1,RSA-aes128-sha1,RSA-aes256-sha1]
+-- 
[ECDHE-ECDSA-AES256GCM-SHA384,ECDHE-ECDSA-AES128GCM-SHA256,ECDHE-RSA-AES256GCM-SHA384,ECDHE-RSA-AES128GCM-SHA256,DHE-RSA-AES256GCM-SHA384,DHE-RSA-AES128GCM-SHA256,ECDHE-ECDSA-AES256CBC-SHA384,ECDHE-RSA-AES256CBC-SHA384,DHE-RSA-AES256-SHA256,ECDHE-ECDSA-AES256CBC-SHA,ECDHE-RSA-AES256CBC-SHA,DHE-RSA-AES256-SHA1,RSA-AES256GCM-SHA384,RSA-AES256-SHA256,RSA-AES256-SHA1]
 --
 -- Since 1.4.2
   , tlsWantClientCert :: Bool
@@ -129,6 +131,15 @@
 -- Default: Nothing
 --
 -- Since 3.2.2
+  , tlsSessionManagerConfig :: Maybe SM.Config
+-- ^ Configuration for in-memory TLS session manager.
+-- If Nothing, 'TLS.noSessionManager' is used.
+-- Otherwise, an in-memory TLS session manager is created
+-- according to 'Config'.
+--
+-- Default: Nothing
+--
+-- Since 3.2.4
   }
 
 -- | Default 'TLSSettings'. Use this to create 'TLSSettings' with the field 
record name (aka accessors).
@@ -147,24 +158,12 @@
   , tlsWantClientCert = False
   , tlsServerHooks = def
   , tlsServerDHEParams = Nothing
+  , tlsSessionManagerConfig = Nothing
   }
 
 -- taken from stunnel example in tls-extra
 ciphers :: [TLS.Cipher]
-ciphers =
-[ TLSExtra.cipher_ECDHE_RSA_AES128GCM_SHA256
-, TLSExtra.cipher_ECDHE_RSA_AES128CBC_SHA256
-, TLSExtra.cipher_ECDHE_RSA_AES128CBC_SHA
-, TLSExtra.cipher_DHE_RSA_AES128GCM_SHA256
-, TLSExtra.cipher_DHE_RSA_AES256_SHA256
-, TLSExtra.cipher_DHE_RSA_AES128_SHA256
-, TLSExtra.cipher_DHE_RSA_AES256_SHA1
-, TLSExtra.cipher_DHE_RSA_AES128_SHA1
-, TLSExtra.cipher_DHE_DSS_AES128_SHA1
-, TLSExtra.cipher_DHE_DSS_AES256_SHA1
-, TLSExtra.cipher_AES128_SHA1
-, TLSExtra.cipher_AES256_SHA1
-]
+ciphers = TLSExtra.ciphersuite_strong
 
 
 
@@ -252,10 +251,13 @@
 key <- maybe (S.readFile keyFile) return mkey
 either error return $
   

commit qtcurve-kde4 for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package qtcurve-kde4 for openSUSE:Factory 
checked in at 2017-07-21 22:48:04

Comparing /work/SRC/openSUSE:Factory/qtcurve-kde4 (Old)
 and  /work/SRC/openSUSE:Factory/.qtcurve-kde4.new (New)


Package is "qtcurve-kde4"

Fri Jul 21 22:48:04 2017 rev:75 rq:511211 version:1.9.0

Changes:

--- /work/SRC/openSUSE:Factory/qtcurve-kde4/qtcurve-kde4.changes
2017-06-04 02:00:54.787019072 +0200
+++ /work/SRC/openSUSE:Factory/.qtcurve-kde4.new/qtcurve-kde4.changes   
2017-07-21 22:48:09.203272983 +0200
@@ -1,0 +2,9 @@
+Mon Jul 17 13:51:14 UTC 2017 - i...@ilya.pp.ua
+
+- Add baselibs.conf for providing packages:
+  * libqtcurve-utils2-32bit
+  * libqtcurve-cairo1-32bit
+  * qtcurve-kde4-32bit
+  * qtcurve-gtk2-32bit
+
+---

New:

  baselibs.conf



Other differences:
--
++ qtcurve-kde4.spec ++
--- /var/tmp/diff_new_pack.hpQCwK/_old  2017-07-21 22:48:09.847182152 +0200
+++ /var/tmp/diff_new_pack.hpQCwK/_new  2017-07-21 22:48:09.851181588 +0200
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org
 #
 
 
@@ -24,7 +24,8 @@
 License:LGPL-2.1+
 Group:  System/GUI/KDE
 Url:https://github.com/KDE/qtcurve
-Source: qtcurve-%{version}.tar.gz
+Source0:qtcurve-%{version}.tar.gz
+Source1:baselibs.conf
 BuildRequires:  cmake >= 2.8.12
 BuildRequires:  extra-cmake-modules
 BuildRequires:  frameworkintegration-devel
@@ -49,7 +50,6 @@
 BuildRequires:  pkgconfig(x11-xcb)
 BuildRequires:  pkgconfig(xcb)
 Requires:   libqtcurve-utils2 = %{version}
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %kde4_runtime_requires
 
 %description
@@ -92,7 +92,7 @@
 of widget styles available for Qt and GTK+.
 
 %prep
-%setup -q -n qtcurve-%{version}
+%setup -qn qtcurve-%{version}
 
 %build
  %cmake_kde4 -d build -- -DENABLE_QT5=ON -DQTC_QT5_ENABLE_KDE=ON

++ baselibs.conf ++
libqtcurve-utils2
libqtcurve-cairo1
qtcurve-kde4
qtcurve-gtk2



commit tboot for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package tboot for openSUSE:Factory checked 
in at 2017-07-21 22:47:59

Comparing /work/SRC/openSUSE:Factory/tboot (Old)
 and  /work/SRC/openSUSE:Factory/.tboot.new (New)


Package is "tboot"

Fri Jul 21 22:47:59 2017 rev:27 rq:511178 version:20170711_1.9.6

Changes:

--- /work/SRC/openSUSE:Factory/tboot/tboot.changes  2017-06-05 
18:50:33.439397827 +0200
+++ /work/SRC/openSUSE:Factory/.tboot.new/tboot.changes 2017-07-21 
22:48:03.468082005 +0200
@@ -1,0 +2,24 @@
+Tue Jul 18 11:10:29 UTC 2017 - matthias.gerst...@suse.com
+
+update to new upstream version 1.9.6:
+
+- removed following patches, because they're now included upstream:
+   * reproducible.patch
+   * tboot-grub2-suse.patch
+   * tboot-gcc7.patch
+
+- Changes in this version:
+   * GCC7 fix, adds generic FALLTHROUGH notations to avoid warnings 
appearing on GCC7
+* Ensure Tboot never overwrites modules in the process of moving them.
+* Add support to x2APIC, which uses 32 bit APIC ID.
+* Fix S3 secrets sealing/unsealing failures
+* Support OpenSSL 1.1.0+ for ECDSA signature verification.
+* Support OpenSSL 1.1.0+ for RSA key manipulation.
+* Adds additional checks to prevent the kernel image from being 
overwritten.
+* Added TCG TPM event log support.
+* Pass through the EFI memory map that's provided by grub2.
+* Fix a null pointer dereference bug when Intel TXT is disabled in 
BIOS.
+* Adjust KERNEL_CMDLINE_OFFSET from 0x9000 to 0x8D00.
+* Bounds checking on the kernel_cmdline string.
+
+---

Old:

  reproducible.patch
  tboot-1.9.5.tar.gz
  tboot-gcc7.patch
  tboot-grub2-suse.patch

New:

  tboot-1.9.6.tar.gz



Other differences:
--
++ tboot.spec ++
--- /var/tmp/diff_new_pack.zXXjal/_old  2017-07-21 22:48:04.975869313 +0200
+++ /var/tmp/diff_new_pack.zXXjal/_new  2017-07-21 22:48:04.979868749 +0200
@@ -17,20 +17,17 @@
 
 
 Name:   tboot
-%define ver 1.9.5
-Version:20160518_1.9.4
+%define ver 1.9.6
+Version:20170711_1.9.6
 Release:0
 Summary:Performs a verified launch using Intel(R) TXT
 License:BSD-3-Clause
 Group:  Productivity/Security
 Url:http://sourceforge.net/projects/tboot/
 Source0:
http://downloads.sourceforge.net/project/tboot/tboot/tboot-%{ver}.tar.gz
-Patch1: tboot-grub2-suse.patch
 Patch3: tboot-grub2-fix-menu-in-xen-host-server.patch
 Patch4: tboot-grub2-fix-xen-submenu-name.patch
 # PATCH-FIX-UPSTREAM -- https://sourceforge.net/p/tboot/code/merge-requests/1/
-Patch5: reproducible.patch
-Patch6: tboot-gcc7.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  openssl-devel
 BuildRequires:  trousers-devel
@@ -43,11 +40,8 @@
 
 %prep
 %setup -q -n %name-%ver
-%patch1 -p1
 %patch3 -p1
 %patch4 -p1
-%patch5 -p1
-%patch6 -p1
 
 %build
 export CFLAGS="%{optflags}"

++ tboot-1.9.5.tar.gz -> tboot-1.9.6.tar.gz ++
 3130 lines of diff (skipped)

++ tboot-grub2-fix-menu-in-xen-host-server.patch ++
--- /var/tmp/diff_new_pack.zXXjal/_old  2017-07-21 22:48:05.203837155 +0200
+++ /var/tmp/diff_new_pack.zXXjal/_new  2017-07-21 22:48:05.203837155 +0200
@@ -23,10 +23,10 @@
 References: bnc#865815
 Porting to tboot in order to fix duplicated xen entries
 
-Index: tboot-1.9.4/tboot/20_linux_tboot
+Index: tboot-1.9.6/tboot/20_linux_tboot
 ===
 tboot-1.9.4.orig/tboot/20_linux_tboot
-+++ tboot-1.9.4/tboot/20_linux_tboot
+--- tboot-1.9.6.orig/tboot/20_linux_tboot
 tboot-1.9.6/tboot/20_linux_tboot
 @@ -225,6 +225,49 @@ while [ "x${tboot_list}" != "x" ] && [ "
break
fi
@@ -77,10 +77,10 @@
if test -n "${initrd}" ; then
echo "Found initrd image: ${dirname}/${initrd}" >&2
else
-Index: tboot-1.9.4/tboot/20_linux_xen_tboot
+Index: tboot-1.9.6/tboot/20_linux_xen_tboot
 ===
 tboot-1.9.4.orig/tboot/20_linux_xen_tboot
-+++ tboot-1.9.4/tboot/20_linux_xen_tboot
+--- tboot-1.9.6.orig/tboot/20_linux_xen_tboot
 tboot-1.9.6/tboot/20_linux_xen_tboot
 @@ -52,6 +52,12 @@ fi
  export TEXTDOMAIN=grub
  export TEXTDOMAINDIR=${prefix}/share/locale

++ tboot-grub2-fix-xen-submenu-name.patch ++
--- /var/tmp/diff_new_pack.zXXjal/_old  2017-07-21 22:48:05.211836027 +0200
+++ /var/tmp/diff_new_pack.zXXjal/_new  2017-07-21 22:48:05.211836027 +0200
@@ -4,13 +4,13 @@
 References: bnc#865815
 Patch-Mainline: no
 
-Index: 

commit perl-Term-ProgressBar for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Term-ProgressBar for 
openSUSE:Factory checked in at 2017-07-21 22:47:44

Comparing /work/SRC/openSUSE:Factory/perl-Term-ProgressBar (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Term-ProgressBar.new (New)


Package is "perl-Term-ProgressBar"

Fri Jul 21 22:47:44 2017 rev:8 rq:509656 version:2.20

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Term-ProgressBar/perl-Term-ProgressBar.changes  
2016-12-10 18:28:50.164744332 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-Term-ProgressBar.new/perl-Term-ProgressBar.changes
 2017-07-21 22:47:50.917852374 +0200
@@ -1,0 +2,18 @@
+Wed Jul 12 06:13:35 UTC 2017 - co...@suse.com
+
+- updated to 2.20
+   see /usr/share/doc/packages/perl-Term-ProgressBar/Changes
+
+  2.20  2017-07-11 MANWAR
+- silent mode avoids uninitialized value messages (GFIREBALL)
+
+---
+Tue Jul 11 06:26:04 UTC 2017 - co...@suse.com
+
+- updated to 2.19
+   see /usr/share/doc/packages/perl-Term-ProgressBar/Changes
+
+  2.19  2017-07-10 MANWAR
+- Fixed inconsistent version as reported by CPANTS.
+
+---

Old:

  Term-ProgressBar-2.18.tar.gz

New:

  Term-ProgressBar-2.20.tar.gz



Other differences:
--
++ perl-Term-ProgressBar.spec ++
--- /var/tmp/diff_new_pack.cN95DZ/_old  2017-07-21 22:47:51.485772263 +0200
+++ /var/tmp/diff_new_pack.cN95DZ/_new  2017-07-21 22:47:51.489771698 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Term-ProgressBar
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,14 @@
 
 
 Name:   perl-Term-ProgressBar
-Version:2.18
+Version:2.20
 Release:0
 %define cpan_name Term-ProgressBar
 Summary:Provide a Progress Meter On a Standard Terminal
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Term-ProgressBar/
-Source0:
http://www.cpan.org/authors/id/M/MA/MANWAR/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/M/MA/MANWAR/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ Term-ProgressBar-2.18.tar.gz -> Term-ProgressBar-2.20.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Term-ProgressBar-2.18/Changes 
new/Term-ProgressBar-2.20/Changes
--- old/Term-ProgressBar-2.18/Changes   2016-12-06 14:07:40.0 +0100
+++ new/Term-ProgressBar-2.20/Changes   2017-07-10 13:30:15.0 +0200
@@ -1,5 +1,11 @@
 Revision history for Perl extension Term::ProgressBar
 
+2.20  2017-07-11 MANWAR
+  - silent mode avoids uninitialized value messages (GFIREBALL)
+
+2.19  2017-07-10 MANWAR
+  - Fixed inconsistent version as reported by CPANTS.
+
 2.18  2016-12-06 MANWAR
   - Add MANIFEST file.
   - Removed META.yml file.
@@ -104,4 +110,4 @@
 
 1.00  2001-10-30
   - original version
-  - by Edward Avis, 
+  - by Edward Avis, 
\ No newline at end of file
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Term-ProgressBar-2.18/META.json 
new/Term-ProgressBar-2.20/META.json
--- old/Term-ProgressBar-2.18/META.json 2016-12-06 14:10:36.0 +0100
+++ new/Term-ProgressBar-2.20/META.json 2017-07-11 11:41:15.0 +0200
@@ -4,7 +4,7 @@
   "Martyn J. Pearce"
],
"dynamic_config" : 1,
-   "generated_by" : "ExtUtils::MakeMaker version 7.18, CPAN::Meta::Converter 
version 2.150005",
+   "generated_by" : "ExtUtils::MakeMaker version 7.24, CPAN::Meta::Converter 
version 2.150005",
"license" : [
   "perl_5"
],
@@ -50,6 +50,6 @@
  "url" : "https://github.com/manwar/Term-ProgressBar;
   }
},
-   "version" : "2.18",
-   "x_serialization_backend" : "JSON::PP version 2.27300"
+   "version" : "2.20",
+   "x_serialization_backend" : "JSON::PP version 2.27400"
 }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Term-ProgressBar-2.18/META.yml 
new/Term-ProgressBar-2.20/META.yml
--- old/Term-ProgressBar-2.18/META.yml  2016-12-06 14:10:36.0 +0100
+++ new/Term-ProgressBar-2.20/META.yml  2017-07-11 11:41:15.0 +0200
@@ -10,7 +10,7 @@
 configure_requires:
   ExtUtils::MakeMaker: '0'
 dynamic_config: 1
-generated_by: 'ExtUtils::MakeMaker 

commit perl-PDF-API2 for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-PDF-API2 for openSUSE:Factory 
checked in at 2017-07-21 22:47:37

Comparing /work/SRC/openSUSE:Factory/perl-PDF-API2 (Old)
 and  /work/SRC/openSUSE:Factory/.perl-PDF-API2.new (New)


Package is "perl-PDF-API2"

Fri Jul 21 22:47:37 2017 rev:15 rq:509618 version:2.033

Changes:

--- /work/SRC/openSUSE:Factory/perl-PDF-API2/perl-PDF-API2.changes  
2017-02-16 17:03:16.486925827 +0100
+++ /work/SRC/openSUSE:Factory/.perl-PDF-API2.new/perl-PDF-API2.changes 
2017-07-21 22:47:43.838850957 +0200
@@ -1,0 +2,51 @@
+Wed Jul 12 05:55:04 UTC 2017 - co...@suse.com
+
+- updated to 2.033
+   see /usr/share/doc/packages/perl-PDF-API2/Changes
+
+  2.033 2017-07-06
+  
+  - [RT #122371] Remove a couple of improperly-placed weaken statements
+(reported by Phil Perry).
+  
+  - [RT #122372] Fix weakening when a page is added to the end of a 
multiple
+page document (reported by Phil Perry).
+  
+  - Fix Bank Gothic core font (reported by Phil Perry).
+
+---
+Mon Jul  3 06:02:35 UTC 2017 - co...@suse.com
+
+- updated to 2.032
+   see /usr/share/doc/packages/perl-PDF-API2/Changes
+
+  2.032 2017-07-02
+  
+  - PDF::API2 has many circular references, and the end() method
+doesn't clear them all, so memory is leaked.  This release uses
+Scalar::Util's weaken() function to improve garbage collection.
+A significant number of circular references have been weakened,
+though many likely still remain.
+  
+  - [RT #120756] Eliminate a warning for an ambiguous call to
+CORE::open (first reported by Abdelbaki Brahmia).
+  
+  - $text->text_justified() and $text->text_fill_justified() now
+adjust the space between words rather than stretching individual
+characters in order to get the text to fit.
+  
+  - [RT #120397] Indirect references and indirect objects can have
+comments embedded in their whitespace, and their object number
+and generation may be split across multiple lines, which may not
+all be buffered (reported by SPROUT).
+  
+  - [RT #120450] Fix PDF::API2->open($filename)->stringify()
+(reported by SPROUT).
+  
+  - Fix an off-by-one error when calculating text width while
+charspace is non-zero.
+  
+  - [RT #120048] Fix PDF::API2->synfont() (broken in 2.029, fixed by Vadim
+Repin) and add basic testing.
+
+---

Old:

  PDF-API2-2.031.tar.gz

New:

  PDF-API2-2.033.tar.gz



Other differences:
--
++ perl-PDF-API2.spec ++
--- /var/tmp/diff_new_pack.ZAt8lq/_old  2017-07-21 22:47:44.878704273 +0200
+++ /var/tmp/diff_new_pack.ZAt8lq/_new  2017-07-21 22:47:44.882703709 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-PDF-API2
-Version:2.031
+Version:2.033
 Release:0
 %define cpan_name PDF-API2
 Summary:Facilitates the creation and modification of PDF files
@@ -32,6 +32,8 @@
 BuildRequires:  perl-macros
 BuildRequires:  perl(Compress::Zlib) >= 1.0
 BuildRequires:  perl(Font::TTF)
+BuildRequires:  perl(Test::Exception)
+BuildRequires:  perl(Test::Memory::Cycle)
 Requires:   perl(Compress::Zlib) >= 1.0
 Requires:   perl(Font::TTF)
 %{perl_requires}
@@ -56,7 +58,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes contrib PATENTS README
+%doc Changes PATENTS README
 %license LICENSE
 
 %changelog

++ PDF-API2-2.031.tar.gz -> PDF-API2-2.033.tar.gz ++
 3320 lines of diff (skipped)




commit perl-App-CLI for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-App-CLI for openSUSE:Factory 
checked in at 2017-07-21 22:47:33

Comparing /work/SRC/openSUSE:Factory/perl-App-CLI (Old)
 and  /work/SRC/openSUSE:Factory/.perl-App-CLI.new (New)


Package is "perl-App-CLI"

Fri Jul 21 22:47:33 2017 rev:28 rq:509398 version:0.45

Changes:

--- /work/SRC/openSUSE:Factory/perl-App-CLI/perl-App-CLI.changes
2011-11-18 15:46:51.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-App-CLI.new/perl-App-CLI.changes   
2017-07-21 22:47:38.539598485 +0200
@@ -1,0 +2,60 @@
+Sun Jul  2 05:02:53 UTC 2017 - co...@suse.com
+
+- updated to 0.45
+   see /usr/share/doc/packages/perl-App-CLI/Changes
+
+  0.45  Wed Jun 28 23:05:58 CEST 2017
+  
+* use a version number in the original style
+  
+  0.4.5  Wed Jun 28 22:59:33 CEST 2017
+  
+* put VERSION back in main module file
+  
+  0.4.4  Wed 28 Jun 2017 22:52:33 CEST
+  
+* remove 'provides' metadata
+  
+  0.4.3  Wed 28 Jun 2017 22:37:58 CEST
+  
+* put VERSION back into only Makefile.PL
+* updated author information
+  
+  0.4.2  Wed 28 Jun 2017 22:25:29 CEST
+  
+* add VERSION to all .pm files
+  
+  0.4.1  Wed 28 Jun 2017 21:44:06 CEST
+  
+* move version number into Makefile.PL
+  
+  0.4  Wed 28 Jun 2017 21:37:23 CEST
+  
+* version bump; PAUSE thinks that 0.313 is higher than 0.32
+  
+  0.32 Wed 28 Jun 2017 20:30:19 CEST
+  
+* Fix RT#122101: unskip META.yml
+* Fix RT#120982: can't find inc/Module/Install.pm; replaced
+  Module::Install with ExtUtils::MakeMaker
+* Fix RT#63798: fix typo in manpage
+* Fix RT#62241: signature broken (signature has been removed)
+* Fixed more typos in POD
+* Fixed some PerlCritic issues
+* Updated dependencies, specified repository and provides metadata,
+  specified minimum Perl version
+  
+  0.313 Sat 4 Dec 2010 12:55:18 GMT
+  
+* add more tests
+  
+  0.312 Fri 3 Dec 2010 12:06:53 GMT
+  
+* add commands() and files() routines
+  
+  0.311 Fri 3 Dec 2010 05:30:16 GMT
+  
+* add more docs
+* fix subcommand() to support old genre
+
+---

Old:

  App-CLI-0.313.tar.gz

New:

  App-CLI-0.45.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-App-CLI.spec ++
--- /var/tmp/diff_new_pack.Z5y7Ui/_old  2017-07-21 22:47:40.075381843 +0200
+++ /var/tmp/diff_new_pack.Z5y7Ui/_new  2017-07-21 22:47:40.075381843 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-App-CLI
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,23 +16,24 @@
 #
 
 
-
 Name:   perl-App-CLI
-Version:0.313
-Release:2
-License:GPL-1.0+ or Artistic-1.0
+Version:0.45
+Release:0
 %define cpan_name App-CLI
 Summary:Dispatcher module for command line interface programs
-Url:http://search.cpan.org/dist/App-CLI/
+License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
-Source: 
http://www.cpan.org/authors/id/C/CO/CORNELIUS/App-CLI-%{version}.tar.gz
+Url:http://search.cpan.org/dist/App-CLI/
+Source0:
https://cpan.metacpan.org/authors/id/P/PT/PTC/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(Locale::Maketext::Simple)
-BuildRequires:  perl(Getopt::Long) >= 2.35
 BuildRequires:  perl(Pod::Simple::Text)
+Requires:   perl(Locale::Maketext::Simple)
+Requires:   perl(Pod::Simple::Text)
 %{perl_requires}
 
 %description
@@ -40,24 +41,21 @@
 command classes. It also supports subcommand and per-command options.
 
 get_opt([@config], %opt_map)
-give options map, process by Getopt::Long::Parser
+Give options map, processed by Getopt::Long::Parser.
 
-interface of dispatcher
+Interface of dispatcher
 
 cmd_map($cmd)
-find package name of subcommand in constant %alias
+Find package name of subcommand in constant '%alias'.
 
-if it's finded, return ucfirst of the package name,
-
-otherwise, return ucfirst of $cmd itself.
+If it's found, return 'ucfirst' of the package name, otherwise, return
+'ucfirst' of '$cmd' itself.
 
 get_cmd($cmd, @arg)
-return subcommand of first level via $ARGV[0]
+Return subcommand of first level via '$ARGV[0]'.
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
-# disable auto_install();

commit perl-Module-ScanDeps for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Module-ScanDeps for 
openSUSE:Factory checked in at 2017-07-21 22:47:23

Comparing /work/SRC/openSUSE:Factory/perl-Module-ScanDeps (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Module-ScanDeps.new (New)


Package is "perl-Module-ScanDeps"

Fri Jul 21 22:47:23 2017 rev:21 rq:509397 version:1.24

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Module-ScanDeps/perl-Module-ScanDeps.changes
2016-11-18 22:02:43.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-Module-ScanDeps.new/perl-Module-ScanDeps.changes
   2017-07-21 22:47:29.856823301 +0200
@@ -1,0 +2,14 @@
+Sun Jul  2 05:49:19 UTC 2017 - co...@suse.com
+
+- updated to 1.24
+   see /usr/share/doc/packages/perl-Module-ScanDeps/Changes
+
+  1.24  2017-06-28
+  
+  - Merge pull request from Salvador Fandiño (salva), thx!
+Specio::PartialDump uses unicore
+  
+  - Fix RT#119737: Problems with detecting DateTime::Format::Natural 
dependencies
+... by adding a %Preload rule
+
+---

Old:

  Module-ScanDeps-1.23.tar.gz

New:

  Module-ScanDeps-1.24.tar.gz



Other differences:
--
++ perl-Module-ScanDeps.spec ++
--- /var/tmp/diff_new_pack.8wq2EP/_old  2017-07-21 22:47:31.456597632 +0200
+++ /var/tmp/diff_new_pack.8wq2EP/_new  2017-07-21 22:47:31.456597632 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Module-ScanDeps
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,14 @@
 
 
 Name:   perl-Module-ScanDeps
-Version:1.23
+Version:1.24
 Release:0
 %define cpan_name Module-ScanDeps
 Summary:Recursively scan Perl code for dependencies
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Module-ScanDeps/
-Source0:
http://www.cpan.org/authors/id/R/RS/RSCHUPP/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/R/RS/RSCHUPP/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
@@ -81,6 +81,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc AUTHORS Changes LICENSE README
+%doc AUTHORS Changes README
+%license LICENSE
 
 %changelog

++ Module-ScanDeps-1.23.tar.gz -> Module-ScanDeps-1.24.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Module-ScanDeps-1.23/Changes 
new/Module-ScanDeps-1.24/Changes
--- old/Module-ScanDeps-1.23/Changes2016-11-16 20:43:06.0 +0100
+++ new/Module-ScanDeps-1.24/Changes2017-06-28 19:08:23.0 +0200
@@ -1,3 +1,11 @@
+1.24  2017-06-28
+
+- Merge pull request from Salvador Fandiño (salva), thx!
+  Specio::PartialDump uses unicore
+
+- Fix RT#119737: Problems with detecting DateTime::Format::Natural dependencies
+  ... by adding a %Preload rule
+
 1.23  2016-11-16
 
 - add %Preload rules for List::SomeUtils and Pod::Simple::Transcode
@@ -40,8 +48,8 @@
   - A line of "use utf8;" just means "this file is encoded in UTF-8"
 and should _not_ result in scanning utf8.pm which will pull in
 the whole Unicode shebang (propery tables and what not). 
-Yes, utf8.pm _doesn contain "require utf8_heavy.pl", but only inside 
-an AUTOLOAD() that is _not_ triggered by calling functions 
+Yes, utf8.pm *does* contain "require utf8_heavy.pl", but only inside 
+an AUTOLOAD() that is *not* triggered by calling functions 
 like utf8::is_utf8().
 
   - OTOH the innocently looking one-liner
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Module-ScanDeps-1.23/META.json 
new/Module-ScanDeps-1.24/META.json
--- old/Module-ScanDeps-1.23/META.json  2016-11-16 20:44:58.0 +0100
+++ new/Module-ScanDeps-1.24/META.json  2017-06-28 19:09:15.0 +0200
@@ -4,7 +4,7 @@
   "Audrey Tang "
],
"dynamic_config" : 1,
-   "generated_by" : "ExtUtils::MakeMaker version 7.1001, CPAN::Meta::Converter 
version 2.150005",
+   "generated_by" : "ExtUtils::MakeMaker version 7.1002, CPAN::Meta::Converter 
version 2.150010",
"license" : [
   "perl_5"
],
@@ -58,8 +58,9 @@
  "type" : "git",
  "url" : "git://github.com/rschupp/Module-ScanDeps.git",
  "web" : "https://github.com/rschupp/Module-ScanDeps;
-  }
+  },
+  "x_MailingList" : "p...@perl.org"
},
-   

commit perl-Devel-PartialDump for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Devel-PartialDump for 
openSUSE:Factory checked in at 2017-07-21 22:47:03

Comparing /work/SRC/openSUSE:Factory/perl-Devel-PartialDump (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Devel-PartialDump.new (New)


Package is "perl-Devel-PartialDump"

Fri Jul 21 22:47:03 2017 rev:10 rq:509389 version:0.20

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Devel-PartialDump/perl-Devel-PartialDump.changes
2017-07-10 11:07:45.341148926 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Devel-PartialDump.new/perl-Devel-PartialDump.changes
   2017-07-21 22:47:10.295582664 +0200
@@ -1,0 +2,9 @@
+Sun Jul  9 05:22:51 UTC 2017 - co...@suse.com
+
+- updated to 0.20
+   see /usr/share/doc/packages/perl-Devel-PartialDump/Changes
+
+  0.20  2017-07-06 04:34:59Z
+  - fix tests on Carp <1.25 (Paul Howarth, PR#1)
+
+---

Old:

  Devel-PartialDump-0.19.tar.gz

New:

  Devel-PartialDump-0.20.tar.gz



Other differences:
--
++ perl-Devel-PartialDump.spec ++
--- /var/tmp/diff_new_pack.vkPOU2/_old  2017-07-21 22:47:13.023197899 +0200
+++ /var/tmp/diff_new_pack.vkPOU2/_new  2017-07-21 22:47:13.023197899 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Devel-PartialDump
-Version:0.19
+Version:0.20
 Release:0
 %define cpan_name Devel-PartialDump
 Summary:Partial dumping of data structures, optimized for argument 
printing

++ Devel-PartialDump-0.19.tar.gz -> Devel-PartialDump-0.20.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Devel-PartialDump-0.19/Changes 
new/Devel-PartialDump-0.20/Changes
--- old/Devel-PartialDump-0.19/Changes  2017-07-03 22:24:05.0 +0200
+++ new/Devel-PartialDump-0.20/Changes  2017-07-06 06:35:05.0 +0200
@@ -1,5 +1,8 @@
 Revision history for Devel-PartialDump
 
+0.20  2017-07-06 04:34:59Z
+- fix tests on Carp <1.25 (Paul Howarth, PR#1)
+
 0.19  2017-07-03 20:24:01Z
 - remove use of Test::Warn in tests
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Devel-PartialDump-0.19/META.json 
new/Devel-PartialDump-0.20/META.json
--- old/Devel-PartialDump-0.19/META.json2017-07-03 22:24:05.0 
+0200
+++ new/Devel-PartialDump-0.20/META.json2017-07-06 06:35:05.0 
+0200
@@ -165,7 +165,7 @@
"provides" : {
   "Devel::PartialDump" : {
  "file" : "lib/Devel/PartialDump.pm",
- "version" : "0.19"
+ "version" : "0.20"
   }
},
"release_status" : "stable",
@@ -183,7 +183,7 @@
   "x_IRC" : "irc://irc.perl.org/#moose",
   "x_MailingList" : "http://lists.perl.org/list/moose.html;
},
-   "version" : "0.19",
+   "version" : "0.20",
"x_Dist_Zilla" : {
   "perl" : {
  "version" : "5.026000"
@@ -261,7 +261,7 @@
   "exclude_filename" : [
  "CONTRIBUTING",
  "INSTALL",
- "LICENSE",
+ "LICENCE",
  "README.pod"
   ],
   "exclude_match" : [],
@@ -935,21 +935,6 @@
 "version" : "6.009"
  },
  {
-"class" : "Dist::Zilla::Plugin::Run::AfterRelease",
-"config" : {
-   "Dist::Zilla::Plugin::Run::Role::Runner" : {
-  "eval" : [
- "unlink 'LICENSE'"
-  ],
-  "fatal_errors" : 1,
-  "quiet" : 1,
-  "version" : "0.045"
-   }
-},
-"name" : "@Author::ETHER/remove old LICENSE",
-"version" : "0.045"
- },
- {
 "class" : "Dist::Zilla::Plugin::CopyFilesFromRelease",
 "config" : {
"Dist::Zilla::Plugin::CopyFilesFromRelease" : {
@@ -991,7 +976,7 @@
  "CONTRIBUTING",
  "Changes",
  "INSTALL",
- "LICENSE",
+ "LICENCE",
  "README.pod"
   ],
   "allow_dirty_match" : [],
@@ -1015,7 +1000,7 @@
   "branch" : null,
   "changelog" : "Changes",
   "signed" : 0,
-  "tag" : "v0.19",
+  "tag" : "v0.20",
   "tag_format" : "v%v",
   "tag_message" : "v%v%t"
},
@@ -1225,9 +1210,10 @@
   "Karen Etheridge ",
   "Florian Ragwitz ",
   "Steven Lee ",
+  "Leo Lapworth 

commit python-wrapt for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-wrapt for openSUSE:Factory 
checked in at 2017-07-21 22:46:46

Comparing /work/SRC/openSUSE:Factory/python-wrapt (Old)
 and  /work/SRC/openSUSE:Factory/.python-wrapt.new (New)


Package is "python-wrapt"

Fri Jul 21 22:46:46 2017 rev:5 rq:509027 version:1.10.10

Changes:

--- /work/SRC/openSUSE:Factory/python-wrapt/python-wrapt.changes
2017-03-18 20:50:45.328136622 +0100
+++ /work/SRC/openSUSE:Factory/.python-wrapt.new/python-wrapt.changes   
2017-07-21 22:46:49.218555849 +0200
@@ -1,0 +2,5 @@
+Sun Jul  9 10:26:29 UTC 2017 - adr...@suse.de
+
+- update to version 1.10.10
+
+---

Old:

  wrapt-1.10.8.tar.gz

New:

  wrapt-1.10.10.tar.gz



Other differences:
--
++ python-wrapt.spec ++
--- /var/tmp/diff_new_pack.3ClIST/_old  2017-07-21 22:46:49.926455991 +0200
+++ /var/tmp/diff_new_pack.3ClIST/_new  2017-07-21 22:46:49.930455427 +0200
@@ -19,7 +19,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-wrapt
-Version:1.10.8
+Version:1.10.10
 Release:0
 Summary:A Python module for decorators, wrappers and monkey patching
 License:BSD-2-Clause

++ wrapt-1.10.8.tar.gz -> wrapt-1.10.10.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/wrapt-1.10.8/PKG-INFO new/wrapt-1.10.10/PKG-INFO
--- old/wrapt-1.10.8/PKG-INFO   2016-04-11 01:34:05.0 +0200
+++ new/wrapt-1.10.10/PKG-INFO  2017-03-15 01:38:30.0 +0100
@@ -1,6 +1,6 @@
-Metadata-Version: 1.0
+Metadata-Version: 1.1
 Name: wrapt
-Version: 1.10.8
+Version: 1.10.10
 Summary: Module for decorators, wrappers and monkey patching.
 Home-page: https://github.com/GrahamDumpleton/wrapt
 Author: Graham Dumpleton
@@ -11,11 +11,137 @@
 
 |Travis| |Coveralls| |PyPI|
 
-A Python module for decorators, wrappers and monkey patching.
+The aim of the **wrapt** module is to provide a transparent object 
proxy
+for Python, which can be used as the basis for the construction of 
function
+wrappers and decorator functions.
+
+The **wrapt** module focuses very much on correctness. It therefore 
goes
+way beyond existing mechanisms such as ``functools.wraps()`` to ensure 
that
+decorators preserve introspectability, signatures, type checking 
abilities
+etc. The decorators that can be constructed using this module will 
work in
+far more scenarios than typical decorators and provide more 
predictable and
+consistent behaviour.
+
+To ensure that the overhead is as minimal as possible, a C extension 
module
+is used for performance critical components. An automatic fallback to a
+pure Python implementation is also provided where a target system does 
not
+have a compiler to allow the C extension to be compiled.
+
+Documentation
+-
+
+For further information on the **wrapt** module see:
+
+* http://wrapt.readthedocs.org/
+
+Quick Start
+---
+
+To implement your decorator you need to first define a wrapper 
function.
+This will be called each time a decorated function is called. The 
wrapper
+function needs to take four positional arguments:
+
+* ``wrapped`` - The wrapped function which in turns needs to be called 
by your wrapper function.
+* ``instance`` - The object to which the wrapped function was bound 
when it was called.
+* ``args`` - The list of positional arguments supplied when the 
decorated function was called.
+* ``kwargs`` - The dictionary of keyword arguments supplied when the 
decorated function was called.
+
+The wrapper function would do whatever it needs to, but would usually 
in
+turn call the wrapped function that is passed in via the ``wrapped``
+argument.
+
+The decorator ``@wrapt.decorator`` then needs to be applied to the 
wrapper
+function to convert it into a decorator which can in turn be applied to
+other functions.
+
+::
+
+import wrapt
+
+@wrapt.decorator
+def pass_through(wrapped, instance, args, kwargs):
+return wrapped(*args, **kwargs)
+
+@pass_through
+def function():
+pass
+
+If you wish to implement a decorator which accepts arguments, then 
wrap the
+definition of 

commit perl-CPAN-Perl-Releases for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-CPAN-Perl-Releases for 
openSUSE:Factory checked in at 2017-07-21 22:47:20

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Perl-Releases (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Perl-Releases.new (New)


Package is "perl-CPAN-Perl-Releases"

Fri Jul 21 22:47:20 2017 rev:48 rq:509395 version:3.26

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-CPAN-Perl-Releases/perl-CPAN-Perl-Releases.changes
  2017-06-26 15:56:03.863500988 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-CPAN-Perl-Releases.new/perl-CPAN-Perl-Releases.changes
 2017-07-21 22:47:21.51727 +0200
@@ -1,0 +2,6 @@
+Mon Jul  3 05:08:58 UTC 2017 - co...@suse.com
+
+- updated to 3.26
+   see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
+
+---

Old:

  CPAN-Perl-Releases-3.24.tar.gz

New:

  CPAN-Perl-Releases-3.26.tar.gz



Other differences:
--
++ perl-CPAN-Perl-Releases.spec ++
--- /var/tmp/diff_new_pack.ycVlcC/_old  2017-07-21 22:47:22.133912716 +0200
+++ /var/tmp/diff_new_pack.ycVlcC/_new  2017-07-21 22:47:22.137912152 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Perl-Releases
-Version:3.24
+Version:3.26
 Release:0
 %define cpan_name CPAN-Perl-Releases
 Summary:Mapping Perl releases on CPAN to the location of the tarballs

++ CPAN-Perl-Releases-3.24.tar.gz -> CPAN-Perl-Releases-3.26.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-3.24/Changes 
new/CPAN-Perl-Releases-3.26/Changes
--- old/CPAN-Perl-Releases-3.24/Changes 2017-06-20 11:08:34.0 +0200
+++ new/CPAN-Perl-Releases-3.26/Changes 2017-07-02 12:43:13.0 +0200
@@ -1,8 +1,18 @@
 ==
-Changes from 2012-06-21 00:00:00 + to present.
+Changes from 2012-07-03 00:00:00 + to present.
 ==
 
 -
+version 3.26 at 2017-07-02 10:33:16 +
+-
+
+  Change: d34db73b7265dd5d9b7e80b3644174bb35f43f20
+  Author: Chris 'BinGOs' Williams 
+  Date : 2017-07-02 11:33:16 +
+
+Updated for v5.22.4-RC1 and v5.24.2-RC1 
+
+-
 version 3.24 at 2017-06-20 07:09:56 +
 -
 
@@ -1378,5 +1388,5 @@
 Updated for v5.17.2 
 
 =
-Plus 30 releases after 2012-06-21 00:00:00 +.
+Plus 30 releases after 2012-07-03 00:00:00 +.
 =
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-3.24/META.json 
new/CPAN-Perl-Releases-3.26/META.json
--- old/CPAN-Perl-Releases-3.24/META.json   2017-06-20 11:08:34.0 
+0200
+++ new/CPAN-Perl-Releases-3.26/META.json   2017-07-02 12:43:13.0 
+0200
@@ -54,7 +54,7 @@
  "web" : "https://github.com/bingos/cpan-perl-releases;
   }
},
-   "version" : "3.24",
+   "version" : "3.26",
"x_serialization_backend" : "Cpanel::JSON::XS version 3.0233"
 }
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-3.24/META.yml 
new/CPAN-Perl-Releases-3.26/META.yml
--- old/CPAN-Perl-Releases-3.24/META.yml2017-06-20 11:08:34.0 
+0200
+++ new/CPAN-Perl-Releases-3.26/META.yml2017-07-02 12:43:13.0 
+0200
@@ -21,5 +21,5 @@
 resources:
   homepage: https://github.com/bingos/cpan-perl-releases
   repository: https://github.com/bingos/cpan-perl-releases.git
-version: '3.24'
+version: '3.26'
 x_serialization_backend: 'YAML::Tiny version 1.70'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-3.24/Makefile.PL 
new/CPAN-Perl-Releases-3.26/Makefile.PL
--- old/CPAN-Perl-Releases-3.24/Makefile.PL 2017-06-20 11:08:34.0 
+0200
+++ new/CPAN-Perl-Releases-3.26/Makefile.PL 2017-07-02 12:43:13.0 
+0200
@@ -26,7 +26,7 @@
 "IPC::Open3" => 0,
 "Test::More" => "0.47"
   },
-  "VERSION" => "3.24",
+  "VERSION" => "3.26",
   "test" => {
 "TESTS" => "t/*.t"
   }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-3.24/README 
new/CPAN-Perl-Releases-3.26/README
--- old/CPAN-Perl-Releases-3.24/README  2017-06-20 11:08:34.0 +0200
+++ new/CPAN-Perl-Releases-3.26/README  2017-07-02 12:43:13.0 +0200
@@ -5,7 +5,7 @@
 
 VERSION
 
-version 3.24
+

commit perl-Log-Dispatch-FileRotate for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Log-Dispatch-FileRotate for 
openSUSE:Factory checked in at 2017-07-21 22:47:18

Comparing /work/SRC/openSUSE:Factory/perl-Log-Dispatch-FileRotate (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Log-Dispatch-FileRotate.new (New)


Package is "perl-Log-Dispatch-FileRotate"

Fri Jul 21 22:47:18 2017 rev:22 rq:509391 version:1.27

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Log-Dispatch-FileRotate/perl-Log-Dispatch-FileRotate.changes
2017-05-31 12:17:40.701880625 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Log-Dispatch-FileRotate.new/perl-Log-Dispatch-FileRotate.changes
   2017-07-21 22:47:19.586272093 +0200
@@ -1,0 +2,13 @@
+Fri Jul  7 05:44:58 UTC 2017 - co...@suse.com
+
+- updated to 1.27
+   see /usr/share/doc/packages/perl-Log-Dispatch-FileRotate/Changes
+
+  1.27 Thu Jul 06 2017
+  - add "check_both" configuration option which allows the use of both 
time and
+size based rotation at the same time.  If either conditions require a
+rotation, a rotation will happen.  Default is false (previous 
behaviour).
+Thanks Emanuele Tomasi.  PR #6.
+  - make signature test an "author" test and make Test::Signature optional
+
+---

Old:

  Log-Dispatch-FileRotate-1.26.tar.gz

New:

  Log-Dispatch-FileRotate-1.27.tar.gz



Other differences:
--
++ perl-Log-Dispatch-FileRotate.spec ++
--- /var/tmp/diff_new_pack.EP9DtF/_old  2017-07-21 22:47:20.338166029 +0200
+++ /var/tmp/diff_new_pack.EP9DtF/_new  2017-07-21 22:47:20.338166029 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Log-Dispatch-FileRotate
-Version:1.26
+Version:1.27
 Release:0
 %define cpan_name Log-Dispatch-FileRotate
 Summary:Log to Files that Archive/Rotate Themselves
@@ -62,8 +62,8 @@
 size mode. That is, use size values for deciding when to rotate.
 
 Once DatePattern is defined FileRotate will move into time mode. Once this
-happens file rotation ignores size constraints and uses the defined date
-pattern constraints.
+happens file rotation ignores size constraints, unless check_both, and uses
+the defined date pattern constraints.
 
 If you setup a config file using Log::Log4perl::init_and_watch() or the
 like, you can switch between modes just by commenting out the DatePattern

++ Log-Dispatch-FileRotate-1.26.tar.gz -> 
Log-Dispatch-FileRotate-1.27.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Log-Dispatch-FileRotate-1.26/Changes 
new/Log-Dispatch-FileRotate-1.27/Changes
--- old/Log-Dispatch-FileRotate-1.26/Changes2017-05-09 20:23:48.0 
+0200
+++ new/Log-Dispatch-FileRotate-1.27/Changes2017-07-06 17:48:44.0 
+0200
@@ -1,5 +1,12 @@
 Revision history for Perl extension Log::Dispatch::FileRotate.
 
+1.27 Thu Jul 06 2017
+- add "check_both" configuration option which allows the use of both time 
and
+  size based rotation at the same time.  If either conditions require a
+  rotation, a rotation will happen.  Default is false (previous behaviour).
+  Thanks Emanuele Tomasi.  PR #6.
+- make signature test an "author" test and make Test::Signature optional
+
 1.26 Tue May 09 2017
 - add SEE ALSO reference to Log::Dispath::File::Stamped (Thanks Karen
   Etheridge)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Log-Dispatch-FileRotate-1.26/MANIFEST 
new/Log-Dispatch-FileRotate-1.27/MANIFEST
--- old/Log-Dispatch-FileRotate-1.26/MANIFEST   2017-05-09 20:23:48.0 
+0200
+++ new/Log-Dispatch-FileRotate-1.27/MANIFEST   2017-07-06 17:48:44.0 
+0200
@@ -10,9 +10,9 @@
 SIGNATURE
 lib/Log/Dispatch/FileRotate.pm
 t/author-pod-syntax.t
+t/author-signature.t
 t/basic.t
 t/file-open-failure.t
 t/lockfile-open-failure.t
 t/no-activity-bug.t
-t/signature.t
 t/size-with-underscore.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Log-Dispatch-FileRotate-1.26/META.json 
new/Log-Dispatch-FileRotate-1.27/META.json
--- old/Log-Dispatch-FileRotate-1.26/META.json  2017-05-09 20:23:48.0 
+0200
+++ new/Log-Dispatch-FileRotate-1.27/META.json  2017-07-06 17:48:44.0 
+0200
@@ -42,7 +42,6 @@
  "requires" : {
 "POSIX" : "0",
 "Path::Tiny" : "0.018",
-"Socket" : "0",
 "Test::More" : "0.88",
 "Test::Warn" : "0",
 "warnings" : "0"
@@ -62,7 +61,7 @@
  "web" : "https://github.com/mschout/perl-log-dispatch-filerotate;
   }
},
-   "version" : "1.26",
+   "version" : "1.27",
"x_serialization_backend" : 

commit perl-SVG for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-SVG for openSUSE:Factory 
checked in at 2017-07-21 22:47:14

Comparing /work/SRC/openSUSE:Factory/perl-SVG (Old)
 and  /work/SRC/openSUSE:Factory/.perl-SVG.new (New)


Package is "perl-SVG"

Fri Jul 21 22:47:14 2017 rev:16 rq:509390 version:2.78

Changes:

--- /work/SRC/openSUSE:Factory/perl-SVG/perl-SVG.changes2017-05-24 
16:51:06.396310043 +0200
+++ /work/SRC/openSUSE:Factory/.perl-SVG.new/perl-SVG.changes   2017-07-21 
22:47:18.474428933 +0200
@@ -1,0 +2,9 @@
+Sat Jul  8 06:14:54 UTC 2017 - co...@suse.com
+
+- updated to 2.78
+   see /usr/share/doc/packages/perl-SVG/Changes
+
+  2.78  2017.07.07 MANWAR
+- Merged PR #10 (fix entity escaping), thanks @haarg. This also 
resolved RT #121612.
+
+---

Old:

  SVG-2.77.tar.gz

New:

  SVG-2.78.tar.gz



Other differences:
--
++ perl-SVG.spec ++
--- /var/tmp/diff_new_pack.dkIUt6/_old  2017-07-21 22:47:19.038349385 +0200
+++ /var/tmp/diff_new_pack.dkIUt6/_new  2017-07-21 22:47:19.042348821 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-SVG
-Version:2.77
+Version:2.78
 Release:0
 %define cpan_name SVG
 Summary:Perl extension for generating Scalable Vector Graphics (SVG) 
documents

++ SVG-2.77.tar.gz -> SVG-2.78.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SVG-2.77/Changes new/SVG-2.78/Changes
--- old/SVG-2.77/Changes2017-05-18 18:41:05.0 +0200
+++ new/SVG-2.78/Changes2017-07-07 16:36:46.0 +0200
@@ -1,5 +1,8 @@
 Revision history for Perl extension SVG.
 
+2.78  2017.07.07 MANWAR
+  - Merged PR #10 (fix entity escaping), thanks @haarg. This also resolved 
RT #121612.
+
 2.77  2017.05.18 MANWAR
   - Proposed fix to the following test failure:
 
http://www.cpantesters.org/cpan/report/ddc7eefc-3429-11e7-8430-9cfb106f656a
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SVG-2.77/META.json new/SVG-2.78/META.json
--- old/SVG-2.77/META.json  2017-05-18 18:46:15.0 +0200
+++ new/SVG-2.78/META.json  2017-07-07 16:37:52.0 +0200
@@ -41,23 +41,23 @@
"provides" : {
   "SVG" : {
  "file" : "lib/SVG.pm",
- "version" : "2.77"
+ "version" : "2.78"
   },
   "SVG::DOM" : {
  "file" : "lib/SVG/DOM.pm",
- "version" : "2.77"
+ "version" : "2.78"
   },
   "SVG::Element" : {
  "file" : "lib/SVG/Element.pm",
- "version" : "2.77"
+ "version" : "2.78"
   },
   "SVG::Extension" : {
  "file" : "lib/SVG/Extension.pm",
- "version" : "2.77"
+ "version" : "2.78"
   },
   "SVG::XML" : {
  "file" : "lib/SVG/XML.pm",
- "version" : "2.77"
+ "version" : "2.78"
   }
},
"release_status" : "stable",
@@ -68,7 +68,7 @@
  "web" : "https://github.com/manwar/SVG;
   }
},
-   "version" : "2.77",
+   "version" : "2.78",
"x_contributors" : [
   "Peter Wainwright",
   "Ian Hickson",
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SVG-2.77/META.yml new/SVG-2.78/META.yml
--- old/SVG-2.77/META.yml   2017-05-18 18:46:15.0 +0200
+++ new/SVG-2.78/META.yml   2017-07-07 16:37:52.0 +0200
@@ -20,26 +20,26 @@
 provides:
   SVG:
 file: lib/SVG.pm
-version: '2.77'
+version: '2.78'
   SVG::DOM:
 file: lib/SVG/DOM.pm
-version: '2.77'
+version: '2.78'
   SVG::Element:
 file: lib/SVG/Element.pm
-version: '2.77'
+version: '2.78'
   SVG::Extension:
 file: lib/SVG/Extension.pm
-version: '2.77'
+version: '2.78'
   SVG::XML:
 file: lib/SVG/XML.pm
-version: '2.77'
+version: '2.78'
 requires:
   Scalar::Util: '0'
   parent: '0'
   perl: '5.006'
 resources:
   repository: https://github.com/manwar/SVG.git
-version: '2.77'
+version: '2.78'
 x_contributors:
   - 'Peter Wainwright'
   - 'Ian Hickson'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SVG-2.77/Makefile.PL new/SVG-2.78/Makefile.PL
--- old/SVG-2.77/Makefile.PL2017-05-18 18:39:49.0 +0200
+++ new/SVG-2.78/Makefile.PL2017-07-07 16:35:01.0 +0200
@@ -25,11 +25,11 @@
 (eval { ExtUtils::MakeMaker->VERSION(6.46) } ? (META_MERGE => {
 'meta-spec' => { version => 2 },
 provides=> {
-'SVG'=> { file => 'lib/SVG.pm'  , version => 
'2.77' },
-'SVG::DOM'   => { file => 'lib/SVG/DOM.pm'  , version => 
'2.77' },
-

commit perl-Data-Section for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Data-Section for 
openSUSE:Factory checked in at 2017-07-21 22:46:57

Comparing /work/SRC/openSUSE:Factory/perl-Data-Section (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Data-Section.new (New)


Package is "perl-Data-Section"

Fri Jul 21 22:46:57 2017 rev:15 rq:509388 version:0.27

Changes:

--- /work/SRC/openSUSE:Factory/perl-Data-Section/perl-Data-Section.changes  
2014-03-18 14:16:00.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Data-Section.new/perl-Data-Section.changes 
2017-07-21 22:47:00.384980681 +0200
@@ -1,0 +2,10 @@
+Mon Jul 10 05:23:40 UTC 2017 - co...@suse.com
+
+- updated to 0.27
+   see /usr/share/doc/packages/perl-Data-Section/Changes
+
+  0.27  2017-07-07 11:36:04-04:00 America/New_York
+  - rename the test library "Parent.pm" to "Mother.pm" to avoid 
conflict
+with core "parent.pm" on case-insensitive systems (thanks, Dan 
Kogai)
+
+---

Old:

  Data-Section-0.26.tar.gz

New:

  Data-Section-0.27.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-Data-Section.spec ++
--- /var/tmp/diff_new_pack.16ZDtv/_old  2017-07-21 22:47:01.612807480 +0200
+++ /var/tmp/diff_new_pack.16ZDtv/_new  2017-07-21 22:47:01.612807480 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Data-Section
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,15 @@
 
 
 Name:   perl-Data-Section
-Version:0.26
+Version:0.27
 Release:0
 %define cpan_name Data-Section
-Summary:read multiple hunks of data out of your DATA section
+Summary:Read Multiple Hunks of Data Out of Your Data Section
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Data-Section/
-Source: 
http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
@@ -59,6 +60,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes LICENSE README
+%doc Changes README
+%license LICENSE
 
 %changelog

++ Data-Section-0.26.tar.gz -> Data-Section-0.27.tar.gz ++
 2248 lines of diff (skipped)

++ cpanspec.yml ++
---
#description_paragraphs: 3
#description: |-
#  override description from CPAN
#summary: override summary from CPAN
#no_testing: broken upstream
#sources:
#  - source1
#  - source2
#patches:
#  foo.patch: -p1
#  bar.patch:
#preamble: |-
# BuildRequires:  gcc-c++
#post_prep: |-
# hunspell=`pkg-config --libs hunspell | sed -e 's,-l,,; s,  *,,g'`
# sed -i -e "s,hunspell-X,$hunspell," t/00-prereq.t Makefile.PL 
#post_build: |-
# rm unused.files
#post_install: |-
# sed on %{name}.files
#license: SUSE-NonFree
#skip_noarch: 1
#custom_build: |-
#./Build build flags=%{?_smp_mflags} --myflag
#custom_test: |-
#startserver && make test
#ignore_requires: Bizarre::Module



commit python-BTrees for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-BTrees for openSUSE:Factory 
checked in at 2017-07-21 22:46:53

Comparing /work/SRC/openSUSE:Factory/python-BTrees (Old)
 and  /work/SRC/openSUSE:Factory/.python-BTrees.new (New)


Package is "python-BTrees"

Fri Jul 21 22:46:53 2017 rev:5 rq:509207 version:4.4.1

Changes:

--- /work/SRC/openSUSE:Factory/python-BTrees/python-BTrees.changes  
2015-05-06 07:50:02.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-BTrees.new/python-BTrees.changes 
2017-07-21 22:46:54.709781241 +0200
@@ -1,0 +2,77 @@
+Mon Jul 10 11:19:10 UTC 2017 - jeng...@inai.de
+
+- Fix duplicate summaries
+
+---
+Sat Jun 24 12:19:41 UTC 2017 - aloi...@gmx.com
+
+- Update to version 4.4.1
+  * Fixed a packaging bug that caused extra files to be included
+(some of which caused problems in some platforms).
+  4.4.0:
+  * Allow None as a special key (sorted smaller than all others).
+  * This is a bit of a return to BTrees 3 behavior in that Nones
+are allowed as keys again. Other objects with default ordering
+are still not allowed as keys.
+  4.3.2:
+  * Make the CPython implementation consistent with the
+pure-Python implementation and only check object keys for
+default comparison when setting keys. In Python 2 this makes it
+possible to remove keys that were added using a less restrictive
+version of BTrees. (In Python 3 keys that are unorderable still
+cannot be removed.) Likewise, all versions can unpickle trees
+that already had such keys. See:
+https://github.com/zopefoundation/BTrees/issues/53 and
+https://github.com/zopefoundation/BTrees/issues/51
+  * Make the Python implementation consistent with the CPython
+implementation and check object key identity before checking
+equality and performing comparisons. This can allow fixing trees
+that have keys that now have broken comparison functions. See
+https://github.com/zopefoundation/BTrees/issues/50
+  * Make the CPython implementation consistent with the
+pure-Python implementation and no longer raise TypeError for an
+object key (in object-keyed trees) with default comparison on
+__getitem__, get or in operations. Instead, the results will be
+a KeyError, the default value, and False, respectively.
+Previously, CPython raised a TypeError in those cases, while the
+Python implementation behaved as specified.
+  * Likewise, non-integer keys in integer-keyed trees will raise
+KeyError, return the default and return False, respectively, in
+both implementations. Previously, pure-Python raised a KeyError,
+returned the default, and raised a TypeError, while CPython
+raised TypeError in all three cases.
+  4.3.1:
+  * Packaging: fix password used to automate wheel creation on
+Travis.
+  4.3.0:
+  * Fix unexpected OverflowError when passing 64bit values to
+long keys / values on Win64. See:
+https://github.com/zopefoundation/BTrees/issues/32
+  * When testing PURE_PYTHON environments under tox, avoid
+poisoning the user’s global wheel cache.
+  * Ensure that the pure-Python implementation, used on PyPy and
+when a C compiler isn’t available for CPython, pickles
+identically to the C version. Unpickling will choose the best
+available implementation. This change prevents interoperability
+problems and database corruption if both implementations are in
+use. While it is no longer possible to pickle a Python
+implementation and have it unpickle to the Python implementation
+if the C implementation is available, existing Python pickles
+will still unpickle to the Python implementation (until pickled
+again). See: https://github.com/zopefoundation/BTrees/issues/19
+  * Avoid creating invalid objects when unpickling empty BTrees
+in a pure-Python environment.
+  * Drop support for Python 2.6 and 3.2.
+  4.2.0:
+  * Add support for Python 3.5.
+  4.1.4:
+  * Ensure that pure-Python Bucket and Set objects have a human
+readable __repr__ like the C versions.
+  4.1.3:
+  * Fix _p_changed when removing items from small pure-Python
+BTrees/TreeSets and when adding items to small pure-Python Sets.
+See: https://github.com/zopefoundation/BTrees/issues/13
+
+- Converted to single-spec
+
+---

Old:

  BTrees-4.1.2.tar.gz

New:

  BTrees-4.4.1.tar.gz



Other differences:
--
++ python-BTrees.spec ++
--- /var/tmp/diff_new_pack.Ov2acY/_old  2017-07-21 22:46:55.405683075 +0200
+++ /var/tmp/diff_new_pack.Ov2acY/_new  2017-07-21 22:46:55.421680818 +0200
@@ -1,7 +1,7 @@
 #
 # spec file 

commit perl-Dist-Zilla for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Dist-Zilla for openSUSE:Factory 
checked in at 2017-07-21 22:46:55

Comparing /work/SRC/openSUSE:Factory/perl-Dist-Zilla (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Dist-Zilla.new (New)


Package is "perl-Dist-Zilla"

Fri Jul 21 22:46:55 2017 rev:28 rq:509385 version:6.010

Changes:

--- /work/SRC/openSUSE:Factory/perl-Dist-Zilla/perl-Dist-Zilla.changes  
2017-03-12 20:01:31.206811299 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Dist-Zilla.new/perl-Dist-Zilla.changes 
2017-07-21 22:46:55.797627786 +0200
@@ -1,0 +2,12 @@
+Tue Jul 11 05:25:33 UTC 2017 - co...@suse.com
+
+- updated to 6.010
+   see /usr/share/doc/packages/perl-Dist-Zilla/Changes
+
+  6.010 2017-07-10 09:22:16-04:00 America/New_York
+  - a few documentation improvements (thanks, Chase Whitener, Mary
+Ehlers, and Jonas B. Nielsen)
+  - improve behavior under a noninteractive terminal
+  - empty file finders should now consistently return []
+
+---

Old:

  Dist-Zilla-6.009.tar.gz

New:

  Dist-Zilla-6.010.tar.gz



Other differences:
--
++ perl-Dist-Zilla.spec ++
--- /var/tmp/diff_new_pack.JT4Zkr/_old  2017-07-21 22:46:56.385544853 +0200
+++ /var/tmp/diff_new_pack.JT4Zkr/_new  2017-07-21 22:46:56.389544289 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Dist-Zilla
-Version:6.009
+Version:6.010
 Release:0
 %define cpan_name Dist-Zilla
 Summary:Distribution Builder; Installer Not Included!

++ Dist-Zilla-6.009.tar.gz -> Dist-Zilla-6.010.tar.gz ++
 3399 lines of diff (skipped)




commit adapta-gtk-theme for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package adapta-gtk-theme for 
openSUSE:Factory checked in at 2017-07-21 22:46:38

Comparing /work/SRC/openSUSE:Factory/adapta-gtk-theme (Old)
 and  /work/SRC/openSUSE:Factory/.adapta-gtk-theme.new (New)


Package is "adapta-gtk-theme"

Fri Jul 21 22:46:38 2017 rev:1 rq:508156 version:3.91.0.150

Changes:

New Changes file:

--- /dev/null   2017-07-20 07:30:00.335470106 +0200
+++ /work/SRC/openSUSE:Factory/.adapta-gtk-theme.new/adapta-gtk-theme.changes   
2017-07-21 22:46:46.958874606 +0200
@@ -0,0 +1,95 @@
+---
+Sun Jul 2 14:50:25 UTC 2017 - matthias.elias...@gmail.com
+
+- Version bump to 3.91.0.150
+  * No changelog available.
+- Run spec-cleaner
+  * Added 2017 year to the copyright header of spec
+  * convert some BuildRequires to pkgconfig
+- Add some more dependencies according to update readme
+- Enable build of telegram theme
+
+---
+Mon Apr 17 12:26:25 UTC 2017 - roni...@gmail.com
+
+- Version bump to 3.90.0.69.
+  * No changelog available.
+
+---
+Fri Mar 24 14:22:43 UTC 2017 - roni...@gmail.com
+
+- Version bump to 3.89.5.61.
+  * No changelog available.
+
+---
+Thu Feb 16 18:22:19 UTC 2017 - roni...@gmail.com
+
+- Add gedit theme.
+- Version bump to 3.89.4.11.
+  * No changelog available.
+
+---
+Wed Jan 18 23:53:59 UTC 2017 - roni...@gmail.com
+
+- Update license from CC-BY-SA-3.0 to CC-BY-SA-4.0.
+- Add Telegram theme.
+
+---
+Mon Jan 16 20:19:15 UTC 2017 - roni...@gmail.com
+
+- Version bump to 3.89.2.109.
+  * No changelog available.
+
+---
+Tue Jan  3 12:50:37 UTC 2017 - roni...@gmail.com
+
+- Version bump to 3.89.2.50.
+  * No changelog available.
+
+---
+Sat Dec 24 14:43:56 UTC 2016 - roni...@gmail.com
+
+- Version bump to 3.89.2.1.
+  * No changelog available.
+
+---
+Fri Dec  9 20:12:07 UTC 2016 - roni...@gmail.com
+
+- Version bump to 3.89.1.104.
+  * No changelog available.
+
+---
+Mon Dec  5 21:08:13 UTC 2016 - roni...@gmail.com
+
+- Version bump to 3.89.1.80.
+  * No changelog available.
+
+---
+Sun Nov 27 19:46:48 UTC 2016 - roni...@gmail.com
+
+- Version bump to 3.89.1.66.
+  * No changelog available.
+
+---
+Sat Nov 26 17:59:49 UTC 2016 - roni...@gmail.com
+
+- Version bump to 3.89.1.62.
+  * No changelog available.
+
+---
+Fri Nov 25 13:37:23 UTC 2016 - roni...@gmail.com
+
+- Change License to GPL2.
+- Version bump to 3.89.1.47.
+  * No changelog available.
+
+---
+Thu Nov 24 01:25:00 UTC 2016 - roni...@gmail.com
+
+- Fix package name that provides Noto Sans fonts.
+
+---
+Thu Nov 24 00:52:39 UTC 2016 - roni...@gmail.com
+
+- Initial version.
+

New:

  adapta-gtk-theme-3.91.0.150.tar.gz
  adapta-gtk-theme.changes
  adapta-gtk-theme.spec



Other differences:
--
++ adapta-gtk-theme.spec ++
#
# spec file for package adapta-gtk-theme
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   adapta
%define _theme  Adapta
%define gtk3_min_version3.18
%define gtk2_min_version2.24
Name:   adapta-gtk-theme
Version:3.91.0.150
Release:0
Summary:An adaptive Gtk+ theme based on Material Design Guidelines
License: 

commit python-transaction for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-transaction for 
openSUSE:Factory checked in at 2017-07-21 22:46:29

Comparing /work/SRC/openSUSE:Factory/python-transaction (Old)
 and  /work/SRC/openSUSE:Factory/.python-transaction.new (New)


Package is "python-transaction"

Fri Jul 21 22:46:29 2017 rev:20 rq:507381 version:2.1.2

Changes:

--- /work/SRC/openSUSE:Factory/python-transaction/python-transaction.changes
2015-05-18 22:35:05.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-transaction.new/python-transaction.changes   
2017-07-21 22:46:32.956849772 +0200
@@ -1,0 +2,79 @@
+Sat Jun 24 11:52:07 UTC 2017 - aloi...@gmx.com
+
+- Update to version 2.1.2
+  * To avoid leaking memory, don’t include unexpected value in
+warnings about non-text transaction meta data.
+  2.1.1:
+* For backward compatibility, relax the requirements that
+  transaction meta data (user or description) be text:
+  + If None is assigned, the assignment is ignored.
+  + If a non-text value is assigned, a warning is issued and
+the value is converted to text. If the value is a binary
+string, it will be decoded with the UTF-8 encoding the
+replace error policy.
+  2.1.0:
+  * Added a transaction-manager explicit mode. Explicit mode makes
+some kinds of application bugs easier to detect and potentially
+allows data managers to manage resources more efficiently.
+(This addresses
+https://github.com/zopefoundation/transaction/issues/35.)
+  2.0.3:
+  * The user and description fields must now be set with text
+(unicode) data. Previously, if bytes were provided, they’d be
+decoded as ASCII. It was decided that this would lead to bugs
+that were hard to test for.
+  * Also, the transaction meta-data field, extended_info has
+been renamed to extension.
+  2.0.2:
+  * Fixed: Some legacy applications expect the transaction
+_extension attribute to be mutable and it wasn’t.
+  2.0.1:
+* The transaction user and description attributes are now
+  defined to be text (unicode) as opposed to Python the str
+  type.
+  * Added the extended_info transaction attribute which contains
+transaction meta data. (The _extension attribute is retained
+as an alias for backward compatibility.)
+  * The transaction interface, ITransaction, now requires
+extended_info keys to be text (unicode) and values to be
+JSON-serializable.
+  * Removed setUser from ITransaction. We’ll keep the method
+indefinitely, but it’s unseemly in ITransaction. :)
+  The main purpose of these changes is to tighten up the text
+  specification of user, description and extended_info keys, and
+  to give us more flexibility in the future for serializing
+  extended info. It’s possible that these changes will be
+  breaking, so we’re also increasing the major version number.
+  1.7.0:
+  * Added a transaction-manager run method for running a
+function as a transaction, retrying as necessary on transient
+errors.
+  * Fixed the transaction manager attempts method. It didn’t
+stop repeating when there wasn’t an error.
+  * Corrected ITransaction by removing beforeCommitHook (which
+is no longer implemented) and removing ‘self’ from two methods.
+  1.6.1:
+  * Fixed: Synchonizers that registered with transaction
+managers when transactions were in progress didn’t have their
+newTransaction methods called to let them know of the
+in-progress transactions.
+  1.6.0:
+  * New transaction API for storing data on behalf of objects,
+such as data managers.
+  * Drop references to data managers joined to a transaction
+when it is committed or aborted.
+  1.5.0:
+  * Drop support for Python 2.6 and 3.2.
+  * Add support for Python 3.5.
+  * Added APIs for interogating and clearing internal state to
+support client tests.
+  1.4.4:
+  * Use the standard valuerefs() method rather than relying on
+implementation details of WeakValueDictionary in WeakSet.
+  * Add support for PyPy3.
+  * Require 100% branch coverage (in addition to 100% statement
+coverage).
+
+- Converted to single-spec
+
+---

Old:

  transaction-1.4.3.tar.gz

New:

  transaction-2.1.2.tar.gz



Other differences:
--
++ python-transaction.spec ++
--- /var/tmp/diff_new_pack.Lvw6v8/_old  2017-07-21 22:46:33.832726218 +0200
+++ /var/tmp/diff_new_pack.Lvw6v8/_new  2017-07-21 22:46:33.832726218 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-transaction
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the 

commit python-urwid for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-urwid for openSUSE:Factory 
checked in at 2017-07-21 22:46:21

Comparing /work/SRC/openSUSE:Factory/python-urwid (Old)
 and  /work/SRC/openSUSE:Factory/.python-urwid.new (New)


Package is "python-urwid"

Fri Jul 21 22:46:21 2017 rev:12 rq:507354 version:1.3.1

Changes:

--- /work/SRC/openSUSE:Factory/python-urwid/python-urwid.changes
2016-03-16 10:34:34.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-urwid.new/python-urwid.changes   
2017-07-21 22:46:29.837289826 +0200
@@ -1,0 +2,8 @@
+Tue May 23 07:37:03 UTC 2017 - aloi...@gmx.com
+
+- Converted to single-spec
+- Updated source and homepage URLs
+- Added python-urwid-fix_py3_test.patch to address a failing
+  test with python 3.6.
+
+---

New:

  python-urwid-fix_py3_test.patch



Other differences:
--
++ python-urwid.spec ++
--- /var/tmp/diff_new_pack.gYLMh1/_old  2017-07-21 22:46:30.433205765 +0200
+++ /var/tmp/diff_new_pack.gYLMh1/_new  2017-07-21 22:46:30.437205200 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-urwid
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,23 +16,24 @@
 #
 
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-urwid
 Version:1.3.1
 Release:0
-Url:http://excess.org/urwid/
 Summary:A full-featured console (xterm et al.) user interface library
 License:LGPL-2.1+
 Group:  Development/Languages/Python
-Source: 
https://pypi.python.org/packages/source/u/urwid/urwid-%{version}.tar.gz
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  python-devel
-BuildRequires:  python-setuptools
-%if 0%{?suse_version}
+Url:http://urwid.org
+Source: 
https://files.pythonhosted.org/packages/source/u/urwid/urwid-%{version}.tar.gz
+# PATCH-FIX-UPSTREAM python-urwid-fix_py3_test.patch -- fixes py3 test, 
backported commit#4b0ed8b
+Patch0: python-urwid-fix_py3_test.patch
+BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module setuptools}
+BuildRequires:  fdupes
+BuildRequires:  python-rpm-macros
 Requires:   python-curses
-%endif
-%if  0%{?suse_version} <= 1110
-%{!?python_sitearch:  %global python_sitearch  %(python -c "from 
distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
-%endif
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+%python_subpackages
 
 %description
 Urwid is a console user interface library.  It includes many features
@@ -50,22 +51,26 @@
 
 %prep
 %setup -q -n "urwid-%{version}"
+%patch0 -p1
 # remove unwanted shebang
 find urwid -name "*.py" | xargs sed -i '1 { /^#!/ d }'
 
 %build
-python setup.py build
+%python_build
 
 %install
-python setup.py install --prefix="%{_prefix}"  --root="%{buildroot}"
+%python_install
+%python_expand %fdupes -s %{buildroot}%{$python_sitearch}
 
 %check
-python setup.py -q test
+# this test won't work on OBS
+rm -f urwid/tests/test_vterm.py
+%python_exec setup.py -q test
 
-%files
+%files %{python_files}
 %defattr(-,root,root,-)
 %doc COPYING README.rst
 %{python_sitearch}/urwid/
-%{python_sitearch}/urwid-%{version}-py%{py_ver}.egg-info
+%{python_sitearch}/urwid-%{version}-py%{python_version}.egg-info
 
 %changelog

++ python-urwid-fix_py3_test.patch ++
>From 4b0ed8b6030450e6d99909a7c683e9642e546387 Mon Sep 17 00:00:00 2001
From: Michael Hudson-Doyle 
Date: Wed, 7 Jun 2017 13:52:17 -0700
Subject: [PATCH] fix test_remove_watch_file flakiness

pass a known-good file descriptor to watch_file rather than hard-coding 5

Fixes #164
---
 urwid/tests/test_event_loops.py | 11 ---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/urwid/tests/test_event_loops.py b/urwid/tests/test_event_loops.py
index c85bbed..b01212d 100644
--- a/urwid/tests/test_event_loops.py
+++ b/urwid/tests/test_event_loops.py
@@ -30,9 +30,14 @@ def test_remove_alarm(self):
 
 def test_remove_watch_file(self):
 evl = self.evl
-handle = evl.watch_file(5, lambda: None)
-self.assertTrue(evl.remove_watch_file(handle))
-self.assertFalse(evl.remove_watch_file(handle))
+fd_r, fd_w = os.pipe()
+try:
+handle = evl.watch_file(fd_r, lambda: None)
+self.assertTrue(evl.remove_watch_file(handle))
+self.assertFalse(evl.remove_watch_file(handle))
+finally:
+

commit python-persistent for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-persistent for 
openSUSE:Factory checked in at 2017-07-21 22:46:12

Comparing /work/SRC/openSUSE:Factory/python-persistent (Old)
 and  /work/SRC/openSUSE:Factory/.python-persistent.new (New)


Package is "python-persistent"

Fri Jul 21 22:46:12 2017 rev:5 rq:506973 version:4.2.4.2

Changes:

--- /work/SRC/openSUSE:Factory/python-persistent/python-persistent.changes  
2015-05-11 19:49:25.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-persistent.new/python-persistent.changes 
2017-07-21 22:46:27.677594479 +0200
@@ -1,0 +2,61 @@
+Sat Jun 24 11:10:40 UTC 2017 - aloi...@gmx.com
+
+- Update to 4.2.4.2
+  * Packaging-only release: fix Python 2.7 manylinux wheels.
+  4.2.4.1:
+  * Packaging-only release: get manylinux wheel built 
+automatically.
+  4.2.4:
+  * Avoid raising a SystemError: error return without exception 
+set when loading an object with slots whose jar generates an 
+exception (such as a ZODB POSKeyError) in setstate.
+  4.2.3:
+  * Fix the hashcode of Python TimeStamp objects on 64-bit 
+Python on Windows. See 
+https://github.com/zopefoundation/persistent/pull/55
+  * Stop calling gc.collect every time PickleCache.incrgc is 
+called (every transaction boundary) in pure-Python mode (PyPy). 
+This means that the reported size of the cache may be wrong 
+(until the next GC), but it is much faster. This should not
+have any observable effects for user code.
+  * Stop clearing the dict and slots of objects added to 
+PickleCache.new_ghost (typically these values are passed to 
+__new__ from the pickle data) in pure-Python mode (PyPy). This
+matches the behaviour of the C code.
+  * Add support for Python 3.6.
+  * Fix __setstate__ interning when state parameter is not a 
+built-in dict
+  4.2.2:
+  * Drop use of ctypes for determining maximum integer size, to 
+increase pure-Python compatibility. See 
+https://github.com/zopefoundation/persistent/pull/31
+  * Ensure that __slots__ attributes are cleared when a 
+persistent object is ghostified. (This excluses classes that
+override __new__. See 
+https://github.com/zopefoundation/persistent/wiki/Notes_on_state_
+new_and_slots if you’re curious.)
+  4.2.1:
+  * Fix the hashcode of C TimeStamp objects on 64-bit Python 3 
+on Windows.
+  4.2.0:
+  * Fixed the Python(/PYPY) implementation TimeStamp.timeTime 
+method to have subsecond precision.
+  * When testing PURE_PYTHON environments under tox, avoid 
+poisoning the user’s global wheel cache.
+  * Add support for Python 3.5.
+  * Drop support for Python 2.6 and 3.2.
+  4.1.1:
+  * Fix manifest and re-upload to fix stray files included in 
+4.1.0.
+  4.1.0:
+  * Make the Python implementation of Persistent and PickleCache 
+behave more similarly to the C implementation. In particular, 
+the Python version can now run the complete ZODB and ZEO test 
+suites.
+  * Fix the hashcode of the Python TimeStamp on 32-bit platforms.
+
+- Converted to single-spec
+
+- Dropped fix_32-bit_timestamp_hashcode.patch (fixed upstream)
+
+---

Old:

  fix_32-bit_timestamp_hashcode.patch
  persistent-4.0.9.tar.gz

New:

  persistent-4.2.4.2.tar.gz



Other differences:
--
++ python-persistent.spec ++
--- /var/tmp/diff_new_pack.zuNsgi/_old  2017-07-21 22:46:29.489338909 +0200
+++ /var/tmp/diff_new_pack.zuNsgi/_new  2017-07-21 22:46:29.497337781 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-persistent
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2013 LISA GmbH, Bingen, Germany.
 #
 # All modifications and additions to the file contributed by third parties
@@ -17,28 +17,26 @@
 #
 
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-persistent
-Version:4.0.9
+Version:4.2.4.2
 Release:0
-Url:https://github.com/zopefoundation/persistent
 Summary:Translucent persistent objects
 License:ZPL-2.1
 Group:  Development/Languages/Python
-Source: 
https://pypi.python.org/packages/source/p/persistent/persistent-%{version}.tar.gz
-# PATCH-FIX-UPSTREAM fix_32-bit_timestamp_hashcode.patch -- fix timestamp hash 
computation on 32-bit platform
-Patch:  fix_32-bit_timestamp_hashcode.patch
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  python-devel
-BuildRequires:  python-setuptools
-BuildRequires:  python-zope.interface
-Requires:   python-zope.interface
+Url:

commit fldigi for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package fldigi for openSUSE:Factory checked 
in at 2017-07-21 22:45:39

Comparing /work/SRC/openSUSE:Factory/fldigi (Old)
 and  /work/SRC/openSUSE:Factory/.fldigi.new (New)


Package is "fldigi"

Fri Jul 21 22:45:39 2017 rev:1 rq:506261 version:4.0.6

Changes:

New Changes file:

--- /dev/null   2017-07-20 07:30:00.335470106 +0200
+++ /work/SRC/openSUSE:Factory/.fldigi.new/fldigi.changes   2017-07-21 
22:45:54.958209972 +0200
@@ -0,0 +1,1285 @@
+---
+Mon Jun 26 12:49:09 UTC 2017 - mar...@gmx.de
+
+- Update to version 4.0.6:
+ * flmsg alert - added enabled test
+ * Time Macros - Corrected  format string
+ * Require PortAudio - fail compilation if portaudio not detected
+ * documentation update
+
+---
+Wed Jun 21 11:38:18 UTC 2017 - mar...@gmx.de
+
+- Update to version 4.0.5:
+  * Change to support IPv6 sockets
+  * PTT selectable on N3FJP interface 
+  * Selection of full/half duplex audio interface
+  * Macro and audio alerts enabled for FSQ modem
+  * Audio alerts for pre and user defined events
+  * Added warning dialog to Restore configuration button
+  * CW user selectable squelch attack/decay
+  * CW Extended UTF-8 Morse characters
+- Remove patch:
+  - fldigi-license.patch (fixed upstream)
+
+---
+Tue Jun 13 10:38:54 UTC 2017 - mplus...@suse.com
+
+- Update to version 4.0.4:
+  * cw scanner
++ adds multi signal scanner / browser
++ Sound Card
+  + keep input and output sound card devices open for duration
+of fldigi execution
+  + Corrected tune output device
++ Changed tune, wfid, video and cw-id to use tx offset
+  * CW QSY
++ Correct QSY when transceiver in CW and CW-R type modes
+  * CALL field size
++ Increased CALL, OP_CALL, STA_CALL from 15 to 30 chars
+  * LOG area controls
++ Resize controls to add County entry control.  Allow user
+  to select which extra qso field is displayed; country or
+  county.
+
+---
+Tue Jun 13 10:06:51 UTC 2017 - mplus...@suse.com
+
+- Add fldigi-license.patch to fix obvious typo in license
+
+---
+Sun May  7 23:34:07 UTC 2017 - jeng...@inai.de
+
+- Strip redundant parts from description.
+
+---
+Wed May  3 19:04:34 UTC 2017 - mar...@gmx.de
+
+- Update to version 4.0.3
+  + OS X Wizard
+  + cw decoder
+  + CW wait
+
+---
+Mon Apr 24 13:48:28 UTC 2017 - mplus...@suse.com
+
+- Split lang subpackage
+- Add dekstop file scriplets
+
+---
+Sun Apr 16 15:19:11 UTC 2017 - mar...@gmx.de
+
+- Fix Url
+- Use pkgconfig-style for BuildRequires
+- Specfile cleanup
+
+---
+Sat Apr 15 07:38:48 UTC 2017 - dl8...@darc.de
+
+- update to version 4.0.2
+  see readme.txt
+
+---
+Tue Mar 28 17:21:51 UTC 2017 - dl8...@darc.de
+
+- update to version 4.0.1
+  see readme.txt
+
+---
+Mon Jan 30 21:25:59 UTC 2017 - dl8...@darc.de
+
+- update to version 3.23.21 - Maintenance release
+  see readme.txt
+
+---
+Tue Jan 10 23:08:30 UTC 2017 - dl8...@darc.de
+
+- update to version 3.23.20 - Maintenance release
+  see readme.txt
+
+---
+Sat Dec 24 21:23:48 UTC 2016 - dl8...@t-online.de
+
+- update to version 3.23.19 - Maintenance release
+  see readme.txt
+
+---
+Tue Dec 13 16:07:30 UTC 2016 - dl8...@darc.de
+
+- update to version 3.23.18 - Maintenance release
+  see readme.txt
+
+---
+Thu Dec  8 16:53:26 UTC 2016 - dl8...@darc.de
+
+- update to version 3.23.17 - Maintenance release
+  see readme.txt
+
+---
+Mon Nov  7 22:56:16 UTC 2016 - dl8...@t-online.de
+
+- update to version 3.23.15 - Maintenance release
+  see readme.txt
+
+---
+Sun Sep 18 17:47:37 UTC 2016 - dl8...@darc.de
+
+- update to version 3.23.14 - Maintenance release
+  see readme.txt
+
+---
+Sun Aug  7 12:04:56 UTC 2016 - dl8...@t-online.de
+
+- 

commit perl-Parse-Yapp for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package perl-Parse-Yapp for openSUSE:Factory 
checked in at 2017-07-21 22:45:29

Comparing /work/SRC/openSUSE:Factory/perl-Parse-Yapp (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Parse-Yapp.new (New)


Package is "perl-Parse-Yapp"

Fri Jul 21 22:45:29 2017 rev:22 rq:506098 version:1.2

Changes:

--- /work/SRC/openSUSE:Factory/perl-Parse-Yapp/perl-Parse-Yapp.changes  
2013-03-01 08:03:57.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Parse-Yapp.new/perl-Parse-Yapp.changes 
2017-07-21 22:45:30.393675120 +0200
@@ -1,0 +2,6 @@
+Thu Jun 15 06:05:04 UTC 2017 - co...@suse.com
+
+- updated to 1.2
+   see /usr/share/doc/packages/perl-Parse-Yapp/Changes
+
+---

Old:

  Parse-Yapp-1.05.tar.gz

New:

  Parse-Yapp-1.2.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-Parse-Yapp.spec ++
--- /var/tmp/diff_new_pack.WqBdxt/_old  2017-07-21 22:45:31.157567364 +0200
+++ /var/tmp/diff_new_pack.WqBdxt/_new  2017-07-21 22:45:31.157567364 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Parse-Yapp
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,54 +17,48 @@
 
 
 Name:   perl-Parse-Yapp
-Version:1.05
+Version:1.2
 Release:0
-Url:http://cpan.org/modules/by-module/Parse
+#Upstream:  The Parse::Yapp module and its related modules and shell scripts 
are You may use and distribute them under the terms of either the GNU General 
Public License or the Artistic License, as specified in the Perl README file. 
If you use the "standalone parser" option so people don't need to install
+%define cpan_name Parse-Yapp
 Summary:Perl extension for generating and using LALR parsers
 License:Artistic-1.0 or GPL-2.0+
 Group:  Development/Libraries/Perl
-Source: Parse-Yapp-%{version}.tar.gz
+Url:http://search.cpan.org/dist/Parse-Yapp/
+Source0:
https://cpan.metacpan.org/authors/id/W/WB/WBRASWELL/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
+BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%{perl_requires}
 BuildRequires:  perl
 BuildRequires:  perl-macros
+%{perl_requires}
 
 %description
-Parse::Yapp (Yet Another Perl Parser compiler) is a collection of
-modules that let you generate and use yacc like thread safe (reentrant)
-parsers with perl object oriented interface.
-
+Parse::Yapp (Yet Another Perl Parser compiler) is a collection of modules
+that let you generate and use yacc like thread safe (reentrant) parsers
+with perl object oriented interface.
 
-
-Authors:
-
-Francois Desarmenien 
+The script yapp is a front-end to the Parse::Yapp module and let you easily
+create a Perl OO parser from an input grammar file.
 
 %prep
-%setup -n Parse-Yapp-%{version}
+%setup -q -n %{cpan_name}-%{version}
+find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644
 
 %build
-perl Makefile.PL
-make %{?_smp_mflags}
-make test
+%{__perl} Makefile.PL INSTALLDIRS=vendor
+%{__make} %{?_smp_mflags}
+
+%check
+%{__make} test
 
 %install
-rm -rf $RPM_BUILD_ROOT
-make DESTDIR=$RPM_BUILD_ROOT install_vendor
+%perl_make_install
 %perl_process_packlist
-chmod 644 README
-chmod 644 $RPM_BUILD_ROOT/%{perl_vendorlib}/Parse/*.pm
-chmod 644 $RPM_BUILD_ROOT/%{perl_vendorlib}/Parse/Yapp/*.pm
-
-%clean
-rm -rf $RPM_BUILD_ROOT
-
-%files
-%defattr(-, root, root)
-%doc Changes README
-%doc %{_mandir}/man?/*
-%{perl_vendorlib}/Parse
-%{perl_vendorarch}/auto/Parse
-%{_bindir}/*
+%perl_gen_filelist
+
+%files -f %{name}.files
+%defattr(-,root,root,755)
+%doc Calc.yp Changes docs README README.md yapp YappParse.yp
 
 %changelog

++ Parse-Yapp-1.05.tar.gz -> Parse-Yapp-1.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Parse-Yapp-1.05/Changes new/Parse-Yapp-1.2/Changes
--- old/Parse-Yapp-1.05/Changes 2001-11-05 15:33:19.0 +0100
+++ new/Parse-Yapp-1.2/Changes  2017-06-14 10:46:21.0 +0200
@@ -159,6 +159,18 @@
- Updated copyright boundaries
 - Stress test added (compile and check a full C++ grammar)
 1.04 Mon Feb 12 16:46:37 CET 2001
-- Bug correction in YappParse.yp _Lexer sub to accept '\\' litterals
+- Bug correction in YappParse.yp _Lexer sub to accept '\\' literals
   (Thanks to Denis Barbier to catch this one)
 1.05 Sun Nov  4 20:32:32 CET 2001
+1.06 Wed Jun 14 2017
+- First 

commit sigrok-firmware-fx2lafw for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package sigrok-firmware-fx2lafw for 
openSUSE:Factory checked in at 2017-07-21 22:45:05

Comparing /work/SRC/openSUSE:Factory/sigrok-firmware-fx2lafw (Old)
 and  /work/SRC/openSUSE:Factory/.sigrok-firmware-fx2lafw.new (New)


Package is "sigrok-firmware-fx2lafw"

Fri Jul 21 22:45:05 2017 rev:3 rq:503965 version:0.1.5

Changes:

--- 
/work/SRC/openSUSE:Factory/sigrok-firmware-fx2lafw/sigrok-firmware-fx2lafw.changes
  2014-08-06 11:42:27.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.sigrok-firmware-fx2lafw.new/sigrok-firmware-fx2lafw.changes
 2017-07-21 22:45:08.008832795 +0200
@@ -1,0 +2,32 @@
+Wed Jun 14 09:06:18 UTC 2017 - davejpla...@gmail.com
+
+- Update to version 0.1.5
+- Upstream changes since 0.1.2:
+ * Add FX2 firmware for the Hantek 6022BL USB scope/LA.
+ * HACKING: Update URL to Linux kernel coding style.
+ * Remove FSF postal address from boiler plate license text.
+ * Add FX2 firmware for the Hantek 6022BE and SainSmart DDS120 USB scopes.
+   These firmware files use the official sigrok USB VID/PID of 1D50:608E.
+   The USB VID/PID pairs are allocated for fx2lafw via the OpenMoko project:
+   http://wiki.openmoko.org/wiki/USB_Product_IDs
+ * Add analog channel support for the USBee AX (and potentially other devices).
+   Only one analog channel is supported. Switching channels (in case there
+   are multiple analog channels) is not yet implemented.
+ * Add support for the USBee ZX (bug #764).
+ * Use per-device USB product string descriptors.
+ * Bump the firmware version (major.minor) to 1.2. This version is
+   backwards-compatible and doesn't require host-side (libsigrok) changes.
+ * README: Update prebuilt firmware download location, other cleanups.
+ * HACKING: Prefer git pull requests over mailing list patches.
+ * README: Drop references to obsolete sigrok-commits mailing list.
+ * Build system:
+Use non-recursive Make setup.
+Simplify and/or improve various parts of the build system.
+configure: Check the sdcc version (bug #696).
+ * Add firmware files for FX2 devices with official sigrok VID/PID:
+1D50:608C: fx2lafw-sigrok-fx2-8ch.fw
+1D50:608D: fx2lafw-sigrok-fx2-16ch.fw
+   The USB VID/PID pairs are allocated for fx2lafw via the OpenMoko project:
+   http://wiki.openmoko.org/wiki/USB_Product_IDs
+
+---

Old:

  sigrok-firmware-fx2lafw-0.1.2.tar.gz

New:

  sigrok-firmware-fx2lafw-0.1.5.tar.gz



Other differences:
--
++ sigrok-firmware-fx2lafw.spec ++
--- /var/tmp/diff_new_pack.62hWIu/_old  2017-07-21 22:45:08.752727859 +0200
+++ /var/tmp/diff_new_pack.62hWIu/_new  2017-07-21 22:45:08.756727295 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package sigrok-firmware-fx2lafw
 #
-# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,19 +17,19 @@
 
 
 Summary:Firmware for Logic Analyzers based on the Cypress EZ-USB 
FX2(LP) Chip
-
-Name:   sigrok-firmware-fx2lafw
-Version:0.1.2
-Release:1
 License:GPL-2.0+
 Group:  Hardware/Other
+
+Name:   sigrok-firmware-fx2lafw
+Version:0.1.5
+Release:0
 BuildArch:  noarch
 Url:http://sigrok.org
 Source0:
http://sigrok.org/download/source/sigrok-firmware-fx2lafw/%{name}-%{version}.tar.gz
-BuildRequires:  sdcc
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  libtool
+BuildRequires:  sdcc
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description

++ sigrok-firmware-fx2lafw-0.1.2.tar.gz -> 
sigrok-firmware-fx2lafw-0.1.5.tar.gz ++
 13090 lines of diff (skipped)




commit python-yara for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-yara for openSUSE:Factory 
checked in at 2017-07-21 22:44:58

Comparing /work/SRC/openSUSE:Factory/python-yara (Old)
 and  /work/SRC/openSUSE:Factory/.python-yara.new (New)


Package is "python-yara"

Fri Jul 21 22:44:58 2017 rev:2 rq:501386 version:3.6.1

Changes:

--- /work/SRC/openSUSE:Factory/python-yara/python-yara.changes  2016-11-12 
13:00:41.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-yara.new/python-yara.changes 
2017-07-21 22:44:59.849983708 +0200
@@ -1,0 +2,6 @@
+Tue Jun  6 12:21:28 UTC 2017 - greg.freem...@gmail.com
+
+- update to v3.6.1
+  - see yara package for changelog
+
+---

Old:

  v3.5.0.tar.gz

New:

  v3.6.1.tar.gz



Other differences:
--
++ python-yara.spec ++
--- /var/tmp/diff_new_pack.QCbz1N/_old  2017-07-21 22:45:00.933830818 +0200
+++ /var/tmp/diff_new_pack.QCbz1N/_new  2017-07-21 22:45:00.937830253 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-yara
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,13 +17,13 @@
 
 
 Name:   python-yara
-Version:3.5.0
+Version:3.6.1
 Release:0
 Summary:Python Bindings for YARA (from Virus Total)
 License:Apache-2.0
 Group:  Development/Libraries/Python
 Url:https://github.com/VirusTotal/yara-python/wiki
-Source: https://github.com/VirusTotal/yara-python/archive/v3.5.0.tar.gz
+Source: 
https://github.com/VirusTotal/yara-python/archive/v%{version}.tar.gz
 BuildRequires:  fdupes
 BuildRequires:  pkgconfig
 BuildRequires:  python-setuptools

++ v3.5.0.tar.gz -> v3.6.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yara-python-3.5.0/.travis.yml 
new/yara-python-3.6.1/.travis.yml
--- old/yara-python-3.5.0/.travis.yml   1970-01-01 01:00:00.0 +0100
+++ new/yara-python-3.6.1/.travis.yml   2017-06-06 00:49:35.0 +0200
@@ -0,0 +1,15 @@
+language: python
+
+python:
+  - "2.6"
+  - "2.7"
+  - "3.3"
+  - "3.4"
+  - "3.5"
+  - "3.6"
+
+install:
+  - python setup.py install
+
+script:
+  - python tests.py
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yara-python-3.5.0/MANIFEST.in 
new/yara-python-3.6.1/MANIFEST.in
--- old/yara-python-3.5.0/MANIFEST.in   2016-08-03 13:33:12.0 +0200
+++ new/yara-python-3.6.1/MANIFEST.in   2017-06-06 00:49:35.0 +0200
@@ -1,3 +1,4 @@
-include *.c *.h
+include *.c
 include yara/libyara/modules/module_list
 recursive-include yara *.c *.h
+include LICENSE
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yara-python-3.5.0/README.rst 
new/yara-python-3.6.1/README.rst
--- old/yara-python-3.5.0/README.rst2016-08-03 13:33:12.0 +0200
+++ new/yara-python-3.6.1/README.rst2017-06-06 00:49:35.0 +0200
@@ -1,3 +1,8 @@
+.. image:: https://travis-ci.org/VirusTotal/yara-python.svg
+:target: https://travis-ci.org/VirusTotal/yara-python
+.. image:: 
https://ci.appveyor.com/api/projects/status/gidnb9ulj3rje5s2?svg=true
+:target: https://ci.appveyor.com/project/plusvic/yara-python
+
 yara-python
 ===
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yara-python-3.5.0/appveyor/install.ps1 
new/yara-python-3.6.1/appveyor/install.ps1
--- old/yara-python-3.5.0/appveyor/install.ps1  1970-01-01 01:00:00.0 
+0100
+++ new/yara-python-3.6.1/appveyor/install.ps1  2017-06-06 00:49:35.0 
+0200
@@ -0,0 +1,229 @@
+# Sample script to install Python and pip under Windows
+# Authors: Olivier Grisel, Jonathan Helmus, Kyle Kastner, and Alex Willmer
+# License: CC0 1.0 Universal: http://creativecommons.org/publicdomain/zero/1.0/
+
+$MINICONDA_URL = "http://repo.continuum.io/miniconda/;
+$BASE_URL = "https://www.python.org/ftp/python/;
+$GET_PIP_URL = "https://bootstrap.pypa.io/get-pip.py;
+$GET_PIP_PATH = "C:\get-pip.py"
+
+$PYTHON_PRERELEASE_REGEX = @"
+(?x)
+(?\d+)
+\.
+(?\d+)
+\.
+(?\d+)
+(?[a-z]{1,2}\d+)
+"@
+
+
+function Download ($filename, $url) {
+$webclient = New-Object System.Net.WebClient
+
+$basedir = $pwd.Path + "\"
+$filepath = $basedir + $filename
+if (Test-Path $filename) {
+Write-Host "Reusing" $filepath
+return $filepath
+}
+
+# Download and retry up to 3 times in case of network transient errors.
+

commit gnome-mpv for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package gnome-mpv for openSUSE:Factory 
checked in at 2017-07-21 22:45:03

Comparing /work/SRC/openSUSE:Factory/gnome-mpv (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-mpv.new (New)


Package is "gnome-mpv"

Fri Jul 21 22:45:03 2017 rev:5 rq:503070 version:0.12

Changes:

--- /work/SRC/openSUSE:Factory/gnome-mpv/gnome-mpv.changes  2017-05-10 
20:53:58.397588528 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-mpv.new/gnome-mpv.changes 2017-07-21 
22:45:03.773430254 +0200
@@ -1,0 +2,5 @@
+Mon Jun 12 11:20:12 UTC 2017 - aloi...@gmx.com
+
+- Update to version 0.12: no changelog available
+
+---

Old:

  gnome-mpv-0.11.tar.xz

New:

  gnome-mpv-0.12.tar.xz



Other differences:
--
++ gnome-mpv.spec ++
--- /var/tmp/diff_new_pack.xuhSmT/_old  2017-07-21 22:45:04.417339423 +0200
+++ /var/tmp/diff_new_pack.xuhSmT/_new  2017-07-21 22:45:04.421338859 +0200
@@ -18,13 +18,14 @@
 
 %define _name   GnomeMpv
 Name:   gnome-mpv
-Version:0.11
+Version:0.12
 Release:0
 Summary:Simple GTK+ frontend for MPV
 License:GPL-3.0+
 Group:  Productivity/Multimedia/Video/Players
 Url:https://github.com/gnome-mpv/gnome-mpv
 Source: 
https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
+BuildRequires:  gettext-runtime-mini >= 0.19.7
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  intltool >= 0.40.6
 BuildRequires:  pkgconfig

++ gnome-mpv-0.11.tar.xz -> gnome-mpv-0.12.tar.xz ++
 48505 lines of diff (skipped)




commit qnapi for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package qnapi for openSUSE:Factory checked 
in at 2017-07-21 22:44:42

Comparing /work/SRC/openSUSE:Factory/qnapi (Old)
 and  /work/SRC/openSUSE:Factory/.qnapi.new (New)


Package is "qnapi"

Fri Jul 21 22:44:42 2017 rev:5 rq:500796 version:0.2.3

Changes:

--- /work/SRC/openSUSE:Factory/qnapi/qnapi.changes  2017-04-06 
11:02:55.820967918 +0200
+++ /work/SRC/openSUSE:Factory/.qnapi.new/qnapi.changes 2017-07-21 
22:44:47.271758033 +0200
@@ -1,0 +2,15 @@
+Fri Jun  2 20:54:07 UTC 2017 - aloi...@gmx.com
+
+- Update to version 0.2.3 (machine-translated from Polish):
+  * Possibility to select the user interface language
+(english / polish / italian) - (thx Fincer, luigino)
+  * Rebuilt application configuration subsystem
+  * Split application between library (libqnapi) and user
+interface (gui)
+  * Target formatting / caption extension by line argument - # 65
+  * Fixed issue with loss of color information for captions during
+conversion - # 100
+
+- Qnapi now includes libmaia and qt-maybe
+
+---

Old:

  qnapi-0.2.2.tar.gz

New:

  qnapi-0.2.3.tar.gz



Other differences:
--
++ qnapi.spec ++
--- /var/tmp/diff_new_pack.OWkDUT/_old  2017-07-21 22:44:47.819680741 +0200
+++ /var/tmp/diff_new_pack.OWkDUT/_new  2017-07-21 22:44:47.819680741 +0200
@@ -17,11 +17,13 @@
 
 
 Name:   qnapi
-Version:0.2.2
+Version:0.2.3
 Release:0
 Summary:A NapiProjekt client
-License:GPL-2.0+
+# libmaia and qt-maybe are BSD-2-Clause and BSD-3-Clause respectively
+License:GPL-2.0+ and BSD-2-Clause and BSD-3-Clause
 Group:  Productivity/Multimedia/Other
+Summary(it):Client NapiProjekt
 Summary(pl):Klient NapiProjekt
 Url:http://qnapi.github.io/
 Source0:
https://github.com/QNapi/qnapi/releases/download/%{version}/%{name}-%{version}.tar.gz
@@ -43,6 +45,11 @@
 written using Qt5. It's focused to be functional on GNU/Linux and other
 Unix-like systems, for which NapiProjekt is not available.
 
+%description -l it
+QNapi è un clone non ufficiale del programma NapiProjekt 
(http://napiprojekt.pl)
+scritto usando Qt5. È indirizzato alla funzionalità su GNU/Linux ed altri 
sistemi
+simili a Unix, per cui NapiProjekt non è disponibile.
+
 %description -l pl
 QNapi jest nieoficjalnym klonem programu NapiProjekt (http://napiprojekt.pl)
 napisanym w bibliotece Qt5 z myślą o użytkownikach Linuksa oraz innych
@@ -50,8 +57,8 @@
 
 %prep
 %setup -q
-### Fix paths specific for openSUSE
-sed -i 's|doc.path = $${INSTALL_PREFIX}/share/doc/$${TARGET}|doc.path = 
$${INSTALL_PREFIX}/share/doc/packages/$${TARGET}|' qnapi.pro
+# Fix paths specific for openSUSE
+sed -i 's|doc.path = $${INSTALL_PREFIX}/share/doc/qnapi|doc.path = 
$${INSTALL_PREFIX}/share/doc/packages/qnapi|' qnapi.pro
 
 %build
 # fixes gcc6 problem with stdlib headers
@@ -67,7 +74,7 @@
 install -m 644 -D doc/qnapi-download.desktop 
%{buildroot}%{_datadir}/kservices5/ServiceMenus/qnapi-download.desktop
 install -m 644 -D doc/qnapi-scan.desktop 
%{buildroot}%{_datadir}/kservices5/ServiceMenus/qnapi-scan.desktop
 
-### Fix for "wrong-file-end-of-line-encoding" doc/ChangeLog file
+# Fix for "wrong-file-end-of-line-encoding" doc/ChangeLog file
 sed -i 's/\r//' doc/ChangeLog
 
 %fdupes %{buildroot}%{_prefix}
@@ -80,6 +87,8 @@
 %{_datadir}/icons/*
 %{_datadir}/applications/%{name}.desktop
 %attr(644,root,root) %{_mandir}/man1/*
+%{_mandir}/it/man1/qnapi.1.gz
+%{_mandir}/pl/man1/qnapi.1.gz
 %dir %{_datadir}/kde4
 %dir %{_datadir}/kde4/services
 %dir %{_datadir}/kde4/services/ServiceMenus

++ qnapi-0.2.2.tar.gz -> qnapi-0.2.3.tar.gz ++
 36475 lines of diff (skipped)




commit geos for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package geos for openSUSE:Factory checked in 
at 2017-07-21 22:44:34

Comparing /work/SRC/openSUSE:Factory/geos (Old)
 and  /work/SRC/openSUSE:Factory/.geos.new (New)


Package is "geos"

Fri Jul 21 22:44:34 2017 rev:7 rq:500554 version:3.6.1

Changes:

--- /work/SRC/openSUSE:Factory/geos/geos.changes2016-12-10 
18:30:30.794478904 +0100
+++ /work/SRC/openSUSE:Factory/.geos.new/geos.changes   2017-07-21 
22:44:41.344594137 +0200
@@ -1,0 +2,27 @@
+Mon May 29 12:40:48 UTC 2017 - mplus...@suse.com
+
+- Update to version 3.6.1:
+  * Bug fixes / improvements
++ Fix GEOSSTRtree_nearest_r signature and add implementation (#796)
++ Fix --static-clibs and --static-cclibs returns from geos-config
++ Fix WKB representation of empty polygon (#680).
++ Fix empty GEOSSimplify return on inner ring collapse (#741)
+- Changes in 3.6.0
+  * Important / Breaking Changes:
++ The PHP binding moved to its own repository:
+  http://git.osgeo.org/gogs/geos/php-geos (#765)
+  * New things:
++ CAPI: GEOSGeom_{get,set}UserData (Rashad Kanavath)
++ CAPI: GEOSGeom_{set,get}Precision (#713)
++ CAPI: GEOSMinimumRotatedRectangle and GEOSMinimumWidth
+  (#729, Nyall Dawson)
++ CAPI: GEOSSTRtree_nearest (#768, Dan Baston)
++ CAPI: GEOSMinimumClearance and GEOSMinimumClearanceLine
+  (#776, Dan Baston)
+  * C++ API changes:
++ Automatic memory management for GeometryFactory objects
+- Drop doc and php subpackages
+- Drop no longer needed:
+  * geos.ini
+
+---

Old:

  geos-3.5.1.tar.bz2
  geos.ini

New:

  geos-3.6.1.tar.bz2



Other differences:
--
++ geos.spec ++
--- /var/tmp/diff_new_pack.ZEHiug/_old  2017-07-21 22:44:44.164196395 +0200
+++ /var/tmp/diff_new_pack.ZEHiug/_new  2017-07-21 22:44:44.168195831 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package geos
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,9 +16,9 @@
 #
 
 
-%define uver   3_5_1
+%define uver   3_6_1
 Name:   geos
-Version:3.5.1
+Version:3.6.1
 Release:0
 Summary:Geometry Engine - Open Source
 License:LGPL-2.1
@@ -26,25 +26,12 @@
 Url:http://trac.osgeo.org/geos/
 Source0:http://download.osgeo.org/%{name}/%{name}-%{version}.tar.bz2
 Source1:%{name}-config.1
-Source2:%{name}.ini
 Patch0: libruby.patch
-BuildRequires:  doxygen
 BuildRequires:  gcc-c++
-BuildRequires:  libtool
-BuildRequires:  python-devel
-BuildRequires:  swig
-Provides:   libgeos = %{version}
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%if 0%{?suse_version} > 1210
-BuildRequires:  ruby
+BuildRequires:  pkgconfig
 BuildRequires:  ruby-devel
-%endif
-# Dependencies for opensuse but not for SLE-12
-%if 0%{?suse_version} >= 1210 && 0%{?suse_version} != 1315
-BuildRequires:  chrpath
-BuildRequires:  php-devel
-BuildRequires:  php5-pear-phpunit
-%endif
+BuildRequires:  swig
+BuildRequires:  pkgconfig(python2)
 
 %description
 GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology
@@ -87,23 +74,6 @@
 
 This package contains python bindings for Geometry Engine.
 
-%if 0%{?suse_version} >= 1210 && 0%{?suse_version} != 1315
-%package -n php5-%{name}
-Summary:PHP bindings for Geometry Engine
-Group:  Development/Languages/Other
-Requires:   php5 >= %{phpversion}
-
-%description -n php5-%{name}
-GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology
-Suite (JTS). As such, it aims to contain the complete functionality of
-JTS in C++. This includes all the OpenGIS "Simple Features for SQL" spatial
-predicate functions and spatial operators, as well as specific JTS topology
-functions such as IsValid()
-
-This package contains php bindings for Geometry Engine.
-%endif
-
-%if 0%{?suse_version} > 1210
 %package -n ruby-%{name}
 Summary:Ruby bindings for Geometry Engine
 Group:  Development/Languages/Ruby
@@ -117,7 +87,6 @@
 functions such as IsValid()
 
 This package contains ruby bindings for Geometry Engine.
-%endif
 
 %package devel
 Summary:Development files for GEOS
@@ -136,85 +105,30 @@
 This package contains the development files to build applications that
 use GEOS.
 
-%package doc
-Summary:Development documentation for GEOS
-Group:  Documentation/HTML
-%if 0%{?suse_version} > 1210
-BuildArch:  noarch
-%endif
-
-%description doc
-GEOS (Geometry Engine - 

commit yara for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package yara for openSUSE:Factory checked in 
at 2017-07-21 22:44:53

Comparing /work/SRC/openSUSE:Factory/yara (Old)
 and  /work/SRC/openSUSE:Factory/.yara.new (New)


Package is "yara"

Fri Jul 21 22:44:53 2017 rev:5 rq:501373 version:3.6.1

Changes:

--- /work/SRC/openSUSE:Factory/yara/yara.changes2016-11-14 
20:15:16.0 +0100
+++ /work/SRC/openSUSE:Factory/.yara.new/yara.changes   2017-07-21 
22:44:54.934677077 +0200
@@ -1,0 +2,18 @@
+Tue Jun  6 10:15:25 UTC 2017 - greg.freem...@gmail.com
+
+- update to v3.6.1
+  * BUGFIX: Stack overflow caused by uncontrolled recursiveness (CVE-2017-9304)
+  * BUGFIX: pe.overlay.size was undefined if the PE didn't have an overlay. 
Now it's set to 0 in those cases.
+  * BUGFIX: Fix initalization issue that could cause a crash if rules compiled 
with a 32bit yarac is used with a 64bit yara.
+- update to v3.6.0
+  * .NET module (Wesley Shields)
+  * New features for ELF module (Jacob Baines)
+  * Fix endianness issues (Hilko Bengen)
+  * Function yr_compiler_add_fd added to libyara
+  * MAX_THREADS limit can be arbitrarily increased (Emerson R. Wiley)
+  * Added --fail-on-warnings command-line option
+  * Multiple bug fixes:
+   CVE-2016-10210, CVE-2016-10211, CVE-2017-5923, CVE-2017-5924, 
+   CVE-2017-8294, CVE-2017-8929, CVE-2017-9438
+
+---
@@ -20,0 +39 @@
+- add BuildRequires: pkg-config as documented in the openSUSE packaging 
guidelines

Old:

  v3.5.0.tar.gz

New:

  v3.6.1.tar.gz



Other differences:
--
++ yara.spec ++
--- /var/tmp/diff_new_pack.6LyC15/_old  2017-07-21 22:44:56.762419250 +0200
+++ /var/tmp/diff_new_pack.6LyC15/_new  2017-07-21 22:44:56.766418686 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package yara
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %define soname 3
 Name:   yara
-Version:3.5.0
+Version:3.6.1
 Release:0
 Summary:A malware identification and classification tool
 License:Apache-2.0
@@ -46,7 +46,7 @@
 
 %package -n python-%name
 Summary:Python bindings to support the yara malware identification tool
-Group:  Development/Libraries/Python
+Group:  Development/Languages/Python
 Requires:   python
 
 %description -n python-%name

++ v3.5.0.tar.gz -> v3.6.1.tar.gz ++
/work/SRC/openSUSE:Factory/yara/v3.5.0.tar.gz 
/work/SRC/openSUSE:Factory/.yara.new/v3.6.1.tar.gz differ: char 16, line 1




commit engauge-digitizer for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package engauge-digitizer for 
openSUSE:Factory checked in at 2017-07-21 22:44:47

Comparing /work/SRC/openSUSE:Factory/engauge-digitizer (Old)
 and  /work/SRC/openSUSE:Factory/.engauge-digitizer.new (New)


Package is "engauge-digitizer"

Fri Jul 21 22:44:47 2017 rev:14 rq:500843 version:10.0

Changes:

--- /work/SRC/openSUSE:Factory/engauge-digitizer/engauge-digitizer.changes  
2017-01-15 11:21:23.150293197 +0100
+++ /work/SRC/openSUSE:Factory/.engauge-digitizer.new/engauge-digitizer.changes 
2017-07-21 22:44:49.515441532 +0200
@@ -1,0 +2,25 @@
+Fri Jun  2 12:24:11 UTC 2017 - badshah...@gmail.com
+
+- Add engauge-digitizer-license-fix.patch: Remove ancient unwanted
+  license info; patch taken from upstream git
+  (gh#markummitchell/engauge-digitizer#230).
+
+---
+Mon Apr 17 10:14:18 UTC 2017 - badshah...@gmail.com
+
+- Add BuildRequires on tex(xtab.sty) to fix build failure on
+  openSUSE Leap 42.1 (this is automatically pulled in for Leap
+  42.2 and higher, so having the BuildRequires unconditionally
+  doesn't hurt).
+
+---
+Thu Apr 13 02:13:47 UTC 2017 - badshah...@gmail.com
+
+- Update to version 10.0:
+  * Maps with a scale bar are supported
+(gh#markummitchell/engauge-digitizer#208,
+gh#markummitchell/engauge-digitizer#224).
+  * Include missing points during export of interpolated relation
+curves (gh#markummitchell/engauge-digitizer#222).
+
+---

Old:

  v9.8.tar.gz

New:

  engauge-digitizer-license-fix.patch
  v10.0.tar.gz



Other differences:
--
++ engauge-digitizer.spec ++
--- /var/tmp/diff_new_pack.Kck1pO/_old  2017-07-21 22:44:51.619144776 +0200
+++ /var/tmp/diff_new_pack.Kck1pO/_new  2017-07-21 22:44:51.623144212 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   engauge-digitizer
-Version:9.8
+Version:10.0
 Release:0
 Summary:Ditigize old graphs into numbers again
 License:GPL-2.0+
@@ -25,6 +25,8 @@
 Url:http://markummitchell.github.io/engauge-digitizer/
 Source0:
https://github.com/markummitchell/%{name}/archive/v%{version}.tar.gz
 Source1:%{name}-rpmlintrc
+# PATCH-FIX-UPSTREAM gh#markummitchell/engauge-digitizer#230 
badshah...@gmail.com -- Remove ancient unwanted license info; patch taken from 
upstream git
+Patch0: engauge-digitizer-license-fix.patch
 BuildRequires:  doxygen
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -70,6 +72,7 @@
 BuildRequires:  tex(tocloft.sty)
 BuildRequires:  tex(wasy7.tfm)
 BuildRequires:  tex(wasysym.sty)
+BuildRequires:  tex(xtab.sty)
 Requires(post): desktop-file-utils
 Requires(postun): desktop-file-utils
 Recommends: %{name}-doc
@@ -92,6 +95,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 # ADD JPEG2000 SUPPORT

++ engauge-digitizer-license-fix.patch ++
>From a82afe75aa5a0aea21a54df466eb4fd89f7bff49 Mon Sep 17 00:00:00 2001
From: markummitchell 
Date: Thu, 1 Jun 2017 19:31:01 -0700
Subject: [PATCH] Remove ancient unwanted license info for #230

---
 src/Callback/CallbackSearchReturn.h | 6 --
 1 file changed, 6 deletions(-)

diff --git a/src/Callback/CallbackSearchReturn.h 
b/src/Callback/CallbackSearchReturn.h
index 20fc7d17..2dc593d1 100644
--- a/src/Callback/CallbackSearchReturn.h
+++ b/src/Callback/CallbackSearchReturn.h
@@ -4,12 +4,6 @@
  * LICENSE or go to gnu.org/licenses for details. Distribution requires prior 
written permission. *
  
**/
 
-/**
- * \file CallbackSearchReturn.h
- * \brief
- * \copyright Copyright (c) 2012 Mark Mitchell. All rights reserved. 
Distribution requires prior written permission.
- */
-
 #ifndef CALLBACK_SEARCH_RETURN_H
 #define CALLBACK_SEARCH_RETURN_H
 
++ v9.8.tar.gz -> v10.0.tar.gz ++
/work/SRC/openSUSE:Factory/engauge-digitizer/v9.8.tar.gz 
/work/SRC/openSUSE:Factory/.engauge-digitizer.new/v10.0.tar.gz differ: char 16, 
line 1




commit syslog-ng for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package syslog-ng for openSUSE:Factory 
checked in at 2017-07-21 22:44:26

Comparing /work/SRC/openSUSE:Factory/syslog-ng (Old)
 and  /work/SRC/openSUSE:Factory/.syslog-ng.new (New)


Package is "syslog-ng"

Fri Jul 21 22:44:26 2017 rev:89 rq:505230 version:3.10.1

Changes:

--- /work/SRC/openSUSE:Factory/syslog-ng/syslog-ng.changes  2017-04-11 
09:40:45.338438451 +0200
+++ /work/SRC/openSUSE:Factory/.syslog-ng.new/syslog-ng.changes 2017-07-21 
22:44:27.994477347 +0200
@@ -1,0 +2,14 @@
+Wed Jun 21 09:31:13 CEST 2017 - pe...@czanik.hu
+
+- update to version 3.10.1
+- update config version
+- libcurl.so renamed to libhttp.so
+- added module libtfgetent.so
+- added module libmap-value-pairs.so
+- added module libstardate.so
+- added cisco parser (scl)
+- added snmptrapd parser files
+- add pkgconfig for add-contextual-data
+- don't compile curl dest on SLES 11
+
+---

Old:

  syslog-ng-3.8.1.tar.gz

New:

  syslog-ng-3.10.1.tar.gz



Other differences:
--
++ syslog-ng.spec ++
--- /var/tmp/diff_new_pack.CrQrJZ/_old  2017-07-21 22:44:29.446272553 +0200
+++ /var/tmp/diff_new_pack.CrQrJZ/_new  2017-07-21 22:44:29.450271988 +0200
@@ -23,7 +23,7 @@
 %define syslog_ng_rundir   %{_localstatedir}/run/syslog-ng
 %endif
 %define syslog_ng_sockets_cfg  
%{syslog_ng_rundir}/additional-log-sockets.conf
-Version:3.8.1
+Version:3.10.1
 Release:0
 Summary:The new-generation syslog-daemon
 License:GPL-2.0
@@ -42,6 +42,7 @@
 %bcond_without python
 %bcond_without java
 %bcond_without mongodb
+%bcond_without curl
 %if 0%{?suse_version} != 1320
 %bcond_without redis
 %endif
@@ -83,7 +84,9 @@
 BuildRequires:  flex
 BuildRequires:  gcc-c++
 BuildRequires:  glib2-devel
+%if %{with curl}
 BuildRequires:  libcurl-devel
+%endif
 %if 0%{?with_geoip}
 BuildRequires:  libGeoIP-devel
 %endif
@@ -157,6 +160,8 @@
 Balázs Scheidler 
 BalaBit IT Ltd. 
 
+%if %{with curl}
+
 %package curl
 Summary:Curl (HTTP) destination support for syslog-ng
 Group:  System/Libraries
@@ -165,6 +170,8 @@
 %description curl
 This package provides curl (HTTP) destination support for syslog-ng.
 
+%endif
+
 %if %{with java}  
 
 %package java
@@ -582,6 +589,8 @@
 %dir %{_datadir}/syslog-ng/include/scl/apache/
 %dir %{_datadir}/syslog-ng/include/scl/loggly/
 %dir %{_datadir}/syslog-ng/include/scl/logmatic/
+%dir %{_datadir}/syslog-ng/include/scl/cisco/
+%dir %{_datadir}/syslog-ng/include/scl/snmptrap/
 %dir %{_datadir}/syslog-ng/xsd
 %dir %{_sysconfdir}/syslog-ng
 %dir %{_sysconfdir}/syslog-ng/conf.d
@@ -618,11 +627,15 @@
 %attr(755,root,root) %{_libdir}/syslog-ng/libcef.so
 %attr(755,root,root) %{_libdir}/syslog-ng/libdate.so
 %attr(755,root,root) %{_libdir}/syslog-ng/libdisk-buffer.so
+%attr(755,root,root) %{_libdir}/syslog-ng/libtfgetent.so
+%attr(755,root,root) %{_libdir}/syslog-ng/libmap-value-pairs.so
 %if %{with systemd} && ! %{with systemv}
 %attr(755,root,root) %{_libdir}/syslog-ng/libsdjournal.so
 %endif
 %attr(755,root,root) %{_libdir}/syslog-ng/libsyslogformat.so
+%attr(755,root,root) %{_libdir}/syslog-ng/libstardate.so
 %attr(755,root,root) %{_libdir}/syslog-ng/libsystem-source.so
+%attr(755,root,root) %{_libdir}/syslog-ng/libsnmptrapd-parser.so
 %attr(644,root,root) %{_datadir}/syslog-ng/include/scl/graphite/README
 %attr(644,root,root) %{_datadir}/syslog-ng/include/scl/graphite/plugin.conf
 %attr(644,root,root) %{_datadir}/syslog-ng/include/scl/nodejs/plugin.conf
@@ -638,10 +651,16 @@
 %attr(644,root,root) %{_datadir}/syslog-ng/include/scl/apache/apache.conf
 %attr(644,root,root) %{_datadir}/syslog-ng/include/scl/loggly/loggly.conf
 %attr(644,root,root) %{_datadir}/syslog-ng/include/scl/logmatic/logmatic.conf
+%attr(644,root,root) %{_datadir}/syslog-ng/include/scl/cisco/plugin.conf
+%attr(644,root,root) 
%{_datadir}/syslog-ng/include/scl/snmptrap/snmptrapd-source.conf
 %attr(644,root,root) %{_datadir}/syslog-ng/xsd/*
 
+%if %{with curl}
+
 %files curl
-%attr(755,root,root) %{_libdir}/syslog-ng/libcurl.so
+%attr(755,root,root) %{_libdir}/syslog-ng/libhttp.so
+
+%endif
 
 %if %{with dbi}
 
@@ -667,6 +686,7 @@
 %attr(755,root,root) %{_datadir}/syslog-ng/tools/system-expand.sh
 %attr(644,root,root) %{_libdir}/libsyslog-ng-native-connector.a
 %attr(644,root,root) %{_libdir}/pkgconfig/syslog-ng-native-connector.pc
+%attr(644,root,root) %{_libdir}/pkgconfig/syslog-ng-add-contextual-data.pc
 
 %if %{with python}
 

++ syslog-ng-3.8.1.tar.gz -> syslog-ng-3.10.1.tar.gz ++
/work/SRC/openSUSE:Factory/syslog-ng/syslog-ng-3.8.1.tar.gz 

commit gdm for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package gdm for openSUSE:Factory checked in 
at 2017-07-21 22:44:08

Comparing /work/SRC/openSUSE:Factory/gdm (Old)
 and  /work/SRC/openSUSE:Factory/.gdm.new (New)


Package is "gdm"

Fri Jul 21 22:44:08 2017 rev:192 rq:511906 version:3.24.2

Changes:

--- /work/SRC/openSUSE:Factory/gdm/gdm.changes  2017-06-07 09:53:29.271094632 
+0200
+++ /work/SRC/openSUSE:Factory/.gdm.new/gdm.changes 2017-07-21 
22:44:10.712915141 +0200
@@ -1,0 +2,8 @@
+Sun Jul 16 06:55:16 UTC 2017 - ty...@suse.com
+
+- Fix specfile: Set attributes of /var/log/gdm and /run/gdm to
+  (711, root, gdm), which is hardcoded in commit c3cba52, otherwise
+  modified permissions are inspected when the gdm daemon starts
+  (bsc#882032, bgo#693679).
+
+---
@@ -168 +176 @@
-- Update to version 3.20.0:
+- Update to version 3.20.0 (FATE#318572):
@@ -519 +527,2 @@
-daemon/WaylandEnable=false).
+daemon/WaylandEnable=false) (bgo#744763), (fixed bsc#984620 as
+a side effect).
@@ -535 +544 @@
-  /etc/sysconfig/displaymanager.
+  /etc/sysconfig/displaymanager (bsc#919723).
@@ -639 +648 @@
-  session.
+  session (bnc#871808).
@@ -647,0 +657 @@
+* Drop gdm-launch-environment-explicitly-kill-worker-on-stop-ev.patch.
@@ -655 +665 @@
-  + support XDG_CURRENT_DESKTOP.
+  + support XDG_CURRENT_DESKTOP (bsc#981261, bgo#727546).
@@ -680 +690,2 @@
-  + Support gnome-shell unlocking from non GDM sessions.
+  + Support gnome-shell unlocking from non GDM sessions
+(bsc#889094, bgo#726283).
@@ -681,0 +693 @@
+* Drop gdm-leaks-slave.patch.
@@ -696,0 +709 @@
+* Drop gdm-disable-journal.patch.
@@ -710 +723,2 @@
-same way NULL is.
+same way NULL is (bgo#721803).
+* Drop gdm-worker-ignore-username.patch.
@@ -718,0 +733 @@
+* Drop gdm-slave-fix-infinite-loop-on-shutdown.patch.
@@ -738,0 +754,20 @@
+Wed Nov 27 19:52:01 UTC 2013 - fcro...@suse.com
+
+- Add gdm-disable-journal.patch: properly disable journald in all
+  gdm, if asked (bnc#867344).
+- Add gdm-leaks-slave.patch: fix gdm slave not killing Xorg on stop
+  (bnc#871808).
+- Add gdm-worker-ignore-username.patch: fix crash when pam returns
+  empty username (bgo#721803).
+- Add gdm-launch-environment-explicitly-kill-worker-on-stop-ev.patch:
+  fix leak of gdm-launch-environment (bnc#871808, bgo#729727).
+- Add gdm-slave-fix-infinite-loop-on-shutdown.patch: fix infinite
+  loop on shutdown (bnc#871808, bgo#712767).
+
+---
+Wed Nov 27 19:52:01 UTC 2013 - dli...@suse.com
+
+- Add --disable-systemd-journal in specfile for SLE to disable
+  journal support (bnc#867344).
+
+---



Other differences:
--
++ gdm.spec ++
--- /var/tmp/diff_new_pack.xjtJgU/_old  2017-07-21 22:44:11.516801742 +0200
+++ /var/tmp/diff_new_pack.xjtJgU/_new  2017-07-21 22:44:11.520801178 +0200
@@ -48,7 +48,7 @@
 # PATCH-FIX-OPENSUSE gdm-suse-xsession.patch vu...@novell.com -- Use the 
/etc/X11/xdm/* scripts
 Patch7: gdm-suse-xsession.patch
 # WARNING: do not remove/significantly change patch8 without updating the 
relevant patch in accountsservice too
-# PATCH-FIX-OPENSUSE gdm-sysconfig-settings.patch bnc432360 h...@novell.com -- 
Read autologin options from /etc/sysconfig/displaymanager; note that 
accountsservice has a similar patch (accountsservice-sysconfig.patch)
+# PATCH-FIX-OPENSUSE gdm-sysconfig-settings.patch bnc432360 bsc#919723 
h...@novell.com -- Read autologin options from /etc/sysconfig/displaymanager; 
note that accountsservice has a similar patch (accountsservice-sysconfig.patch)
 Patch8: gdm-sysconfig-settings.patch
 # PATCH-NEEDS-REBASE PATCH-FEATURE-OPENSUSE gdm-passwordless-login.patch 
vu...@opensuse.org -- Support DISPLAYMANAGER_PASSWORD_LESS_LOGIN sysconfig 
option
 Patch9: gdm-passwordless-login.patch
@@ -210,7 +210,11 @@
 %else
 --disable-wayland-support \
 %endif
+%if 0%{?is_opensuse}
 --enable-systemd-journal \
+%else
+--disable-systemd-journal \
+%endif
 %if %{enable_split_authentication}
 --enable-split-authentication \
 %else
@@ -329,9 +333,9 @@
 %{_libexecdir}/gdm/gdm-*
 %{_libexecdir}/gdm/gdmflexiserver
 %attr(750,gdm,gdm) %dir %{_localstatedir}/lib/gdm
-%attr(750,gdm,gdm) %dir %{_localstatedir}/log/gdm
+%attr(711,root,gdm) %dir %{_localstatedir}/log/gdm
 %dir %{_localstatedir}/cache/gdm
-%ghost %attr(751,gdm,gdm) %dir /run/gdm
+%ghost %attr(711,root,gdm) %dir /run/gdm
 %config /etc/pam.d/gdm
 %config /etc/pam.d/gdm-autologin
 %if %{enable_split_authentication}




commit lightdm for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package lightdm for openSUSE:Factory checked 
in at 2017-07-21 22:44:00

Comparing /work/SRC/openSUSE:Factory/lightdm (Old)
 and  /work/SRC/openSUSE:Factory/.lightdm.new (New)


Package is "lightdm"

Fri Jul 21 22:44:00 2017 rev:93 rq:511865 version:1.22.0

Changes:

--- /work/SRC/openSUSE:Factory/lightdm/lightdm.changes  2017-07-05 
23:56:34.180027119 +0200
+++ /work/SRC/openSUSE:Factory/.lightdm.new/lightdm.changes 2017-07-21 
22:44:09.309113166 +0200
@@ -1,0 +2,8 @@
+Fri Jul 21 13:21:30 UTC 2017 - dims...@opensuse.org
+
+- Update lightdm-sysconfig-support.patch: deprecate the use of
+  DEFAULT_WM in /etc/sysconfig/windowmanager. The new way of
+  setting the system default WM is by means of update-alternatives,
+  handling the /usr/share/xsessions/default.desktop (boo#1030873).
+
+---



Other differences:
--

++ lightdm-sysconfig-support.patch ++
--- /var/tmp/diff_new_pack.eR8JZ4/_old  2017-07-21 22:44:10.164992433 +0200
+++ /var/tmp/diff_new_pack.eR8JZ4/_new  2017-07-21 22:44:10.164992433 +0200
@@ -1,6 +1,8 @@
 a/data/lightdm.conf
-+++ b/data/lightdm.conf
-@@ -1,3 +1,30 @@
+Index: lightdm-1.22.0/data/lightdm.conf
+===
+--- lightdm-1.22.0.orig/data/lightdm.conf
 lightdm-1.22.0/data/lightdm.conf
+@@ -1,3 +1,26 @@
 +# NOTE: settings under /etc/sysconfig take precendence over those below,
 +#   specifically:
 +#
@@ -23,16 +25,14 @@
 +#   [Seat:*]
 +#   xserver-allow-tcp = 
 +#
-+# /etc/sysconfig/windowmanager - DEFAULT_WM:
-+#   [SeatDefaults]
-+#   user-session = 
-+#
 +
  #
  # General configuration
  #
 a/src/lightdm.c
-+++ b/src/lightdm.c
+Index: lightdm-1.22.0/src/lightdm.c
+===
+--- lightdm-1.22.0.orig/src/lightdm.c
 lightdm-1.22.0/src/lightdm.c
 @@ -22,6 +22,7 @@
  #include 
  
@@ -41,12 +41,11 @@
  #include "display-manager.h"
  #include "display-manager-service.h"
  #include "xdmcp-server.h"
-@@ -50,6 +51,114 @@ static gint exit_code = EXIT_SUCCESS;
+@@ -50,6 +51,85 @@ static gint exit_code = EXIT_SUCCESS;
  
  static gboolean update_login1_seat (Login1Seat *login1_seat);
  
 +#define SYSCONFIG_DISPLAYMANAGER"/etc/sysconfig/displaymanager"
-+#define SYSCONFIG_WINDOWMANAGER "/etc/sysconfig/windowmanager"
 +
 +static void
 +config_load_sysconfig (Configuration *config)
@@ -122,41 +121,13 @@
 +}
 +}
 +
-+windowmanager_config = opensuse_sysconfig_load_file 
(SYSCONFIG_WINDOWMANAGER, );
-+if (windowmanager_config)
-+{
-+str_value = opensuse_sysconfig_get_string (windowmanager_config, 
"DEFAULT_WM", );
-+if (!error)
-+{
-+if (*str_value != '\0')
-+config_set_string (config_get_instance (), "Seat:*", 
"user-session", str_value);
-+g_free (str_value);
-+}
-+else
-+{
-+g_warning ("Failed to read 'DEFAULT_WM' from " 
SYSCONFIG_WINDOWMANAGER);
-+g_clear_error ();
-+}
-+
-+g_strfreev (windowmanager_config);
-+}
-+else
-+{
-+g_warning ("Failed to read " SYSCONFIG_WINDOWMANAGER);
-+if (error)
-+{
-+g_warning ("%s", error->message);
-+g_clear_error ();
-+}
-+}
-+
 +return;
 +}
 +
  static void
  log_cb (const gchar *log_domain, GLogLevelFlags log_level, const gchar 
*message, gpointer data)
  {
-@@ -927,6 +1036,9 @@ main (int argc, char **argv)
+@@ -933,6 +1013,9 @@ main (int argc, char **argv)
  g_warning ("Failed to make cache directory %s: %s", dir, strerror 
(errno));
  g_free (dir);
  
@@ -166,8 +137,10 @@
  log_init ();
  
  /* Show queued messages once logging is complete */
 a/src/Makefile.am
-+++ b/src/Makefile.am
+Index: lightdm-1.22.0/src/Makefile.am
+===
+--- lightdm-1.22.0.orig/src/Makefile.am
 lightdm-1.22.0/src/Makefile.am
 @@ -77,7 +77,9 @@ lightdm_SOURCES = \
xdmcp-server.h \
xdmcp-session.c \
@@ -179,8 +152,10 @@
  
  lightdm_CFLAGS = \
$(WARN_CFLAGS) \
--- /dev/null
-+++ b/src/opensuse-sysconfig.c
+Index: lightdm-1.22.0/src/opensuse-sysconfig.c
+===
+--- /dev/null
 lightdm-1.22.0/src/opensuse-sysconfig.c
 @@ -0,0 +1,380 @@
 +/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*-
 + *
@@ -562,8 +537,10 @@
 +return boolean_value;
 +}
 +
+Index: lightdm-1.22.0/src/opensuse-sysconfig.h

commit openldap2 for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package openldap2 for openSUSE:Factory 
checked in at 2017-07-21 22:43:54

Comparing /work/SRC/openSUSE:Factory/openldap2 (Old)
 and  /work/SRC/openSUSE:Factory/.openldap2.new (New)


Package is "openldap2"

Fri Jul 21 22:43:54 2017 rev:124 rq:511674 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/openldap2/openldap2.changes  2017-02-21 
13:34:18.720035991 +0100
+++ /work/SRC/openSUSE:Factory/.openldap2.new/openldap2.changes 2017-07-21 
22:44:03.277963940 +0200
@@ -1,0 +2,44 @@
+Thu Jul 20 14:19:47 UTC 2017 - mich...@stroeder.com
+
+- added overlay trace to package openldap2-contrib
+
+---
+Wed Jul 12 18:52:42 UTC 2017 - mich...@stroeder.com
+
+- Upgrade to upstream 2.4.45 release
+- removed obsolete 0010-Enforce-minimum-DH-size-of-1024.patch
+  and  0012-use-system-wide-cert-dir-by-default.patch
+- added 0013-ITS-8692-let-back-sock-generate-increment-line.patch
+  for supporting modify increment operations with back-sock
+- added overlay addpartial to package openldap2-contrib
+
+
+Wed Jun  7 09:32:52 UTC 2017 - h...@suse.com
+
+- Remove legacy daemon control that was used to migrate from SLE 11
+  to 12. (bsc#1038405)
+
+
+Tue Jun  6 13:47:18 UTC 2017 - h...@suse.com
+
+- There is no change made about the package itself, this is only
+  copying over some changelog texts from SLE package:
+- bug#976172 owned by h...@suse.com: openldap2 - missing  
+  /usr/share/doc/packages/openldap2/guide/admin/guide.html
+- bug#916914 owned by vark...@suse.com: VUL-0: CVE-2015-1546:
+  openldap2: slapd crash in valueReturnFilter cleanup
+- [fate#319300](https://fate.suse.com/319300)
+- [CVE-2015-1545](http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-1545)
+- bug#905959 owned by h...@suse.com: L3-Question: Are multiple
+  "Connection 0" in a Multi Master setup normal ?
+- [CVE-2015-1546](http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-1546)
+- bug#916897 owned by vark...@suse.com: VUL-0: CVE-2015-1545:
+  openldap2: slapd crashes on search with deref control and empty attr list
+
+---
+Fri Apr  7 16:47:24 UTC 2017 - jeng...@inai.de
+
+- Drop binutils requirement; the code using /usr/bin/strings has
+  been dropped in openSUSE:Factory/openldap2 revision 112.
+
+---

Old:

  0010-Enforce-minimum-DH-size-of-1024.patch
  0012-use-system-wide-cert-dir-by-default.patch
  openldap-2.4.44.tgz

New:

  0013-ITS-8692-let-back-sock-generate-increment-line.patch
  openldap-2.4.45.tgz



Other differences:
--
++ openldap2.spec ++
--- /var/tmp/diff_new_pack.CthvGz/_old  2017-07-21 22:44:04.461796944 +0200
+++ /var/tmp/diff_new_pack.CthvGz/_new  2017-07-21 22:44:04.465796380 +0200
@@ -17,7 +17,7 @@
 
 
 %define run_test_suite 0
-%define version_main 2.4.44
+%define version_main 2.4.45
 
 %if %{suse_version} >= 1310 && %{suse_version} != 1315
 %define  _rundir /run/slapd
@@ -56,9 +56,8 @@
 Patch7: 0007-Recover-on-DB-version-change.dif
 Patch8: 0008-In-monitor-backend-do-not-return-Connection0-entries.patch
 Patch9: 0009-Fix-ldap-host-lookup-ipv6.patch
-Patch10:0010-Enforce-minimum-DH-size-of-1024.patch
 Patch11:0011-openldap-re24-its7796.patch
-Patch12:0012-use-system-wide-cert-dir-by-default.patch
+Patch13:0013-ITS-8692-let-back-sock-generate-increment-line.patch
 Source200:  
%{name_ppolicy_check_module}-%{version_ppolicy_check_module}.tar.gz
 Source201:  %{name_ppolicy_check_module}.Makefile
 Source202:  %{name_ppolicy_check_module}.conf
@@ -83,8 +82,6 @@
 Recommends: cyrus-sasl
 Conflicts:  openldap
 PreReq: %fillup_prereq /usr/sbin/useradd /usr/sbin/groupadd 
/usr/bin/grep
-# For /usr/bin/strings
-Requires(pre):  binutils
 
 %description
 OpenLDAP is a client and server reference implementation of the
@@ -152,6 +149,7 @@
 
 %description contrib
 Various overlays found in contrib/:
+addpartialIntercepts ADD requests, applies changes to existing entries
 allop
 allowed   Generates attributes indicating access rights
 autogroup
@@ -163,6 +161,7 @@
 pw-sha2   generates/validates SHA-2 password hashes
 pw-pbkdf2 generates/validates PBKDF2 password hashes
 smbk5pwd  generates Samba3 password hashes (heimdal krb disabled)
+trace traces overlay invocation
 
 %package doc
 Summary:OpenLDAP Documentation
@@ -250,9 +249,8 @@
 %patch7 -p1
 %patch8 -p1
 %patch9 -p1

commit evolution for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package evolution for openSUSE:Factory 
checked in at 2017-07-21 22:43:20

Comparing /work/SRC/openSUSE:Factory/evolution (Old)
 and  /work/SRC/openSUSE:Factory/.evolution.new (New)


Package is "evolution"

Fri Jul 21 22:43:20 2017 rev:198 rq:511109 version:3.24.4

Changes:

--- /work/SRC/openSUSE:Factory/evolution/evolution.changes  2017-06-28 
10:33:29.139151140 +0200
+++ /work/SRC/openSUSE:Factory/.evolution.new/evolution.changes 2017-07-21 
22:43:53.695315700 +0200
@@ -1,0 +2,17 @@
+Mon Jul 17 10:57:43 UTC 2017 - zai...@opensuse.org
+
+- Update to version 3.24.4:
+  + Sort accounts in identity combo box (From: combo in mail
+composer).
+  + Cannot focus contact list editor's list name.
+  + Fix runtime warning on close from e_content_request_process().
+  + Prefer gtk_clipboard_wait_for_targets() over
+gtk_clipboard_request_targets().
+  + Wrong folder URI used for message notifications.
+  + AlertBar from ShellContent not freed.
+  + Bugs fixed: bgo#783905, bgo#782210, bgo#784246, bgo#780934,
+bgo#784445, bgo#784438, bgo#781309, bgo#784664, bgo#784665,
+bgo#784776, bgo#784663, bgo#784874.
+  + Updated translations.
+
+---

Old:

  evolution-3.24.3.tar.xz

New:

  evolution-3.24.4.tar.xz



Other differences:
--
++ evolution.spec ++
--- /var/tmp/diff_new_pack.enQ8yi/_old  2017-07-21 22:43:54.475205686 +0200
+++ /var/tmp/diff_new_pack.enQ8yi/_new  2017-07-21 22:43:54.479205122 +0200
@@ -24,7 +24,7 @@
 Name:   evolution
 # This should be updated upon major version changes; it should match 
BASE_VERSION as defined in configure.in.
 %define evolution_base_version 3.24
-Version:3.24.3
+Version:3.24.4
 Release:0
 # _version needs to be %{version} stripped to major.minor.micro only...
 %define _version %(echo %{version} | grep -E -o '[0-9]+\.[0-9]+\.[0-9]+')

++ evolution-3.24.3.tar.xz -> evolution-3.24.4.tar.xz ++
/work/SRC/openSUSE:Factory/evolution/evolution-3.24.3.tar.xz 
/work/SRC/openSUSE:Factory/.evolution.new/evolution-3.24.4.tar.xz differ: char 
27, line 1




commit brltty for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package brltty for openSUSE:Factory checked 
in at 2017-07-21 22:43:36

Comparing /work/SRC/openSUSE:Factory/brltty (Old)
 and  /work/SRC/openSUSE:Factory/.brltty.new (New)


Package is "brltty"

Fri Jul 21 22:43:36 2017 rev:39 rq:511210 version:5.4

Changes:

--- /work/SRC/openSUSE:Factory/brltty/brltty.changes2017-06-15 
11:18:34.104288095 +0200
+++ /work/SRC/openSUSE:Factory/.brltty.new/brltty.changes   2017-07-21 
22:43:57.358798917 +0200
@@ -1,0 +2,5 @@
+Tue Jul 18 11:23:54 UTC 2017 - o...@aepfle.de
+
+- Provide caml__frame with brltty.ocaml.patch
+
+---

New:

  brltty.ocaml.patch



Other differences:
--
++ brltty.spec ++
--- /var/tmp/diff_new_pack.gCKoeS/_old  2017-07-21 22:43:58.182682697 +0200
+++ /var/tmp/diff_new_pack.gCKoeS/_new  2017-07-21 22:43:58.186682133 +0200
@@ -43,6 +43,7 @@
 Patch5: brltty-braillenote-usb.patch
 Patch6: brltty.format-error.patch
 Patch7: brltty.makedev.patch
+Patch8: brltty.ocaml.patch
 
 BuildRequires:  bison
 BuildRequires:  espeak-devel
@@ -307,6 +308,7 @@
 %patch5 -p1
 %patch6 -p1
 %patch7 -p1
+%patch8 -p1
 # Fix "wrong-file-end-of-line-encoding" rpmlint warning
 sed -i 's/\r$//' Documents/Manual-BRLTTY/Portuguese/BRLTTY.txt
 

++ brltty.ocaml.patch ++
--- a/Bindings/OCaml/brlapi_stubs.c
+++ b/Bindings/OCaml/brlapi_stubs.c
@@ -145,6 +145,7 @@ CAMLprim value brlapiml_errorCode_of_err
 static void raise_brlapi_error(void)
 {
   static value *exception = NULL;
+  CAMLparam0();
   CAMLlocal1(res);
   if (exception==NULL) exception = caml_named_value("Brlapi_error");
   res = caml_alloc(2,0);
@@ -159,6 +160,7 @@ static void BRLAPI_STDCALL raise_brlapi_
 {
   static value *exception = NULL;
   int i;
+  CAMLparam0();
   CAMLlocal2(str, res);
   str = caml_alloc_string(size);
   for (i=0; i

commit texlive-filesystem for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package texlive-filesystem for 
openSUSE:Factory checked in at 2017-07-21 22:43:42

Comparing /work/SRC/openSUSE:Factory/texlive-filesystem (Old)
 and  /work/SRC/openSUSE:Factory/.texlive-filesystem.new (New)


Package is "texlive-filesystem"

Fri Jul 21 22:43:42 2017 rev:21 rq:511224 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/texlive-filesystem/texlive-filesystem.changes
2017-07-17 09:04:18.177865957 +0200
+++ 
/work/SRC/openSUSE:Factory/.texlive-filesystem.new/texlive-filesystem.changes   
2017-07-21 22:43:58.410650539 +0200
@@ -1,0 +2,12 @@
+Tue Jul 18 13:50:34 UTC 2017 - wer...@suse.de
+
+- Even more speedup for update.texlive, that is remove empty
+  work load directory
+
+---
+Tue Jul 18 11:02:31 UTC 2017 - wer...@suse.de
+
+- Make update.texlive faster and remove specific tag file after
+  creating specific format
+
+---



Other differences:
--
++ update.texlive ++
--- /var/tmp/diff_new_pack.7hAzw7/_old  2017-07-21 22:44:00.522352655 +0200
+++ /var/tmp/diff_new_pack.7hAzw7/_new  2017-07-21 22:44:00.522352655 +0200
@@ -19,6 +19,9 @@
 # Author: Werner Fink, 1997-2012,2016
 #
 
+# Empty directory means nothing todo
+test -d /var/run/texlive || exit 0
+
 typeset -r OLDIFS="$IFS"
 typeset -i rc=0
 : ${VERBOSE=true}
@@ -38,8 +41,6 @@
 MKTEXLSR=true
 export LANG MKTEXLSR
 
-mkdir -p /var/run/texlive || exit 0
-
 #
 # Sanity check
 #
@@ -60,6 +61,8 @@
 atexit()
 {
 exec 4>&-
+# Empty directory means nothing todo
+rm -r /var/run/texlive || :
 }
 
 if test $VERBOSE = true ; then
@@ -178,15 +181,16 @@
 mf|mfw|mf-nowin) fmt="$format.base"; kpse=mf;engine=metafont ;;
 *)  fmt="$format.fmt";  kpse=tex;   engine=$engine  ;;
 esac
-inifile=$(kpsewhich -progname=$format -format=$kpse $inifile 2>/dev/null) 
|| continue
-fmt="$(find ${WEB2C}/$engine -name $fmt)"
-if test -z "$fmt"
+test -d ${WEB2C}/$engine || mkdir -p ${WEB2C}/$engine
+fmt="${WEB2C}/$engine/$fmt"
+if test ! -e "$fmt"
 then
 #  init=true
 #  > /var/run/texlive/run-fmtutil
continue
 fi
 test "$fmt" -nt "$TEXMFCNFFILE" || init=true
+inifile=$(kpsewhich -progname=$format -format=$kpse $inifile 2>/dev/null) 
|| continue
 test "$fmt" -nt "$inifile" && continue
 case "$engine" in
 mpost)  fmtutil-sys --byfmt "$egine" < /dev/null 1>&4 2>&4 ;;
@@ -209,10 +213,11 @@
fi
mv -f ${OLDMD5DIR}${cfg} ${MD5DIR}${cfg}
 done
-
+
 #
 # Handle hyphens
 #
+typeset -i refresh=0
 for run in /var/run/texlive/run-hyphen* ; do
test -e "$run" || break
tmp=${cnf_ldat}.$RANDOM
@@ -224,6 +229,7 @@
cat "$dat"
done >> $tmp
mv -f $tmp ${cnf_ldat}
+   let refresh++
#
tmp=${cnf_ldef}.$RANDOM
cat ${TEXMFDIST}/tex/generic/config/language.us.def >> $tmp
@@ -235,6 +241,7 @@
echo >> $tmp
echo '\uselanguage {USenglish} %%% This MUST be the last 
line of the file.' >> $tmp
mv -f $tmp ${cnf_ldef}
+   let refresh++
#
tmp=${cnf_llua}.$RANDOM
echo "-- Generated by ${TEXMFDIST}/texconfig/update on $(date)" > $tmp
@@ -246,70 +253,78 @@
# Silent editor {
echo '}' >> $tmp
mv -f $tmp ${cnf_llua}
+   let refresh++
set +C
rm -f /var/run/texlive/run-hyphen*
 done
 
-#
-# New md5 sums
-#
-md5_ldat=${MD5DIR}${cnf_ldat}
-md5_ldef=${MD5DIR}${cnf_ldef}
-md5_llua=${MD5DIR}${cnf_llua}
-set -- $(md5sum < ${cnf_ldat}) ; md5ldat="$1"
-set -- $(md5sum < ${cnf_ldef}) ; md5ldef="$1"
-set -- $(md5sum < ${cnf_llua}) ; md5llua="$1"
+if ((refresh > 0))
+then
+   #
+   # New md5 sums
+   #
+   md5_ldat=${MD5DIR}${cnf_ldat}
+   md5_ldef=${MD5DIR}${cnf_ldef}
+   md5_llua=${MD5DIR}${cnf_llua}
+   set -- $(md5sum < ${cnf_ldat}) ; md5ldat="$1"
+   set -- $(md5sum < ${cnf_ldef}) ; md5ldef="$1"
+   set -- $(md5sum < ${cnf_llua}) ; md5llua="$1"
 
-#
-# Previous md5 sums
-#
-omd5ldat=0
-omd5ldef=0
-omd5llua=0
-if test -e ${md5_ldat} -a -r ${md5_ldat} ; then
-   set -- $(cat ${md5_ldat}) ; omd5ldat="$1"
-elif test ! -d ${md5_ldat%/*} ; then
-   mkdir -p ${md5_ldat%/*}
-fi
-if test -e ${md5_ldef} -a -r ${md5_ldef} ; then
-   set -- $(cat ${md5_ldef}) ; omd5ldef="$1"
-elif test ! -d ${md5_ldef%/*} ; then
-   mkdir -p ${md5_ldef%/*}
-fi
-if test -e ${md5_llua} -a -r ${md5_llua} ; then
+   #
+   # 

commit glib2-branding-openSUSE for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package glib2-branding-openSUSE for 
openSUSE:Factory checked in at 2017-07-21 22:43:28

Comparing /work/SRC/openSUSE:Factory/glib2-branding-openSUSE (Old)
 and  /work/SRC/openSUSE:Factory/.glib2-branding-openSUSE.new (New)


Package is "glib2-branding-openSUSE"

Fri Jul 21 22:43:28 2017 rev:70 rq:511183 version:42.1

Changes:

--- 
/work/SRC/openSUSE:Factory/glib2-branding-openSUSE/glib2-branding-SLE.changes   
2016-10-22 13:04:11.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.glib2-branding-openSUSE.new/glib2-branding-SLE.changes
  2017-07-21 22:43:54.687175785 +0200
@@ -1,0 +2,6 @@
+Tue Jul 18 09:28:26 UTC 2017 - yfji...@suse.com
+
+- Update .gschema.override.in to set small icon size on Desktop and
+  nautilus in Leap, which is consistent with SLE (bsc#1043604).
+
+---
glib2-branding-openSUSE.changes: same change



Other differences:
--
++ glib2-branding-SLE.spec ++
--- /var/tmp/diff_new_pack.ubXVj7/_old  2017-07-21 22:43:55.507060129 +0200
+++ /var/tmp/diff_new_pack.ubXVj7/_new  2017-07-21 22:43:55.511059565 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package glib2-branding-SLE
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed

glib2-branding-openSUSE.spec: same change
++ glib2-branding.gschema.override.in ++
--- /var/tmp/diff_new_pack.ubXVj7/_old  2017-07-21 22:43:55.643040947 +0200
+++ /var/tmp/diff_new_pack.ubXVj7/_new  2017-07-21 22:43:55.643040947 +0200
@@ -89,7 +89,8 @@
 @@IF_LEAP@@# Disable GNOME Software's automatic update notifications - 
openSUSE relies on
 @@IF_LEAP@@# gnome-settings-daemon's internal update plugin for update 
notifications.
 @@IF_LEAP@@download-updates = false
+@@IF_LEAP@@[org.gnome.nautilus.icon-view]
+@@IF_LEAP@@default-zoom-level = 'small'
 
 @@IF_SLE@@[org.gnome.nautilus.icon-view]
 @@IF_SLE@@default-zoom-level = 'small'
-




commit evolution-ews for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package evolution-ews for openSUSE:Factory 
checked in at 2017-07-21 22:42:52

Comparing /work/SRC/openSUSE:Factory/evolution-ews (Old)
 and  /work/SRC/openSUSE:Factory/.evolution-ews.new (New)


Package is "evolution-ews"

Fri Jul 21 22:42:52 2017 rev:74 rq:511106 version:3.24.4

Changes:

--- /work/SRC/openSUSE:Factory/evolution-ews/evolution-ews.changes  
2017-06-28 10:33:31.474820698 +0200
+++ /work/SRC/openSUSE:Factory/.evolution-ews.new/evolution-ews.changes 
2017-07-21 22:43:23.715544747 +0200
@@ -1,0 +2,7 @@
+Mon Jul 17 11:02:47 UTC 2017 - zai...@opensuse.org
+
+- Update to version 3.24.4:
+  + Bugs fixed: bgo#784332, bgo#784058, bgo#784775.
+  + Updated translations.
+
+---

Old:

  evolution-ews-3.24.3.tar.xz

New:

  evolution-ews-3.24.4.tar.xz



Other differences:
--
++ evolution-ews.spec ++
--- /var/tmp/diff_new_pack.ZW1E8N/_old  2017-07-21 22:43:25.127345594 +0200
+++ /var/tmp/diff_new_pack.ZW1E8N/_new  2017-07-21 22:43:25.127345594 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   evolution-ews
-Version:3.24.3
+Version:3.24.4
 Release:0
 # This should be updated upon major version changes; it should match 
BASE_VERSION as defined in configure.in.
 %define evolution_base_version 3.24

++ evolution-ews-3.24.3.tar.xz -> evolution-ews-3.24.4.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/evolution-ews-3.24.3/CMakeLists.txt 
new/evolution-ews-3.24.4/CMakeLists.txt
--- old/evolution-ews-3.24.3/CMakeLists.txt 2017-06-19 12:21:32.0 
+0200
+++ new/evolution-ews-3.24.4/CMakeLists.txt 2017-07-17 10:47:01.0 
+0200
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-   VERSION 3.24.3
+   VERSION 3.24.4
LANGUAGES C)
 set(PROJECT_BUGREPORT 
"http://bugzilla.gnome.org/enter_bug.cgi?product=evolution-ews;)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/evolution-ews-3.24.3/NEWS 
new/evolution-ews-3.24.4/NEWS
--- old/evolution-ews-3.24.3/NEWS   2017-06-19 12:21:32.0 +0200
+++ new/evolution-ews-3.24.4/NEWS   2017-07-17 10:47:01.0 +0200
@@ -1,3 +1,15 @@
+Evolution-EWS 3.24.4 2017-07-17
+---
+
+Bug Fixes:
+   Bug 784332 - EXDATE missed in recurring events (Milan Crha)
+   Bug 784058 - Ignores Exchange backoff response (Milan Crha)
+   Bug 784775 - PublicDL members replaced with DL aliases in online GAL 
(Milan Crha)
+
+Translations:
+   Piotr Drąg (pl)
+   Kukuh Syafaat (id)
+
 Evolution-EWS 3.24.3 2017-06-19
 ---
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/evolution-ews-3.24.3/po/id.po 
new/evolution-ews-3.24.4/po/id.po
--- old/evolution-ews-3.24.3/po/id.po   2017-06-19 12:21:32.0 +0200
+++ new/evolution-ews-3.24.4/po/id.po   2017-07-17 10:47:01.0 +0200
@@ -8,8 +8,8 @@
 "Project-Id-Version: evolution-ews master\n"
 "Report-Msgid-Bugs-To: https://bugzilla.gnome.org/enter_bug.cgi?;
 "product=evolution-ews=I18N+L10N=Miscellaneous / EWS Core\n"
-"POT-Creation-Date: 2017-03-20 11:28+\n"
-"PO-Revision-Date: 2017-03-20 22:59+0700\n"
+"POT-Creation-Date: 2017-07-10 12:33+\n"
+"PO-Revision-Date: 2017-07-11 10:12+0700\n"
 "Last-Translator: Kukuh Syafaat \n"
 "Language-Team: Indonesian \n"
 "Language: id\n"
@@ -17,7 +17,7 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Generator: Poedit 1.8.11\n"
+"X-Generator: Poedit 2.0.2\n"
 
 #: ../evolution-ews.metainfo.xml.in.h:1 ../src/camel/camel-ews-provider.c:79
 msgid "Exchange Web Services"
@@ -106,7 +106,7 @@
 msgid "Unable to create cache file"
 msgstr "Tak bisa membuat berkas singgahan"
 
-#: ../src/camel/camel-ews-folder.c:585 ../src/camel/camel-ews-folder.c:677
+#: ../src/camel/camel-ews-folder.c:585 ../src/camel/camel-ews-folder.c:678
 #, c-format
 msgid "Unable to create cache path “%s”: %s"
 msgstr "Tak bisa membuat path singgahan “%s”: %s"
@@ -114,22 +114,22 @@
 #. Translators: The first %s consists of the source file name,
 #. the second %s of the destination file name and
 #. the third %s of the error message.
-#: ../src/camel/camel-ews-folder.c:691
+#: ../src/camel/camel-ews-folder.c:692
 #, c-format
 msgid "Failed to move message cache file from “%s” to “%s”: %s"
 msgstr "Gagal memindah berkas singgahan pesan dari “%s” to “%s”: %s"
 
-#: ../src/camel/camel-ews-folder.c:1498
+#: 

commit evolution-data-server for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package evolution-data-server for 
openSUSE:Factory checked in at 2017-07-21 22:43:07

Comparing /work/SRC/openSUSE:Factory/evolution-data-server (Old)
 and  /work/SRC/openSUSE:Factory/.evolution-data-server.new (New)


Package is "evolution-data-server"

Fri Jul 21 22:43:07 2017 rev:176 rq:511107 version:3.24.4

Changes:

--- 
/work/SRC/openSUSE:Factory/evolution-data-server/evolution-data-server.changes  
2017-06-28 10:33:22.068151520 +0200
+++ 
/work/SRC/openSUSE:Factory/.evolution-data-server.new/evolution-data-server.changes
 2017-07-21 22:43:40.285207374 +0200
@@ -1,0 +2,10 @@
+Mon Jul 17 10:52:18 UTC 2017 - zai...@opensuse.org
+
+- Update to version 3.24.4:
+  + Warn and set default when sendmail not found during the build.
+  + Correct localization of external tool.
+  + Bugs fixed: bgo#493801, bgo#779753, bgo#784116, bgo#779156,
+bgo#782844, bgo#784548.
+  + Updated translations.
+
+---

Old:

  evolution-data-server-3.24.3.tar.xz

New:

  evolution-data-server-3.24.4.tar.xz



Other differences:
--
++ evolution-data-server.spec ++
--- /var/tmp/diff_new_pack.JHf7g9/_old  2017-07-21 22:43:41.057098489 +0200
+++ /var/tmp/diff_new_pack.JHf7g9/_new  2017-07-21 22:43:41.057098489 +0200
@@ -32,7 +32,7 @@
 
 Name:   evolution-data-server
 %define _evo_version 3.24
-Version:3.24.3
+Version:3.24.4
 Release:0
 Summary:Evolution Data Server
 License:LGPL-2.1+

++ evolution-data-server-3.24.3.tar.xz -> 
evolution-data-server-3.24.4.tar.xz ++
 8847 lines of diff (skipped)




commit nautilus for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package nautilus for openSUSE:Factory 
checked in at 2017-07-21 22:42:38

Comparing /work/SRC/openSUSE:Factory/nautilus (Old)
 and  /work/SRC/openSUSE:Factory/.nautilus.new (New)


Package is "nautilus"

Fri Jul 21 22:42:38 2017 rev:159 rq:511103 version:3.24.2.1

Changes:

--- /work/SRC/openSUSE:Factory/nautilus/nautilus.changes2017-05-18 
20:38:32.826013491 +0200
+++ /work/SRC/openSUSE:Factory/.nautilus.new/nautilus.changes   2017-07-21 
22:43:02.462542768 +0200
@@ -1,0 +2,13 @@
+Mon Jul 17 20:05:26 UTC 2017 - zai...@opensuse.org
+
+- Update to version 3.23.2.1:
+  + Release with autotools.
+- Changes from version 3.24.2:
+  + Hide desktop icons autostart in Ubuntu.
+  + Confirm file name change in dialog conflicts with return.
+  + Fix search activation not changing current directory.
+  + Don't wrap names after . or _
+  + Fix rubberband selection when using wacom tablets.
+  + Fix crash in batch renaming.
+
+---

Old:

  nautilus-3.24.1.tar.xz

New:

  nautilus-3.24.2.1.tar.xz



Other differences:
--
++ nautilus.spec ++
--- /var/tmp/diff_new_pack.OJ3mxI/_old  2017-07-21 22:43:06.014041781 +0200
+++ /var/tmp/diff_new_pack.OJ3mxI/_new  2017-07-21 22:43:06.018041217 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   nautilus
-Version:3.24.1
+Version:3.24.2.1
 Release:0
 Summary:File Manager for the GNOME Desktop
 License:GPL-2.0+

++ nautilus-3.24.1.tar.xz -> nautilus-3.24.2.1.tar.xz ++
 2654 lines of diff (skipped)




commit ModemManager for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package ModemManager for openSUSE:Factory 
checked in at 2017-07-21 22:42:44

Comparing /work/SRC/openSUSE:Factory/ModemManager (Old)
 and  /work/SRC/openSUSE:Factory/.ModemManager.new (New)


Package is "ModemManager"

Fri Jul 21 22:42:44 2017 rev:69 rq:511105 version:1.6.8

Changes:

--- /work/SRC/openSUSE:Factory/ModemManager/ModemManager.changes
2017-02-28 23:42:58.613573936 +0100
+++ /work/SRC/openSUSE:Factory/.ModemManager.new/ModemManager.changes   
2017-07-21 22:43:16.556554618 +0200
@@ -1,0 +2,46 @@
+Mon Jul 17 15:58:16 UTC 2017 - zai...@opensuse.org
+
+- Update to version 1.6.8:
+  + Blacklist: Ignored default Linux USB Serial Gadget.
+  + QMI:
+- Fixed build with libqmi 1.16.
+- Allow prefix match for modem images ending with '?'.
+  + Plugins:
+- Telit: fix #PSNT values interpretation for HSDPA and LTE
+  modems.
+- Telit: add LTE access technology reporting.
+- Huawei: let the E3372 run NDISDUP via TTY.
+- MBM: fix async method completion enabling unsolicited events.
+  + Core:
+- AT+WS46=? response parser extended to support ranges.
+- Fix setting up signal quality retrieval logic.
+- Changes from version 1.6.6:
+  + Blacklist:
+- Ignored keyboard.io devices.
+- Ignored Analog Devices EVAL-ADXL362Z-DB.
+- Ignored promotion boards from Renesas.
+- Ignored Analog PlutoSDR.
+- Ignored Telit LE866 flashing device.
+  + Plugins:
+- Telit: fix AT+SERVICE 3GPP2 access technology reporting.
+- Telit: lock/unlock CSIM operations by default.
+- Telit: don't ignore AT ports without an explicit port type
+  hint tag.
+- Cinterion: improve ^SMONG and ^SCFG=? response parsers.
+- Huawei: implement Signal interface based on ^HCSQ.
+- QMI: require FCC auth if InvalidTransition error is detected.
+- QMI: fix incorrect use of mm_base_bearer_get_status().
+- QMI: add WDS event reporting support.
+- MBIM: remove parent access tech loading.
+  + Core:
+- Added RSCP item in the Signal interface.
+- Implement Signal interface in the generic AT based modem
+  based on ^CESQ.
+- Improve network registration checks for LTE devices.
+- Handle SDIO devices.
+- Fix QCDM access tech reporting for WCDMA system modes.
+- Fix capabilities in 4G-only devices.
+- Set TTY as connected as soon as ATD replies.
+  + And some other fixes.
+
+---

Old:

  ModemManager-1.6.4.tar.xz

New:

  ModemManager-1.6.8.tar.xz



Other differences:
--
++ ModemManager.spec ++
--- /var/tmp/diff_new_pack.vsOYl3/_old  2017-07-21 22:43:17.952357721 +0200
+++ /var/tmp/diff_new_pack.vsOYl3/_new  2017-07-21 22:43:17.956357157 +0200
@@ -18,7 +18,7 @@
 
 %define _udevdir %(pkg-config --variable udevdir udev)
 Name:   ModemManager
-Version:1.6.4
+Version:1.6.8
 Release:0
 Summary:DBus interface for modem handling
 License:GPL-2.0+ and GPL-3.0+

++ ModemManager-1.6.4.tar.xz -> ModemManager-1.6.8.tar.xz ++
 5543 lines of diff (skipped)




commit libaio for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package libaio for openSUSE:Factory checked 
in at 2017-07-21 22:42:13

Comparing /work/SRC/openSUSE:Factory/libaio (Old)
 and  /work/SRC/openSUSE:Factory/.libaio.new (New)


Package is "libaio"

Fri Jul 21 22:42:13 2017 rev:32 rq:511085 version:0.3.109

Changes:

--- /work/SRC/openSUSE:Factory/libaio/libaio.changes2016-04-22 
16:17:59.0 +0200
+++ /work/SRC/openSUSE:Factory/.libaio.new/libaio.changes   2017-07-21 
22:42:17.500885217 +0200
@@ -11 +11 @@
-- Add obsoletes/provides to baselibs.conf.
+- Add obsoletes/provides to baselibs.conf (bsc#881698)



Other differences:
--
++ libaio.spec ++
--- /var/tmp/diff_new_pack.FTPtZW/_old  2017-07-21 22:42:18.052807361 +0200
+++ /var/tmp/diff_new_pack.FTPtZW/_new  2017-07-21 22:42:18.052807361 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libaio
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -51,8 +51,8 @@
 
 %package -n %lname
 Summary:Linux-Native Asynchronous I/O Access Library
-Group:  System/Libraries
 # O/P added 2011-11-27
+Group:  System/Libraries
 Obsoletes:  libaio < %version-%release
 Provides:   libaio = %version-%release
 




commit gnome-keyring for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package gnome-keyring for openSUSE:Factory 
checked in at 2017-07-21 22:42:22

Comparing /work/SRC/openSUSE:Factory/gnome-keyring (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-keyring.new (New)


Package is "gnome-keyring"

Fri Jul 21 22:42:22 2017 rev:127 rq:511099 version:3.20.1

Changes:

--- /work/SRC/openSUSE:Factory/gnome-keyring/gnome-keyring.changes  
2017-07-08 12:26:57.981361442 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-keyring.new/gnome-keyring.changes 
2017-07-21 22:42:25.007826261 +0200
@@ -1,0 +2,8 @@
+Mon Jul 17 15:28:16 UTC 2017 - dims...@opensuse.org
+
+- Add gnome-keyring-secret-size.patch: Ensure that generated secret
+  occupies the same number of bytes as prime. Eliminates random
+  errors while libsecret tries to talk to gnome-keyring
+  (bgo#778357).
+
+---

New:

  gnome-keyring-secret-size.patch



Other differences:
--
++ gnome-keyring.spec ++
--- /var/tmp/diff_new_pack.Mz1VhE/_old  2017-07-21 22:42:25.823711170 +0200
+++ /var/tmp/diff_new_pack.Mz1VhE/_new  2017-07-21 22:42:25.823711170 +0200
@@ -27,6 +27,8 @@
 Source99:   baselibs.conf
 # PATCH-FIX-OPENSUSE gnome-keyring-pam-auth-prompt-password.patch bnc#466732 
bgo#560488 vu...@novell.com -- Make the pam module prompt the password in auth, 
so we can use pam-config. This is a workaround until bnc#477488 is implemented.
 Patch0: gnome-keyring-pam-auth-prompt-password.patch
+# PATCH-FIX-UPSTREAM gnome-keyring-secret-size.patch bgo#778357 
dims...@opensuse.org -- Ensure that generated secret occupies the same number 
of bytes as prime.
+Patch1: gnome-keyring-secret-size.patch
 # PATCH-FIX-SLE gnome-keyring-bsc932232-use-libgcrypt-allocators.patch 
bsc#932232 h...@suse.com
 Patch3: gnome-keyring-bsc932232-use-libgcrypt-allocators.patch
 # PATCH-FIX-SLE gnome-keyring-bsc932232-use-non-fips-md5.patch bsc#932232 
h...@suse.com
@@ -119,6 +121,7 @@
 %setup -q
 translation-update-upstream
 %patch0 -p1
+%patch1 -p1
 %if ! 0%{?is_opensuse}
 %patch3 -p1
 %patch4 -p1

++ gnome-keyring-secret-size.patch ++
>From 61bceb62ae7962d3507fcddaa3a904e4efa477d6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tomasz=20Mi=C4=85sko?= 
Date: Thu, 9 Feb 2017 09:45:01 +0100
Subject: DH: Ensure that generated secret occupies the same number of bytes as
 prime.

https://bugzilla.gnome.org/show_bug.cgi?id=778357
---
 egg/egg-dh.c | 15 +++
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/egg/egg-dh.c b/egg/egg-dh.c
index ff9ded6..e968baf 100644
--- a/egg/egg-dh.c
+++ b/egg/egg-dh.c
@@ -311,6 +311,7 @@ egg_dh_gen_secret (gcry_mpi_t peer, gcry_mpi_t priv,
 {
gcry_error_t gcry;
guchar *value;
+   gsize n_prime;
gsize n_value;
gcry_mpi_t k;
gint bits;
@@ -327,19 +328,25 @@ egg_dh_gen_secret (gcry_mpi_t peer, gcry_mpi_t priv,
gcry_mpi_powm (k, peer, priv, prime);
 
/* Write out the secret */
-   gcry = gcry_mpi_print (GCRYMPI_FMT_USG, NULL, 0, _value, k);
+   gcry = gcry_mpi_print (GCRYMPI_FMT_USG, NULL, 0, _prime, prime);
g_return_val_if_fail (gcry == 0, NULL);
-   value = egg_secure_alloc (n_value);
-   gcry = gcry_mpi_print (GCRYMPI_FMT_USG, value, n_value, _value, k);
+   value = egg_secure_alloc (n_prime);
+   gcry = gcry_mpi_print (GCRYMPI_FMT_USG, value, n_prime, _value, k);
g_return_val_if_fail (gcry == 0, NULL);
 
+   /* Pad the secret with zero bytes to match length of prime in bytes. */
+   if (n_value < n_prime) {
+   memmove (value + (n_prime - n_value), value, n_value);
+   memset (value, 0, (n_prime - n_value));
+   }
+
 #if DEBUG_DH_SECRET
g_printerr ("DH SECRET: ");
gcry_mpi_dump (k);
gcry_mpi_release (k);
 #endif
 
-   *bytes = n_value;
+   *bytes = n_prime;
 
 #if DEBUG_DH_SECRET
gcry_mpi_scan (, GCRYMPI_FMT_USG, value, bytes, NULL);
-- 
cgit v0.12





commit Mesa for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package Mesa for openSUSE:Factory checked in 
at 2017-07-21 22:42:08

Comparing /work/SRC/openSUSE:Factory/Mesa (Old)
 and  /work/SRC/openSUSE:Factory/.Mesa.new (New)


Package is "Mesa"

Fri Jul 21 22:42:08 2017 rev:295 rq:511071 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/Mesa/Mesa.changes2017-07-10 
11:00:50.419745648 +0200
+++ /work/SRC/openSUSE:Factory/.Mesa.new/Mesa.changes   2017-07-21 
22:42:17.108940506 +0200
@@ -1,0 +2,11 @@
+Sun Jul 16 09:25:32 UTC 2017 - mimi...@gmail.com
+
+- update to 17.1.5
+ * fdo#100242 - radeon buffer allocation failure during startup of Factorio
+ * fdo#101657 - strtod.c:32:10: fatal error: xlocale.h: No such file or 
directory
+ * fdo#101666 - bitfieldExtract is marked as a built-in function
+on OpenGL ES 3.0, but was added in OpenGL ES 3.1
+ * fdo#101703 - No stencil buffer allocated when requested by GLUT
+ * and other bugfixes
+
+---

Old:

  mesa-17.1.4.tar.xz
  mesa-17.1.4.tar.xz.sig

New:

  mesa-17.1.5.tar.xz
  mesa-17.1.5.tar.xz.sig



Other differences:
--
++ Mesa.spec ++
--- /var/tmp/diff_new_pack.b66qWo/_old  2017-07-21 22:42:17.212925838 +0200
+++ /var/tmp/diff_new_pack.b66qWo/_new  2017-07-21 22:42:17.212925838 +0200
@@ -22,7 +22,7 @@
 %endif
 %define glamor 1
 %define _name_archive mesa
-%define _version 17.1.4
+%define _version 17.1.5
 %define with_opencl 0
 %define with_vulkan 0
 %ifarch %ix86 x86_64 %arm aarch64 ppc ppc64 ppc64le s390x
@@ -54,7 +54,7 @@
 %endif
 
 Name:   Mesa
-Version:17.1.4
+Version:17.1.5
 Release:0
 Summary:System for rendering interactive 3-D graphics
 License:MIT


++ mesa-17.1.4.tar.xz -> mesa-17.1.5.tar.xz ++
/work/SRC/openSUSE:Factory/Mesa/mesa-17.1.4.tar.xz 
/work/SRC/openSUSE:Factory/.Mesa.new/mesa-17.1.5.tar.xz differ: char 26, line 1




commit pango for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package pango for openSUSE:Factory checked 
in at 2017-07-21 22:42:33

Comparing /work/SRC/openSUSE:Factory/pango (Old)
 and  /work/SRC/openSUSE:Factory/.pango.new (New)


Package is "pango"

Fri Jul 21 22:42:33 2017 rev:107 rq:511102 version:1.40.7

Changes:

--- /work/SRC/openSUSE:Factory/pango/pango.changes  2017-07-17 
09:10:06.100865890 +0200
+++ /work/SRC/openSUSE:Factory/.pango.new/pango.changes 2017-07-21 
22:42:34.562478448 +0200
@@ -1,0 +2,9 @@
+Tue Jul 18 08:45:22 UTC 2017 - zai...@opensuse.org
+
+- Update to version 1.40.7:
+  + Some fixes for meson build support.
+  + Don't change fonts for variation selectors (bgo#781123).
+  + Fix some bugs in the libthai glue layer.
+  + Pass text along when calling into cairo (bgo#784394).
+
+---

Old:

  pango-1.40.6.tar.xz

New:

  pango-1.40.7.tar.xz



Other differences:
--
++ pango.spec ++
--- /var/tmp/diff_new_pack.rdF1td/_old  2017-07-21 22:42:35.074406234 +0200
+++ /var/tmp/diff_new_pack.rdF1td/_new  2017-07-21 22:42:35.074406234 +0200
@@ -20,7 +20,7 @@
 %define pango_binary_version 1.8.0
 
 Name:   pango
-Version:1.40.6
+Version:1.40.7
 Release:0
 Summary:Library for Layout and Rendering of Text
 License:LGPL-2.1+

++ pango-1.40.6.tar.xz -> pango-1.40.7.tar.xz ++
 2198 lines of diff (skipped)




commit libsecret for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package libsecret for openSUSE:Factory 
checked in at 2017-07-21 22:42:28

Comparing /work/SRC/openSUSE:Factory/libsecret (Old)
 and  /work/SRC/openSUSE:Factory/.libsecret.new (New)


Package is "libsecret"

Fri Jul 21 22:42:28 2017 rev:16 rq:511100 version:0.18.5

Changes:

--- /work/SRC/openSUSE:Factory/libsecret/libsecret.changes  2016-08-31 
00:03:46.0 +0200
+++ /work/SRC/openSUSE:Factory/.libsecret.new/libsecret.changes 2017-07-21 
22:42:29.539187052 +0200
@@ -1,0 +2,8 @@
+Mon Jul 17 15:25:56 UTC 2017 - dims...@opensuse.org
+
+- Add libsecret-secret-size.patch: Ensure that generated secret
+  occupies the same number of bytes as prime. Eliminates random
+  errors while libsecret tries to talk to gnome-keyring
+  (bgo#778357).
+
+---

New:

  libsecret-secret-size.patch



Other differences:
--
++ libsecret.spec ++
--- /var/tmp/diff_new_pack.44RlIC/_old  2017-07-21 22:42:30.035117094 +0200
+++ /var/tmp/diff_new_pack.44RlIC/_new  2017-07-21 22:42:30.039116530 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libsecret
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -27,6 +27,8 @@
 Url:https://wiki.gnome.org/Projects/Libsecret
 Source0:
http://download.gnome.org/sources/libsecret/0.18/%{name}-%{version}.tar.xz
 Source99:   baselibs.conf
+# PATCH-FIX-UPSTREAM libsecret-secret-size.patch bgo#778357 
dims...@opensuse.org -- Ensure that generated secret occupies the same number 
of bytes as prime.
+Patch0: libsecret-secret-size.patch
 # PATCH-FIX-SLE libsecret-bsc932232-use-libgcrypt-allocators.patch bsc#932232 
h...@suse.com -- use libgcrypt allocators for FIPS mode
 Patch1: libsecret-bsc932232-use-libgcrypt-allocators.patch
 BuildRequires:  docbook-xsl-stylesheets
@@ -92,6 +94,7 @@
 %endif
 %prep
 %setup -q
+%patch0 -p1
 %if !0%{?is_opensuse}
 %patch1 -p1
 %endif

++ libsecret-secret-size.patch ++
>From 998065599c66055dcffa1ef1ddebb947ccd68248 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tomasz=20Mi=C4=85sko?= 
Date: Thu, 9 Feb 2017 09:45:01 +0100
Subject: DH: Ensure that generated secret occupies the same number of bytes as
 prime.

https://bugzilla.gnome.org/show_bug.cgi?id=778357
---
 egg/egg-dh.c | 15 +++
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/egg/egg-dh.c b/egg/egg-dh.c
index e869c99..b190488 100644
--- a/egg/egg-dh.c
+++ b/egg/egg-dh.c
@@ -314,6 +314,7 @@ egg_dh_gen_secret (gcry_mpi_t peer, gcry_mpi_t priv,
 {
gcry_error_t gcry;
guchar *value;
+   gsize n_prime;
gsize n_value;
gcry_mpi_t k;
gint bits;
@@ -330,19 +331,25 @@ egg_dh_gen_secret (gcry_mpi_t peer, gcry_mpi_t priv,
gcry_mpi_powm (k, peer, priv, prime);
 
/* Write out the secret */
-   gcry = gcry_mpi_print (GCRYMPI_FMT_USG, NULL, 0, _value, k);
+   gcry = gcry_mpi_print (GCRYMPI_FMT_USG, NULL, 0, _prime, prime);
g_return_val_if_fail (gcry == 0, NULL);
-   value = egg_secure_alloc (n_value);
-   gcry = gcry_mpi_print (GCRYMPI_FMT_USG, value, n_value, _value, k);
+   value = egg_secure_alloc (n_prime);
+   gcry = gcry_mpi_print (GCRYMPI_FMT_USG, value, n_prime, _value, k);
g_return_val_if_fail (gcry == 0, NULL);
 
+   /* Pad the secret with zero bytes to match length of prime in bytes. */
+   if (n_value < n_prime) {
+   memmove (value + (n_prime - n_value), value, n_value);
+   memset (value, 0, (n_prime - n_value));
+   }
+
 #if DEBUG_DH_SECRET
g_printerr ("DH SECRET: ");
gcry_mpi_dump (k);
 #endif
gcry_mpi_release (k);
 
-   *bytes = n_value;
+   *bytes = n_prime;
 
 #if DEBUG_DH_SECRET
gcry_mpi_scan (, GCRYMPI_FMT_USG, value, bytes, NULL);
-- 
cgit v0.12





commit orc for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package orc for openSUSE:Factory checked in 
at 2017-07-21 22:42:02

Comparing /work/SRC/openSUSE:Factory/orc (Old)
 and  /work/SRC/openSUSE:Factory/.orc.new (New)


Package is "orc"

Fri Jul 21 22:42:02 2017 rev:36 rq:511061 version:0.4.27

Changes:

--- /work/SRC/openSUSE:Factory/orc/orc.changes  2017-02-19 00:58:38.359743766 
+0100
+++ /work/SRC/openSUSE:Factory/.orc.new/orc.changes 2017-07-21 
22:42:08.902098193 +0200
@@ -1,0 +2,10 @@
+Mon Jul 17 16:15:12 UTC 2017 - zai...@opensuse.org
+
+- Update to version 0.4.27:
+  + sse: preserve non volatile sse registers, needed for MSVC.
+  + x86: don't hard-code register size to 0 in orc_x86_emit_*()
+funcs.
+  + Fix incorrect asm generation on 64-bit Windows with MSVC.
+  + Add support for building using the Meson build system.
+
+---

Old:

  orc-0.4.26.tar.xz

New:

  orc-0.4.27.tar.xz



Other differences:
--
++ orc.spec ++
--- /var/tmp/diff_new_pack.QM4MqV/_old  2017-07-21 22:42:09.458019772 +0200
+++ /var/tmp/diff_new_pack.QM4MqV/_new  2017-07-21 22:42:09.474017516 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   orc
-Version:0.4.26
+Version:0.4.27
 Release:0
 Summary:The Oil Runtime Compiler
 License:BSD-3-Clause

++ orc-0.4.26.tar.xz -> orc-0.4.27.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/orc-0.4.26/Makefile.in new/orc-0.4.27/Makefile.in
--- old/orc-0.4.26/Makefile.in  2016-08-31 12:02:01.0 +0200
+++ new/orc-0.4.27/Makefile.in  2017-07-17 10:24:13.0 +0200
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15 from Makefile.am.
+# Makefile.in generated by automake 1.15.1 from Makefile.am.
 # @configure_input@
 
-# Copyright (C) 1994-2014 Free Software Foundation, Inc.
+# Copyright (C) 1994-2017 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -676,7 +676,7 @@
  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
|| chmod -R a+r "$(distdir)"
 dist-gzip: distdir
-   tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c 
>$(distdir).tar.gz
+   tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c 
>$(distdir).tar.gz
$(am__post_remove_distdir)
 
 dist-bzip2: distdir
@@ -701,7 +701,7 @@
@echo WARNING: "Support for shar distribution archives is" \
   "deprecated." >&2
@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
-   shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
+   shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
$(am__post_remove_distdir)
 
 dist-zip: distdir
@@ -719,7 +719,7 @@
 distcheck: dist
case '$(DIST_ARCHIVES)' in \
*.tar.gz*) \
- GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
+ eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
*.tar.bz2*) \
  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
*.tar.lz*) \
@@ -729,7 +729,7 @@
*.tar.Z*) \
  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
*.shar.gz*) \
- GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
+ eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
*.zip*) \
  unzip $(distdir).zip ;;\
esac
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/orc-0.4.26/RELEASE new/orc-0.4.27/RELEASE
--- old/orc-0.4.26/RELEASE  2016-08-31 12:09:22.0 +0200
+++ new/orc-0.4.27/RELEASE  2017-07-17 17:16:09.0 +0200
@@ -1,3 +1,11 @@
+0.4.27
+==
+
+  - sse: preserve non volatile sse registers, needed for MSVC (Matej Knopp)
+  - x86: don't hard-code register size to zero in orc_x86_emit_*() functions 
(Igor Rondarev)
+  - Fix incorrect asm generation on 64-bit Windows when building with MSVC 
(Jan Schmidt)
+  - Support build using the Meson build system (Nirbheek Chauhan, Tim-Philipp 
Müller)
+
 0.4.26
 ==
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/orc-0.4.26/aclocal.m4 new/orc-0.4.27/aclocal.m4
--- old/orc-0.4.26/aclocal.m4   2016-08-31 12:02:00.0 +0200
+++ new/orc-0.4.27/aclocal.m4   2017-07-17 10:24:11.0 +0200
@@ -1,6 +1,6 @@
-# generated automatically by aclocal 1.15 -*- Autoconf -*-
+# generated automatically by aclocal 1.15.1 -*- Autoconf -*-
 
-# Copyright (C) 1996-2014 Free Software Foundation, Inc.
+# Copyright (C) 

commit unbound for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package unbound for openSUSE:Factory checked 
in at 2017-07-21 22:41:56

Comparing /work/SRC/openSUSE:Factory/unbound (Old)
 and  /work/SRC/openSUSE:Factory/.unbound.new (New)


Package is "unbound"

Fri Jul 21 22:41:56 2017 rev:16 rq:506460 version:1.6.4

Changes:

--- /work/SRC/openSUSE:Factory/unbound/libunbound-devel-mini.changes
2017-02-25 00:59:18.627531649 +0100
+++ /work/SRC/openSUSE:Factory/.unbound.new/libunbound-devel-mini.changes   
2017-07-21 22:41:57.627688602 +0200
@@ -1,0 +2,218 @@
+Tue Jun 27 11:13:31 UTC 2017 - mich...@stroeder.com
+
+- update to 1.6.4
+
+Features:
+- Implemented trust anchor signaling using key tag query.
+- unbound-checkconf -o allows query of dnstap config variables.
+  Also unbound-control get_option.  Also for dnscrypt.
+- unbound.h exports the shm stats structures.  They use
+  type long long and no ifdefs, and ub_ before the typenames.
+- Implemented opportunistic IPsec support module (ipsecmod).
+- Added redirect-bogus.patch to contrib directory.
+- Support for the ED25519 algorithm with openssl (from openssl 1.1.1).
+- renumbering B-Root's IPv6 address to 2001:500:200::b.
+- Fix #1276: [dnscrypt] add XChaCha20-Poly1305 cipher.
+- Fix #1277: disable domain ratelimit by setting value to 0.
+- Added fastrpz patch to contrib
+
+Bug Fixes:
+- Added ECS unit test (from Manu Bretelle).
+- ECS documentation fix (from Manu Bretelle).
+- Fix #1252: more indentation inconsistencies.
+- Fix #1253: unused variable in edns-subnet/addrtree.c:getbit().
+- Fix #1254: clarify ratelimit-{for,below}-domain (from Manu Bretelle).
+- iana portlist update
+- Based on #1257: check parse limit before t increment in sldns RR
+  string parse routine.
+- Fix #1258: Windows 10 X64 unbound 1.6.2 service will not start.
+  and fix that 64bit getting installed in C:\Program Files (x86).
+- Fix #1259: "--disable-ecdsa" argument overwritten
+  by "#ifdef SHA256_DIGEST_LENGTH@daemon/remote.c".
+- iana portlist update
+- Added test for leak of stub information.
+- Fix sldns wire2str printout of RR type CAA tags.
+- Fix sldns int16_data parse.
+- Fix sldns parse and printout of TSIG RRs.
+- sldns SMIMEA and AVC definitions, same as getdns definitions.
+- Fix tcp-mss failure printout text.
+- Set SO_REUSEADDR on outgoing tcp connections to fix the bind before
+  connect limited tcp connections.  With the option tcp connections
+  can share the same source port (for different destinations).
+- Add 'c' to getopt() in testbound.
+- Adjust servfail by iterator to not store in cache when serve-expired
+  is enabled, to avoid overwriting useful information there.
+- Fix queries for nameservers under a stub leaking to the internet.
+- document trust-anchor-signaling in example config file.
+- updated configure, dependencies and flex output.
+- better module memory lookup, fix of unbound-control shm names for
+  module memory printout of statistics.
+- Fix type AVC sldns rrdef.
+- Some whitespace fixup.
+- Fix #1265: contrib/unbound.service contains hardcoded path.
+- Fix #1265 to use /bin/kill.
+- Fix #1267: Libunbound validator/val_secalgo.c uses obsolete APIs,
+  and compatibility with BoringSSL.
+- Fix #1268: SIGSEGV after log_reopen.
+- exec_prefix is by default equal to prefix.
+- printout localzone for duplicate local-zone warnings.
+- Fix assertion for low buffer size and big edns payload when worker
+  overrides udpsize.
+- Support for openssl EVP_DigestVerify.
+- Fix #1269: inconsistent use of built-in local zones with views.
+- Add defaults for new local-zone trees added to views using
+  unbound-control.
+- Fix #1273: cachedb.c doesn't compile with -Wextra.
+- If MSG_FASTOPEN gives EPIPE fallthrough to try normal tcp write.
+- Also use global local-zones when there is a matching view that does
+  not have any local-zone specified.
+- Fix fastopen EPIPE fallthrough to perform connect.
+- Fix #1274: automatically trim chroot path from dnscrypt key/cert paths
+  (from Manu Bretelle).
+- Fix #1275: cached data in cachedb is never used.
+- Fix that unbound-control can set val_clean_additional and
+  val_permissive_mode.
+- Add dnscrypt XChaCha20 tests.
+- Detect chacha for dnscrypt at configure time.
+- dnscrypt unit tests with chacha.
+- Added domain name based ECS whitelist.
+- Fix #1278: Incomplete wildcard proof.
+- Fix #1279: Memory leak on reload when python module is enabled.
+- Fix #1280: Unbound fails assert when response from authoritative
+  contains malformed qname.  When 0x20 caps-for-id is enabled, when
+  assertions are not enabled the malformed qname is handled correctly.
+- More fixes in depth for buffer checks in 0x20 qname checks.
+- Fix stub zone queries leaking to the internet for
+  harden-referral-path ns checks.
+- Fix query for refetch_glue of stub leaking to 

commit python-Automat for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package python-Automat for openSUSE:Factory 
checked in at 2017-07-21 22:39:00

Comparing /work/SRC/openSUSE:Factory/python-Automat (Old)
 and  /work/SRC/openSUSE:Factory/.python-Automat.new (New)


Package is "python-Automat"

Fri Jul 21 22:39:00 2017 rev:1 rq:509336 version:0.6.0

Changes:

New Changes file:

--- /dev/null   2017-07-20 07:30:00.335470106 +0200
+++ /work/SRC/openSUSE:Factory/.python-Automat.new/python-Automat.changes   
2017-07-21 22:39:07.919628276 +0200
@@ -0,0 +1,31 @@
+---
+Tue Jul  4 04:45:19 UTC 2017 - tbecht...@suse.com
+
+update to version v0.6.0
+  * use version-specific travis environments
+  * tox/travis: enable tests on py3.5
+  * add a comment: this check doesn't catch non-None returns
+  * improve function-is-empty test to work on py3.6 too
+  * add more metadata to setup
+  * graphviz() -> asDigraph()
+  * Use inspect.getfullargspec on Py3 to avoid deprecation warnings with 
inspect.getargspec
+  * add tracing API, with docs
+  * Conform author metadata to `distutils.core` API
+  * tracer can return a callable to see Output invocations
+  * Make hashable classes frozen for attrs 17.1.0 (fixes #62).
+  * Assert that 'input' function bodies are empty, to avoid surprises.
+  * reject duplicate transitions (same starting state and input)
+  * tox/travis: enable tests on py3.6
+  * improve tests: more cases, make pyflakes-clean
+  * sigh, add more code to attain full test coverage
+  * make setTrace a private API, document cautions about its use
+  * cover the specimen functions in tests, remove ordify()
+  * cleanup: s/assert_no_code/assertNoCode/
+- convert to singlespec
+- fix Source url
+
+---
+Tue Jan 24 23:48:39 UTC 2017 - ter...@gmail.com
+
+- Initial check in version 0.4.0
+

New:

  Automat-0.6.0.tar.gz
  python-Automat.changes
  python-Automat.spec



Other differences:
--
++ python-Automat.spec ++
#
# spec file for package python-Automat
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with test
Name:   python-Automat
Version:0.6.0
Release:0
Summary:Self-service finite-state machines for the programmer on the go
License:MIT
Group:  Development/Languages/Python
Url:https://github.com/glyph/automat
Source: 
https://files.pythonhosted.org/packages/source/A/Automat/Automat-%{version}.tar.gz
BuildRequires:  %{python_module m2r}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module Twisted}
BuildRequires:  %{python_module attrs}
BuildRequires:  %{python_module graphviz}
%endif
Requires:   python-attrs
Requires:   python-six
Suggests:   python-graphviz > 0.5.1
Suggests:   python-Twisted >= 16.1.1
Requires(post): update-alternatives
Requires(preun): update-alternatives
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildArch:  noarch

%python_subpackages

%description
Automat is a library for concise, idiomatic Python expression of finite-state
automata (particularly deterministic finite-state transducers).

%prep
%setup -q -n Automat-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/automat-visualize
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%post
%python_install_alternative automat-visualize

%postun
%python_uninstall_alternative automat-visualize

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.md
%python_alternative %{_bindir}/automat-visualize
%{python_sitelib}/*

%changelog



commit gcc6 for openSUSE:Factory

2017-07-21 Thread root
Hello community,

here is the log from the commit of package gcc6 for openSUSE:Factory checked in 
at 2017-07-21 22:38:23

Comparing /work/SRC/openSUSE:Factory/gcc6 (Old)
 and  /work/SRC/openSUSE:Factory/.gcc6.new (New)


Package is "gcc6"

Fri Jul 21 22:38:23 2017 rev:12 rq:510861 version:6.4.1+r249957

Changes:

--- /work/SRC/openSUSE:Factory/gcc6/cross-aarch64-gcc6.changes  2017-06-02 
11:33:24.302650559 +0200
+++ /work/SRC/openSUSE:Factory/.gcc6.new/cross-aarch64-gcc6.changes 
2017-07-21 22:38:24.945690359 +0200
@@ -1,0 +2,17 @@
+Tue Jul  4 12:04:36 UTC 2017 - mli...@suse.cz
+
+- Add #nospeccleaner to all spec files.
+
+---
+Tue Jul  4 10:42:48 UTC 2017 - rguent...@suse.com
+
+- Update to gcc-6-branch head (r249957).
+  * Includes GCC 6.4 release.
+
+---
+Fri Jun  9 11:21:16 UTC 2017 - rguent...@suse.com
+
+- Update plugin enablement guard to use %sle_version.
+- Bump libffi version in libffi.pc to 3.9.
+
+---
cross-arm-gcc6.changes: same change
cross-armv6hl-gcc6.changes: same change
cross-armv7hl-gcc6.changes: same change
cross-avr-gcc6.changes: same change
cross-epiphany-gcc6-bootstrap.changes: same change
cross-epiphany-gcc6.changes: same change
cross-hppa-gcc6.changes: same change
cross-i386-gcc6.changes: same change
cross-m68k-gcc6.changes: same change
cross-mips-gcc6.changes: same change
cross-ppc64-gcc6.changes: same change
cross-ppc64le-gcc6.changes: same change
cross-rx-gcc6-bootstrap.changes: same change
cross-rx-gcc6.changes: same change
cross-s390x-gcc6.changes: same change
cross-sparc-gcc6.changes: same change
cross-sparc64-gcc6.changes: same change
cross-x86_64-gcc6.changes: same change
gcc6-testresults.changes: same change
gcc6.changes: same change
libgcj-gcc6.changes: same change

Old:

  gcc-6.3.1-r248589.tar.bz2

New:

  gcc-6.4.1-r249957.tar.bz2



Other differences:
--
++ cross-aarch64-gcc6.spec ++
--- /var/tmp/diff_new_pack.yKQ5Hr/_old  2017-07-21 22:38:38.955714046 +0200
+++ /var/tmp/diff_new_pack.yKQ5Hr/_new  2017-07-21 22:38:38.959713482 +0200
@@ -29,6 +29,8 @@
 # Please submit bugfixes or comments via http://www.suse.de/feedback/
 #
 
+# nospeccleaner
+
 %define build_cp 1
 %define build_ada 0
 %define build_libjava 0
@@ -138,7 +140,7 @@
 %define biarch_targets x86_64 s390x powerpc64 powerpc sparc sparc64
 
 Url:http://gcc.gnu.org/
-Version:6.3.1+r248589
+Version:6.4.1+r249957
 Release:0
 %define gcc_version %(echo %version | sed 's/+.*//')
 %define gcc_dir_version %(echo %gcc_version | cut -d '.' -f 1)

cross-arm-gcc6.spec: same change
cross-armv6hl-gcc6.spec: same change
cross-armv7hl-gcc6.spec: same change
cross-avr-gcc6.spec: same change
cross-epiphany-gcc6-bootstrap.spec: same change
cross-epiphany-gcc6.spec: same change
cross-hppa-gcc6.spec: same change
cross-i386-gcc6.spec: same change
cross-m68k-gcc6.spec: same change
cross-mips-gcc6.spec: same change
cross-ppc64-gcc6.spec: same change
cross-ppc64le-gcc6.spec: same change
cross-rx-gcc6-bootstrap.spec: same change
cross-rx-gcc6.spec: same change
cross-s390x-gcc6.spec: same change
cross-sparc-gcc6.spec: same change
cross-sparc64-gcc6.spec: same change
cross-x86_64-gcc6.spec: same change
++ gcc6-testresults.spec ++
--- /var/tmp/diff_new_pack.yKQ5Hr/_old  2017-07-21 22:38:39.391652550 +0200
+++ /var/tmp/diff_new_pack.yKQ5Hr/_new  2017-07-21 22:38:39.395651986 +0200
@@ -35,6 +35,8 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+# nospeccleaner
+
 # Ada currently fails to build on a few platforms, enable it only
 # on those that work
 %if %{suse_version} >= 1310
@@ -106,8 +108,8 @@
 %define build_hsa 0
 %endif
 
-# Enable plugins just for Tumbleweed, not for SLE13
-%if %{suse_version} == 1330
+# Enable plugins just for Tumbleweed, not for SLES
+%if 0%{!?sle_version:1}
 %define enable_plugins 1
 %else
 %define enable_plugins 0
@@ -274,7 +276,7 @@
 %define biarch_targets x86_64 s390x powerpc64 powerpc sparc sparc64
 
 Url:http://gcc.gnu.org/
-Version:6.3.1+r248589
+Version:6.4.1+r249957
 Release:0
 %define gcc_version %(echo %version | sed 's/+.*//')
 %define gcc_dir_version %(echo %gcc_version | cut -d '.' -f 1)

++ gcc6.spec ++
--- /var/tmp/diff_new_pack.yKQ5Hr/_old  2017-07-21 22:38:39.419648601 +0200
+++ /var/tmp/diff_new_pack.yKQ5Hr/_new  2017-07-21 22:38:39.423648037 +0200
@@ -17,6 +17,8 @@
 # icecream 0
 
 
+# nospeccleaner
+
 # Ada currently fails to build on a few platforms, enable it only
 # on those that work
 %if %{suse_version} >= 1310
@@ -88,8 

  1   2   >